<?php
/**
 * @version     1.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.application.component.controlleradmin');

/**
 * Plannings list controller class.
 */
class EasytimetableControllerDashboard extends JControllerAdmin
{
	/**
	 * Proxy for getModel.
	 * @since	1.6
	 */
	public function getModel($name = 'dashboard', $prefix = 'EasytimetableModel', $config = array())
	{
		$model = parent::getModel($name, $prefix, array('ignore_request' => true));
		return $model;
	} 

	public function resetdefault()
    {
    	$input = JFactory::getApplication()->input;
    	
    	// Get the model
		$model = $this->getModel();
		$ActRes = $model->resetdefault();
		$scheRes = $model->resetdefault2();
		echo $ActRes . $scheRes;

    }
    public function checkUpdate()
    {
    	$model = $this->getModel();
    	$count = $model->checkUpdate();
    	
    	echo "<div class='sy-result' data-count='" . $count . "' ></div>";
    	
    	return $count;
    }   
}