jQuery(document).ready(function(){
	
	jQuery('.sy-fieldsall').sortable({
  		axis: "y",
  		items: "> li:not(.sy-liheading)",

  		start: function(event, ui){
	    	jQuery("#cont-trash").animate({
	    		height: "110"
	    		}, "fast");
	    	jQuery(".trash").css("display", "block");
	    	jQuery(".trash").animate({
	    		opacity:"1"
	    	}, "fast");
	    	
	    	
	    }, // Fin start
	    stop: function(){
	    	jQuery("#cont-trash").animate({
	    		height: "0"
	    	}, "fast");
	    	jQuery(".trash").css("display", "none");
	    	jQuery(".trash").animate({
	    		opacity:"0"
	    	}, "fast");
	    	 

	    },
  		update: function(event, ui) {
  			jQuery(this).find('li:not(.sy-liheading)').each(function(){
  				var thisId = parseInt(jQuery(this).attr('data-item-id'));
  				var fieldindex = jQuery(this).index();
  				var fieldactivity = jQuery('.sy-fieldsall').attr('data-item-id');
  				var display_mode = jQuery(this).attr('data-display-mode');
  				var title = jQuery(this).find('.sy-fieldtitle').html();
  				var text_field = jQuery(this).find('.sy-fieldtext').html();
  				var token = jQuery('#fieldtoken').attr('value');
  				var data = '&jform[id]='+thisId+'&jform[field_index]='+fieldindex+'&jform[display_mode]='+display_mode+'&jform[title]='+title+'&jform[text_field]='+text_field+'&jform[activity][]='+fieldactivity+'&'+token+'=1';
  				jQuery.ajax({
					url:"index.php?option=com_easytimetable&task=Field.saveField",
					type: "POST",
					data: data,
					complete: function() {
						//console.log(fieldindex);
						jQuery("#field-"+thisId).find('.sy-fieldorder').text(fieldindex);
					}
				});
	  		})
		}
	});// End sortable
	//Poubelle
	jQuery("#trash").droppable({
		accept: ".sy-fieldone",
		tolerance: "touch",
		// Lorsque l'on relache un élément sur la poubelle
		drop: function(event, ui){
			// On retire la classe "hover" associée au div .trash
			jQuery(this).removeClass("hover");
			// On ajoute la classe "deleted" au div .trash pour signifier que l'élément a bien été supprimé
			jQuery(this).addClass("deleted");
			// On affiche un petit message "Cet élément a été supprimé" en récupérant la valeur textuelle de l'élément relaché
			var textTrashed = jQuery("#sy-removed").text();
			jQuery(this).text(ui.draggable.find(".item").text()+textTrashed);
			// On supprimer l'élément de la page, le setTimeout est un fix pour IE (http://dev.jqueryui.com/ticket/4088)
			setTimeout(function() { ui.draggable.remove(); }, 1);
			
			// On retourne à l'état originel de la poubelle après 2000 ms soit 2 secondes
			elt = jQuery(this);
			var textTrashempty = jQuery("#sy-trash").text();
			setTimeout(function(){ elt.removeClass("deleted"); elt.text(textTrashempty); }, 500);
			
			jQuery( ".sy-fieldsall > li ").unbind("click");
			//jQuery( ".sy-fieldsall > li ").draggable("option", "disabled", false );
			
			var idActi = jQuery(ui.draggable).attr('data-item-id');
			//console.log(idActi);
			var token = jQuery('#fieldtoken').attr('value');
			var datatok = 'id='+idActi+'&'+token+'=1';
			jQuery.ajax({url:'index.php?option=com_easytimetable&task=Field.removeAjax&',
				type: 'POST',
				data: datatok,
				dataType: 'xml',
				complete: function() {
					updateIndex(jQuery('.sy-fieldsall'));
					//jQuery("field-"+idActi).remove();
				}
			});
		},
		// Lorsque l'on passe un élément au dessus de la poubelle
		over: function(event, ui){
			// On ajoute la classe "hover" au div .trash
			jQuery(this).addClass("hover");
			// On cache l'élément déplacé
			ui.draggable.hide();
			var textTrash = jQuery("#sy-remove").text();
			//console.log(textTrash);
			// On indique via un petit message si l'on veut bien supprimer cet élément
			jQuery(this).text(textTrash + ui.draggable.find(".sy-fieldtitle").text());
			
			// On change le curseur
			jQuery(this).css("cursor", "pointer");
		},
		// Lorsque l'on quitte la poubelle
		out: function(event, ui){
			// On retire la classe "hover" au div .trash
			jQuery(this).removeClass("hover");
			// On réaffiche l'élément déplacé
			ui.draggable.show();
			// On remet le texte par défaut
			jQuery(this).text(textTrashempty);
			// Ainsi que le curseur par défaut
			jQuery(this).css("cursor", "normal");
		}
	})
	function updateIndex(el) {
		//console.log(el.attr('class'));
		el.find('li:not(.sy-liheading)').each(function(){
			console.log(jQuery(this).attr('id'));
	    	var thisId = parseInt(jQuery(this).attr('data-item-id'));
	    	var display_mode = jQuery(this).attr('data-display-mode');
			var fieldindex = jQuery(this).index();
			var title = jQuery(this).find('.sy-fieldtitle').html();
			var text_field = jQuery(this).find('.sy-fieldtext').html();
			//console.log(fieldindex);
			var fieldactivity = el.attr('data-item-id');
				var token = jQuery('#fieldtoken').attr('value');
				var data = '&jform[id]='+thisId+'&jform[field_index]='+fieldindex+'&jform[display_mode]='+display_mode+'&jform[title]='+title+'&jform[text_field]='+text_field+'&jform[activity][]='+fieldactivity+'&'+token+'=1';
				jQuery.ajax({
				url:"index.php?option=com_easytimetable&task=Field.saveField",
				type: "POST",
				data: data,
				complete: function() {
					//console.log(fieldindex);
					jQuery("#field-"+thisId).find('.sy-fieldorder').text(fieldindex);
				}
			});
		})
	}
});