<?php
/**
 * @version     1.8.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
//Dashboard
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$app		= JFactory::getApplication();
$user		= JFactory::getUser();
$userId		= $user->get('id');
$name = $user->name;
$extension	= 'com_easytimetable';
jimport( 'joomla.access.access' );
$groups = JAccess::getGroupsByUser($userId, false);

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/easytimetable.css');

// Import js
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/dashboard/tmpl/js/dashboard.js');

$user	= JFactory::getUser();
$userId	= $user->get('id');
$updateversion;
//$updatexml = simplexml_load_file("http://www.stereonomy.com/updater/update_easytimetableext.xml") or die("Error: Cannot create object");

$ch = curl_init();
$easytimetablexml = "https://www.stereonomy.com/updater/update_easytimetableext.xml";
curl_setopt($ch, CURLOPT_FAILONERROR,1);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION,1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
curl_setopt($ch, CURLOPT_TIMEOUT, 15);
curl_setopt($ch, CURLOPT_URL, $easytimetablexml);
$sXML = curl_exec($ch);

$updatexml = new SimpleXMLElement($sXML);;
curl_close($ch);
foreach ((array)$updatexml->update[0] as $key => $value) {
	if ($key == "version") {
	$updateversion = $value;
	$updateversionecho = $value;
	$updateversion = preg_replace('/\./', '', $updateversion);
	$updateversion = substr($updateversion, 0, 3);

	}
}
$thisversion;

$thisdate;
$thisxml = simplexml_load_file(JRoute::_(JPATH_ADMINISTRATOR . '/components/com_easytimetable/easytimetable.xml')) or die("Error: Cannot create object");
foreach ((array)$thisxml->version as $version) {
	$thisversion = $version;
	$thisversionecho = $version;
	$thisversion = preg_replace('/\./', '', $thisversion);
	$thisversion = substr($thisversion, 0, 3);
}
foreach ((array)$thisxml->creationDate as $date) {
	$thisdate = $date;
}

?>
<script type="text/javascript">
	jQuery(document).ready(function () {
		
	});
</script>

<?php

if (!empty($this->extra_sidebar)) {
    $this->sidebar .= $this->extra_sidebar;
}
?>


<?php if(!empty($this->sidebar)): ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
	<div class="clearfix"> </div>
	<div><img src="components/com_easytimetable/assets/images/logo-easytimetable-ext.png" alt="Logo Easy Timetable"></div>
	<div class="application">
		
			<div class="little-block howto">
				<form id="catForm" name="catForm" method="post" action="" autocomplete="off">
					<h3 style="block-title">
						<?php echo JText::_('COM_EASYTIMETABLE_HOWTO'); ?>
					</h3>
					
					<div class="howto">
						<h4 class="subtitle"><?php echo JText::_('COM_EASYTIMETABLE_HOWTO_DESCRIPTION'); ?></h4>
						<ul class="categorieslist" style="">
							<li><?php echo JText::_('COM_EASYTIMETABLE_HOWTO_ACTIVITIES'); ?>
								
							</li>
							<li><?php echo JText::_('COM_EASYTIMETABLE_HOWTO_TIMETABLES'); ?>
								</li>
							<li><?php echo JText::_('COM_EASYTIMETABLE_HOWTO_HELP'); ?></li>
							<!--<li><?php //echo JText::_('COM_EASYTIMETABLE_HOWTO_ASK'); ?></li>-->
							

						</ul>
					</div>
					
				</form>
			</div>
			<div class="little-block activities">
				<form id="actForm" name="actForm" method="post" action="/easytimetable/administrator/index.php?option=com_easytimetable&view=activities">
					<h3 style="block-title">
						<?php echo JText::_('COM_EASYTIMETABLE_TITLE_ACTIVITIES'); ?>
					</h3>
					<div class="add">
						<a href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activity.edit&id=0&1='.JSession::getFormToken()); ?>"><img src="components/com_easytimetable/assets/images/add.png"></a>
					</div>
					<div class="list-container-activities">
					<ul class="activitieslist" style="">
						<?php foreach ($this->activities as $i => $item) {
							$canEdit	= $user->authorise('core.edit',	'com_easytimetable');
							$canEditItem = $user->authorise('core.edit', $extension . '.activity.' . $item->id);
							$canEditOwn = $user->authorise('core.edit.own',   $extension . '.activity.' . $item->id) && $item->created_by == $name;

							if (($canEdit && $canEditItem) || ($canEditOwn && $canEditItem ) || in_array(8, $groups) || in_array(7, $groups)) {
							?>
							<li><a href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activity.edit&id=' . $item->id); ?>"><?php echo $item->act_name; ?><div class="count" style="display:inline-block;float:right;"></div></a></li>
							<?php
							}
							else { ?>
								<li><?php echo $item->act_name; ?><div class="count" style="display:inline-block;float:right;"></div></li>
							<?php }
						}
					?>
					</ul>
					</div>
					<?php // echo JHtml::_('form.token'); ?>
				</form>
			</div>
			<div class="little-block timetables">
				<form id="actForm" name="actForm" method="post" action="/easytimetable/administrator/index.php?option=com_easytimetable&view=plannings">
					<h3 style="block-title">
						<?php echo JText::_('COM_EASYTIMETABLE_TITLE_PLANNINGS'); ?>
					</h3>
					<div class="add">
						<a href="<?php echo JRoute::_('index.php?option=com_easytimetable&view=planning&layout=edit'); ?>"><img src="components/com_easytimetable/assets/images/add.png"></a>
					</div>
					<div class="list-container-timetable">
					<ul class="timetablelist" style="">
						<?php foreach ($this->planningData as $i => $item) {
							if((int)$item->frontuser == 0 || (int)$item->frontuser == (int)$userId || in_array(8, $groups)) {
								$canEdit	= $user->authorise('core.edit',	'com_easytimetable');
								$canEditItem	= $user->authorise('core.edit', $extension .'.planning.'. $item->id);
								$canEditOwn = $user->authorise('core.edit.own',   $extension . '.planning.' . $item->id) && $item->created_by == $name;
								
								
								if (($canEdit && $canEditItem) || ($canEditOwn && $canEditItem ) || in_array(8, $groups) || in_array(7, $groups)) {
								?>
								<li><a href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planning.edit&id=' . $item->id); ?>"><?php echo $item->p_name; ?><div class="count" style="display:inline-block;float:right;"></div></a></li>
								<?php
								}
								else { ?>
								<li><?php echo $item->p_name; ?><div class="count" style="display:inline-block;float:right;"></div></li>
							<?php }
							}
						}
					?>
					</ul>
					</div>
					<?php //  echo JHtml::_('form.token'); ?>
				</form>
			</div>
			<div class="little-block version-info">
				<h3 style="block-title">
						<?php echo JText::_('COM_EASYTIMETABLE_TITLE_INFOVERSION'); ?>
					</h3>
				<ul class="infolistlist" style="">
					<li><?php echo JText::_('COM_EASYTIMETABLE_TITLE_RELEASE'); ?><b><?php echo $thisdate ?></b></li>
					<li><?php echo JText::_('COM_EASYTIMETABLE_TITLE_VINSTALLED'); ?><b><?php echo $thisversionecho ?></b> <?php if($thisversion >= $updateversion): ?><?php echo '<span class="sy-uptodate"><b>'.JText::_('COM_EASYTIMETABLE_TITLE_UPTODATE').'</b></span>' ?><?php else: echo '<span class="sy-outdated"><b>'.JText::_('COM_EASYTIMETABLE_TITLE_OUTDATED').'</b></span>' ?></li>
					<li><a class='button btn-mini sy-install' href='http://www.stereonomy.com' target='_blank'><?php echo JText::_('COM_EASYTIMETABLE_TITLE_INSTALL').$updateversion ?></a></li>
				<?php endif ?>
				</ul>
			</div>
			
	</div>
	<div class="copyright" style="text-align:left; vertical-align:bottom;">
		&copy; 2015 - 2018
		<a href="http://www.stereonomy.com">
			<img src="components/com_easytimetable/assets/images/logo-stereonomy-w.png" alt="Stereonomy" target="_blank" title="A Stereonomy product - visit the website" width="120"></a>
		<a href="https://twitter.com/Stereonomy" target="_blank"><img src="components/com_easytimetable/assets/images/follow-us-on-twitter.png" alt="Follow us on Twitter" title="Get in Touch, follow us on Twitter"></a> 
		<a href="https://www.facebook.com/stereonomy" target="_blank">
			<img src="components/com_easytimetable/assets/images/follow-us-on-facebook.png" alt="Follow us on Facebook" title="Stay informed, follow us on Facebook">
		</a>
	</div>
	
	<div class="information">
	</div>
		

	

	</div>
       

		
