<?php
/**
 * @version     1.5.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rigths reserved.
 * @license     GNU General Public License version 2 or later ; Voir SEE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;
//JHtml::_('bootstrap.tooltip');

// Import CSS & JS

$document = JFactory::getDocument();
$document->addScript('/media/jui/js/jquery.min.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/assets/js/jquery-ui.min.js');
if ($this->item->type == 0) {
	$document = JFactory::getDocument();
	$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planning.css');
	$document = JFactory::getDocument();
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/filters.js');
}
else {
	$document = JFactory::getDocument();
	$document->addStyleSheet('components/com_easytimetable/views/planning/tmpl/css/planningadapt.css');
	
	$document = JFactory::getDocument();
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/filtersadap.js');
	$document = JFactory::getDocument();
	$document->addScript('components/com_easytimetable/views/planning/tmpl/js/adaptul.js');
}
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/planning/tmpl/js/infofields.js');
$userId = JFactory::getUser()->id;
$userAccess = JAccess::getAuthorisedViewLevels($userId);

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_easytimetable.' . $this->item->id);
if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_easytimetable' . $this->item->id)) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
$columns_names = explode(", ", $this->item->rows_name);

// Define the sort function for custom fields based on the field index
function custom_sort($a,$b) {
    return strcmp($a["field_index"], $b["field_index"]);
}

?>
<?php if ($this->item) : ?>
	<input class="at" type="hidden" value="<?php echo $this->item->time_mode ?>" >
	<?php if ($this->item->type == 0): ?>
	<input class="ttm" type="hidden" value="<?php echo $this->item->type ?>" >
	

    <div class="fullplanning">
    	<?php if ($this->item->display_title == 1): ?>
	    	<h2><?php echo $this->item->p_name ?></h2>
	    <?php endif ?>
    	
    	<div class="sy-description">
    		<?php echo $this->item->description ?>
    	</div>
    	<?php if ($this->item->display_filters == 1): ?>
	    	<div class="sy-filters">
		    	<div id="sy-all" class="sy-actsingle allfilter button" style="background-color: #999;"><?php echo "x" ?></div>
		    	<?php foreach ($this->activities as $actiListSingle){
		    		$isTimetable = strstr($actiListSingle->timetable, $this->item->id);
		    	    	if ($isTimetable && $actiListSingle->act_name != "blank") {
			   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
			                $acttitleid = preg_replace("/[\"’\/~\\<|>@]+/", "", $acttitleid);
			                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
			                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
			                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
			                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
			                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
			                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
			                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
			                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
			                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
			                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
				            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
				            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
				            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
				            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
				            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
				            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
				            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
				            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
				            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
				            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
		    	    		echo "<div id='sy-".$acttitleid."' class='sy-actsingle sy-".$acttitleid." button' data-linked=".$actiListSingle->linked." activated='notactivated' overcolor='#".$actiListSingle->color."' style='background-color: #".$actiListSingle->color.";' data-act-id='".$actiListSingle->id."'>&nbsp;".$actiListSingle->act_name."</div>";
		    	    	}
		    	    }
		    	?>
		    </div>	
		<?php endif ?>	
   	<?php 
   		$rows = $this->item->rows;
   		$rwidth= 95/$rows;
   		for ($number=1;$number<=$rows;$number++) {
   	?>
	   	<div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
		   	<div id="<?php echo $number ?>" class="row-<?php echo $number ?> rows" >
		   		<div class="col-title"><?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1];} else {$title = "&nbsp;";} 
		   			echo JText::_($title); ?>
		   		</div>
			   	<?php	
			   		$cells = $this->item->cells;
			   		$rheight = 65*$cells;
			   		for ($cell=1;$cell<=$cells;$cell++) {
			   			$idcell = $cell;
			   			if ($idcell < 10) {
                            $zero = "00";
                        }
                        else {
                            $zero = "0";
                        } 
			   			global $empty;
			   			$empty;
			   			$idul = $number.$zero.$idcell;	
			   			$nbarray = count($this->planact);
			   			
			   			for ($i=0;$i<$nbarray;$i++) {
			   				
			   				if ($idul == $this->planact[$i]->id_cell ) {
			   					$empty = "full";
			   					break;	
			   				}
			   				else {
			   					$empty = "empty";
	
			   				}
			   			}
			   			?>
					   	<ul id="cellule_<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?>" class="creneau creneau<?php echo $idcell ?> <?php echo $empty ?>" style="background-color:#<?php echo $this->item->cell_color ?>;height:<?php echo $this->item->height ?>px;">
					   		<?php foreach ($this->planact as $key=>$value) {
					   			if ($this->item->time_mode == 1)
                                {
                                    $start = $value->start_t;
                                    $end = $value->end_t;
                                    //modification heure suite à mise à jour mode 12h
                                    if (substr($value->start_t, 5, 3) == ":00") {
                                        if ((int)substr($value->start_t, 0, 2) >= 1 && (int)substr($value->start_t, 0, 2) < 12) {
                                            $startStart = (int)substr($value->start_t, 0, 2);
                                            $endStart = " am";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) == 0) {
                                            $startStart = 12;
                                            $endStart = " am";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) == 12) {
                                            $startStart = 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                        else if ((int)substr($value->start_t, 0, 2) > 12) {
                                            $startStart = (int)substr($value->start_t, 0, 2) - 12;
                                            $endStart = " pm";
                                            $start = $startStart.substr($value->start_t, 2, 3).$endStart;
                                        }
                                    }
                                    if (substr($value->end_t, 5, 3) == ":00") {
                                        if ((int)substr($value->end_t, 0, 2) >= 1 && (int)substr($value->end_t, 0, 2) < 12) {
                                            $startEnd = (int)substr($value->end_t, 0, 2);
                                            $endEnd = " am";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) == 0) {
                                            $startEnd = 12;
                                            $endEnd = " am";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) == 12) {
                                            $startEnd = 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                        else if ((int)substr($value->end_t, 0, 2) > 12) {
                                            $startEnd = (int)substr($value->end_t, 0, 2) - 12;
                                            $endEnd = " pm";
                                            $end = $startEnd.substr($value->end_t, 2, 3).$endEnd;
                                        }
                                    }
                                }
                                else {
                                    $start = substr($value->start_t, -8, 5);
                                    $end = substr($value->end_t, -8, 5);
                                }
					   			
					   			foreach ($this->activities as $key2=>$value2) {
					   			if (($value->id_cell == $number.$zero.$idcell) && ($value->id_activity == $value2->id) && ($this->item->id == $value->id_planning)) {
					   				if ($value->state == 0) {
					   					$opacity = 0.4;
					   				}
					   				else {
					   					$opacity = 1;
					   				}
					   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $value2->act_name));
					                $acttitleid = preg_replace("/[\"’\/~\\<|>@]+/", "", $acttitleid);
					                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
					                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
					                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
					                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
					                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
					                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
					                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
					                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
					                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
					                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
						            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
						            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
						            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
						            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
						            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
						            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
						            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
						            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
						            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
						            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
						            if (!empty($value2->overcolor))
						            {
						            	$overColor = "#".$value2->overcolor;
						            }
						            else 
						            {
						            	$overColor = "#".$value2->color;
						            }

						            if (!empty($value2->fontcolor))
						            {
						            	$fontColor = "#".$value2->fontcolor;
						            }
						            else 
						            {
						            	$fontColor = "#ffffff";
						            }

						            if (!empty($value2->fontovercolor))
						            {
						            	$fontOverColor = "#".$value2->fontovercolor;
						            }
						            else 
						            {
						            	$fontOverColor = "#ffffff";
						            }

					   				?>
					   				<li id="<?php echo $acttitleid ?>_<?php echo $value->id_cell ?>" data-act-id="<?php echo $value2->id ?>" data-color="#<?php echo $value2->color ?>" data-overcolor="<?php echo $value2->overcolor ?>" data-fontcolor="<?php echo $value2->fontcolor ?>" data-fontovercolor="<?php echo $value2->fontovercolor ?>" class="<?php echo $acttitleid ?>-<?php echo $value2->id ?> activite" style="background-color:#<?php echo $value2->color ?>;color:<?php echo $fontColor ?> !important;height: 100%;opacity:<?php echo $opacity ?>;" title="">
					   					<div class="time">
						   					<span class="start">
						   						<?php echo $start ?>
						   					</span>
						   					<span class="separator">></span>
						   					<span class="end">
						   						<?php echo $end ?>
						   					</span>
					   					</div>
					   					<div class="acttitle"><?php if ($this->fullActivities[$value2->id]->linked == 1): ?><a href="<?php echo JRoute::_(JURI::root() .'index.php?option=com_easytimetable&view=activity&id=' . $value2->id); ?>" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNING_DISPLAY_ACTIVITY') ?>" style="color:<?php echo $fontColor ?> !important;"><?php echo $value2->act_name ?>&nbsp;<img src="<?php echo JRoute::_(JURI::root() .'components/com_easytimetable/assets/images/link-arrow.png'); ?>"></a><?php elseif ($this->fullActivities[$value2->id]->linked == 2): ?><a href="<?php echo $this->fullActivities[$value2->id]->ext_link; ?>" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE'); ?>"><?php echo $value2->act_name ?>&nbsp;<img src="<?php echo JRoute::_(JURI::root() .'components/com_easytimetable/assets/images/link-arrow.png'); ?>"></a><?php elseif ($this->fullActivities[$value2->id]->linked == 3): ?><a href="<?php echo $this->menulink[$value2->id]->link; ?>" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE'); ?>"><?php echo $value2->act_name ?>&nbsp;<img src="<?php echo JRoute::_(JURI::root() .'components/com_easytimetable/assets/images/link-arrow.png'); ?>"></a><?php elseif ($this->fullActivities[$value2->id]->linked == 0): ?><?php echo $value2->act_name ?><?php endif ?></div>
					   					<div id="sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?>" class="sy-infotoshow" style="display:none;"><?php
					   					if (!empty($value2->image) && $this->fullActivities[$value2->id]->image_tip == 1) {
					   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='max-width:150px;text-align:center;'><img style='text-align:center;' src='/".$value2->image."'/></div></div>"; 
					   					} 
					   					// define which activity to load
							    	    $count = 0;
							    	    $tabFields = array();
							    	    // define a counter
							    	    foreach ($this->field as $field) {
							    	    	$count = $count+1;
							    	    	
							    	    } 
							    	    $b = 0;
							    	    // use counter to searche activities
							    	    for ($i=0;$i< $count; $i++) {
							    	    	// search for fields according to activity
							    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
							    	    	
							    	    	if (in_array($value2->id, $activities)) {
							    	    		// transform object to array
							    	    		$oneArray = (array)$this->field[$i];
							    	    		//put item array in an array
							    	    		array_push($tabFields,$oneArray);
							    	   		}
							    	    }
							    	   
							    	    // Sort the item array
									    usort($tabFields, "custom_sort");

							    		foreach ($tabFields as $key=>$field) { 
								    		
							    			$pattern = '/"/';
									    	$display_mode = preg_replace($pattern, "", $this->fieldRaw[$field['id']]->display_mode);
									    	$pattern = '/(\])/';
									    	$display_mode = preg_replace($pattern, "", $display_mode);
									    	$pattern = '/(\[)/';
									    	$display_mode = preg_replace($pattern, "", $display_mode);
									    	
									    	$display_mode = explode(",", $display_mode);
									    	
									    	if (in_array(0, $display_mode)) {
								    			if ((int)$this->fieldRaw[$field['id']]->display_title == 1)  {
								    			echo "<div class='sy-info-text' style='vertical-align:middle;'>
								    				<div class='sy-tooltiptitle'>".$field['title']."
									    			</div>
								    				<div class='sy-tooltiptext'>".$field['text_field']."
								    				</div>
								    			</div>";
								    			}
								    			else {
								    			echo "<div class='sy-info-text' style='vertical-align:middle;'>
								    				<div class='sy-tooltiptext'>".$field['text_field']."
								    				</div>
								    			</div>";
								    			
								    			}
							    			}	
							    		}  
										 ?></div>
					   				</li>
					   				<?php
					   					}
					   				}	
					   			}
							
							?></ul>
					   	<?php		
			   		}
			    ?>	
		   	</div>
	   	</div>
   	
   	<?php	
   	}
    ?>
    </div>
    <?php endif ?>

    <!-- Adaptative Layout -->
	<?php if ($this->item->type == 1): ?>
	<input class="ttm" type="hidden" value="<?php echo $this->item->type ?>" >
	
	<div class="fullplanning">
	    <?php if ($this->item->display_title == 1): ?>
	    	<h2><?php echo $this->item->p_name ?></h2>
	    <?php endif ?>
	    <!-- Show Activity filters -->
	    <?php if ($this->item->display_filters == 1): ?>
		    <div class="sy-filters">
		    	<div id="sy-all" class="sy-actsingle allfilter button">All</div>
		    	<?php foreach ($this->activities as $actiListSingle){
		    		$isTimetable = strstr($actiListSingle->timetable, $this->item->id);
		    		
	    	    	if ($isTimetable) {
	    	    		$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $actiListSingle->act_name));
		                $acttitleid = preg_replace("/[\"’\/~\\<|>@]+/", "", $acttitleid);
		                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
		                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
		                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
		                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
		                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
		                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
		                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
		                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
		                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
		                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
			            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
			            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
			            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
			            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
			            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
			            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
			            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
			            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
			            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
			            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);
		    	    		echo '<div id="sy-'.$acttitleid.'" class="sy-actsingle sy-'.$acttitleid.' button" style="background-color:#'.$actiListSingle->color.'">'.$actiListSingle->act_name.'</div>';
		    	    	}
		    	    }
		    	?>
		    </div>
	    <?php endif ?>
	    <?php 
   		$rows = $this->item->rows;
   		$rwidth= 95/$rows;
   		for ($number=1;$number<=$rows;$number++) {
   	?>
	   	<div class="sy-row-container" style="width:<?php echo $rwidth ?>%" >
	   		
	   		<div class="col-title"><?php if (isset($columns_names[$number-1])) {$title = $columns_names[$number-1];} else {$title = "&nbsp;";} 
		   			echo JText::_($title); ?>
		   		</div>
		   	<div id="sy-theinfo" class="sy-thedivinfo" style="z-index:20000;position:absolute;"></div>
		   	<ul id="<?php echo $number ?>" class="row-<?php echo $number ?> rows sy-adaptative" style="background-color:#<?php echo $this->item->cell_color ?>" >
		   		
			   	<?php	
			   		$cells = $this->item->cells;
			   		$rheight = 65*$cells;
			   		for ($cell=1;$cell<=$cells;$cell++) {
			   			$idcell = $cell;
			   			if ($idcell < 10) {
                            $zero = "00";
                        }
                        else {
                            $zero = "0";
                        } 
			   			global $empty;
			   			$empty;
			   			$idul = $number.$zero.$idcell;	
			   			$nbarray = count($this->planact);
			   			
			   			for ($i=0;$i<$nbarray;$i++) {
			   				
			   				if ($idul == $this->planact[$i]->id_cell ) {
			   					$empty = "full";
			   					break;	
			   				}
			   				else {
			   					$empty = "empty";
	
			   				}
			   			}
			   			?>
					   	
					   		<?php foreach ($this->planact as $key=>$value) {
					   			// Display time regarding Time mode
					   			if ((int)$this->item->time_mode == 1)
                                {
                                    $start = $value->start_t;
                                    $end = $value->end_t;    
                                }
                                else {
                                    $start = substr($value->start_t, -8, 5);
                                    $end = substr($value->end_t, -8, 5);
                                }
					   			//
					   			foreach ($this->activities as $key2=>$value2) {
					   				
					   			if (($value->id_cell == $number.$zero.$idcell) && ($value->id_activity == $value2->id) && ($this->item->id == $value->id_planning)) {
					   				
					   				if ($value->state == 0) {
					   					$opacity = 0.4;
					   					$imgnotpub = "url('components/com_easytimetable/assets/images/notpublishedbig.png') no-repeat 5px 5px";
					   					$infonp = JText::_("JNOTPUBLISHEDYET");
					   					
					   				}
					   				else {
					   					$opacity = 1;
					   					$imgnotpub = '';
					   					$infonp = "";
					   				}
					   				$acttitleid = preg_replace("/\s+/", "", preg_replace("/[#$,;:!€£%§?&.()'-\*]/", "", $value2->act_name));
					                $acttitleid = preg_replace("/[\"’\/~\\<|>@]+/", "", $acttitleid);
					                $acttitleid = preg_replace("/[éèêëÉÈÊË]+/", "e", $acttitleid);
					                $acttitleid = preg_replace("/[áàâÂäÄæÆãÃåÅÀÁ]+/", "a", $acttitleid);
					                $acttitleid = preg_replace("/[ïîìíÍÌÎÏ]+/", "i", $acttitleid);
					                $acttitleid = preg_replace("/[ûüùúÚÙÛÜ]+/", "u", $acttitleid);
					                $acttitleid = preg_replace("/[ñÑ]+/", "n", $acttitleid);
					                $acttitleid = preg_replace("/[çÇ]+/", "c", $acttitleid);
					                $acttitleid = preg_replace("/[šŠß]+/", "s", $acttitleid);
					                $acttitleid = preg_replace("/[žŽ]+/", "z", $acttitleid);
					                $acttitleid = preg_replace("/[ÝýÿŸ]+/", "y", $acttitleid);
					                $acttitleid = preg_replace("/[ôöòÓóÒØøõÕœŒÔ]+/", "o", $acttitleid);
						            $acttitleid = preg_replace("/^1/", "one", $acttitleid);
						            $acttitleid = preg_replace("/^2/", "two", $acttitleid);
						            $acttitleid = preg_replace("/^3/", "three", $acttitleid);
						            $acttitleid = preg_replace("/^4/", "four", $acttitleid);
						            $acttitleid = preg_replace("/^5/", "five", $acttitleid);
						            $acttitleid = preg_replace("/^6/", "six", $acttitleid);
						            $acttitleid = preg_replace("/^7/", "seven", $acttitleid);
						            $acttitleid = preg_replace("/^8/", "eight", $acttitleid);
						            $acttitleid = preg_replace("/^9/", "nine", $acttitleid);
						            $acttitleid = preg_replace("/^0/", "zero", $acttitleid);

					   				
					   				 ?>
					   				
					   				<li id="<?php echo $acttitleid ?>_<?php echo $value->id_cell ?>"  <?php if ($value2->act_name != "blank"): ?> data-color="<?php echo $value2->color ?>" data-overcolor="<?php echo $value2->overcolor ?>" data-fontcolor="<?php echo $value2->fontcolor ?>" data-fontovercolor="<?php echo $value2->fontovercolor ?>"<?php endif ?> class="<?php echo $acttitleid ?> activite" title="<?php echo $infonp ?>" <?php if ($value2->act_name == "blank"): ?> style="background-color:rgba(255,255,255, 0);"<?php endif ?><?php if ($value2->act_name != "blank"): ?> style="background:#<?php echo $value2->color ?> <?php echo $imgnotpub ?>;color:#fff;height: 100%;opacity:<?php echo $opacity ?>;"<?php endif ?>>
					   					<?php if ($value2->act_name != "blank"): ?><div class="sy-adacttitle"><?php if ($this->fullActivities[$value2->id]->linked == 1): ?><a href="<?php echo JRoute::_(JURI::root() .'index.php?option=com_easytimetable&view=activity&id=' . $value2->id); ?>" style="color:#<?php echo $value2->font_color ?>;" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNING_DISPLAY_ACTIVITY') ?>"><?php echo $value2->act_name ?>&nbsp;<img src="<?php echo JRoute::_(JURI::root() .'components/com_easytimetable/assets/images/link-arrow.png'); ?>"></a><?php elseif ($this->fullActivities[$value2->id]->linked == 2): ?><a href="<?php echo $this->fullActivities[$value2->id]->ext_link; ?>" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE'); ?>"><?php echo $value2->act_name ?>&nbsp;<img src="<?php echo JRoute::_(JURI::root() .'components/com_easytimetable/assets/images/link-arrow.png'); ?>"></a><?php elseif ($this->fullActivities[$value2->id]->linked == 0): ?><?php echo $value2->act_name ?><?php elseif ($this->fullActivities[$value2->id]->linked == 3): ?><a href="<?php echo $this->menulink[$value2->id]->link; ?>" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNING_GO_TO_PAGE'); ?>"><?php echo $value2->act_name ?>&nbsp;<img src="<?php echo JRoute::_(JURI::root() .'components/com_easytimetable/assets/images/link-arrow.png'); ?>"></a><?php endif ?></div><?php endif ?>
					   					<div class="sy-adatime" <?php if ($value2->act_name == "blank"): ?>style="display:none;"<?php endif ?>>
						   					<span class="sy-adastart"><?php echo $start ?></span>
						   					<span class="sy-adaseparator"><img src="components/com_easytimetable/assets/images/fleche1.png"></span>
						   					<span class="sy-adaend"><?php echo $end ?></span>
						   					<div class="duration invisible" style="display:none;"><?php echo $value2->duration ?></div>
					   					</div>
					   					<div id="sy-infofields<?php echo $number ?><?php echo $zero ?><?php echo $idcell ?>" class="sy-infotoshow" style="display:none;"><?php
					   					// Insert description's Image 
					   					if (!empty($value2->image) && $this->fullActivities[$value2->id]->image_tip == 1) {
					   							echo "<div class='sy-info-image' style='vertical-align:middle;text-align:center !important;'><div class='sy-tooltipimage' style='max-width:150px;text-align:center;'><img style='text-align:center;' src='/".$value2->image."'/></div></div>"; 
					   							
				   						} 
				   						// define which activity to load
							    	    $count = 0;
							    	    $tabFields = array();
							    	    // define a counter
							    	    foreach ($this->field as $field) {
							    	    	$count = $count+1;
							    	    	
							    	    } 
							    	    $b = 0;
							    	    // use counter to searche activities
							    	    for ($i=0;$i< $count; $i++) {
							    	    	// search for fields according to activity
							    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
							    	    	
							    	    	if (in_array($value2->id, $activities)) {
							    	    		// transform object to array
							    	    		$oneArray = (array)$this->field[$i];
							    	    		//put item array in an array
							    	    		array_push($tabFields,$oneArray);
							    	   		}
							    	    }
							    	   
							    	    // Sort the item array
									    usort($tabFields, "custom_sort");

							    		foreach ($tabFields as $key=>$field) { 
								    		
							    			$pattern = '/"/';
									    	$display_mode = preg_replace($pattern, "", $this->fieldRaw[$field['id']]->display_mode);
									    	$pattern = '/(\])/';
									    	$display_mode = preg_replace($pattern, "", $display_mode);
									    	$pattern = '/(\[)/';
									    	$display_mode = preg_replace($pattern, "", $display_mode);
									    	
									    	$display_mode = explode(",", $display_mode);
									    	
									    	if (in_array(0, $display_mode)) {
								    			if ((int)$this->fieldRaw[$field['id']]->display_title == 1)  {
								    			echo "<div class='sy-info-text' style='vertical-align:middle;'>
								    				<div class='sy-tooltiptitle'>".$field['title']."
									    			</div>
								    				<div class='sy-tooltiptext'>".$field['text_field']."
								    				</div>
								    			</div>";
								    			}
								    			else {
								    			echo "<div class='sy-info-text' style='vertical-align:middle;'>
								    				<div class='sy-tooltiptext'>".$field['text_field']."
								    				</div>
								    			</div>";
								    			
								    			}
							    			}	
							    		}
				   					   	?></div>
									
					   				</li>
					   				<?php
					   					}
					   				}	
					   			}
							?>
					   	<?php		
			   		}
			    ?>	
		   	</ul>
	   	</div>
   	
   	<?php	
   	}
    ?>
	</div>
	<?php endif ?>
	

    <?php if($canEdit && $this->item->checked_out == 0): ?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planning.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_EASYTIMETABLE_EDIT_ITEM"); ?></a>
	<?php endif; ?>
	<?php if(JFactory::getUser()->authorise('core.delete','com_easytimetable.planning.'.$this->item->id)):?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=planning.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_EASYTIMETABLE_DELETE_ITEM"); ?></a>
	<?php endif; ?>
    <?php
	else: echo JText::_('COM_EASYTIMETABLE_ITEM_NOT_LOADED');
	endif;
?>
