/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015-2016. All rights reserved.
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */

jQuery(document).ready(function(){
	var idActi = new Array();
	var singleTitle;

	// ON recherche si l'activité existe dans le planning
	jQuery('.fullplanning').find('li').not('.blank').each(function (){
		singleTitle = jQuery(this).find('.acttitle').text().replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
		singleTitle = singleTitle.replace(/\s+/g,"");
		singleTitle = singleTitle.replace(/[\"\/~\\<|>@]/g, "");
		singleTitle = singleTitle.replace(/[éèêëÉÈÊË]+/g,"e");
		singleTitle = singleTitle.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
		singleTitle = singleTitle.replace(/[ïîìíÍÌÎÏ]+/g,"i");
		singleTitle = singleTitle.replace(/[ûüùúÚÙÛÜ]+/g,"u");
		singleTitle = singleTitle.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
		singleTitle = singleTitle.replace(/[ÝýÿŸ]+/g,"y");
		singleTitle = singleTitle.replace(/[žŽ]+/g,"z");
		singleTitle = singleTitle.replace(/[šŠß]+/g,"s");
		singleTitle = singleTitle.replace(/[çÇ]+/g,"c");
		singleTitle = singleTitle.replace(/[ñÑ]+/g,"n");
		singleTitle = singleTitle.replace(/^1/g,"one");
		singleTitle = singleTitle.replace(/^2/g,"two");
		singleTitle = singleTitle.replace(/^3/g,"three");
		singleTitle = singleTitle.replace(/^4/g,"four");
		singleTitle = singleTitle.replace(/^5/g,"five");
		singleTitle = singleTitle.replace(/^6/g,"six");
		singleTitle = singleTitle.replace(/^7/g,"seven");
		singleTitle = singleTitle.replace(/^8/g,"eight");
		singleTitle = singleTitle.replace(/^9/g,"nine");
		singleTitle = singleTitle.replace(/^0/g,"zero");
		singleId = jQuery(this).attr('data-act-id');
		console.log(singleId);

		if (jQuery.inArray(singleId, idActi) === -1) {
			idActi.push(singleId);		
		}
	});

	var idRef, idRef2;
	jQuery('.sy-actsingle:not(".allfilter")').each(function(){
		idRef = jQuery(this).attr('data-act-id');
		if (jQuery.inArray(idRef, idActi) === -1) {
			if (jQuery('.activite').attr('data-act-id') == idRef) {
				jQuery(this).css("display", "none");
			}
		}
	})

	// set button over background color 
	jQuery('.sy-actsingle:not(".allfilter")').on('mouseenter', function(){
		var color = jQuery(this).attr('overcolor');
		jQuery(this).css({
			 opacity: 1
		}, 100)
	});
	// reset button over background color
	/*jQuery('.sy-actsingle:not(".allfilter")').on('mouseleave', function(){
		if (jQuery(this).attr('activated') == "notactivated") {
			var color = jQuery(this).attr('overcolor');
			//console.log(color);
			jQuery(this).animate({
				 opacity: 0.7
			}, 100)
		}
	});*/
	
	jQuery('.sy-actsingle:not(".allfilter")').on('click', function(){
		jQuery('.sy-actsingle').not(this).attr('activated', "notactivated");
		jQuery(this).attr('activated', "activated");
		var linked = jQuery(this).attr('data-linked');
		console.log(linked);
		jQuery('.sy-actsingle').not(this).css({
			 "opacity":"0.6",
			 "transition": "opacity 0.3s"
		});

		jQuery(this).css({
			 "opacity":"1",
			 "transition": "opacity 0.3s"
		});
		var nameRef = jQuery(this).text();
		nameRef = nameRef.replace(/^\s/,"");

		var idRef = jQuery(this).attr('id').replace('sy-', "");
		idRef = idRef.replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
		idRef = idRef.replace(/[\"\/~\\<|>@]/g, "");
		idRef = idRef.replace(/\s+/g,"");
		idRef = idRef.replace(/[éèêëÉÈÊË]+/g,"e");
		idRef = idRef.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
		idRef = idRef.replace(/[ïîìíÍÌÎÏ]+/g,"i");
		idRef = idRef.replace(/[ûüùúÚÙÛÜ]+/g,"u");
		idRef = idRef.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
		idRef = idRef.replace(/[ÝýÿŸ]+/g,"y");
		idRef = idRef.replace(/[žŽ]+/g,"z");
		idRef = idRef.replace(/[šŠß]+/g,"s");
		idRef = idRef.replace(/[çÇ]+/g,"c");
		idRef = idRef.replace(/[ñÑ]+/g,"n");
		idRef = idRef.replace(/^1/g,"one");
		idRef = idRef.replace(/^2/g,"two");
		idRef = idRef.replace(/^3/g,"three");
		idRef = idRef.replace(/^4/g,"four");
		idRef = idRef.replace(/^5/g,"five");
		idRef = idRef.replace(/^6/g,"six");
		idRef = idRef.replace(/^7/g,"seven");
		idRef = idRef.replace(/^8/g,"eight");
		idRef = idRef.replace(/^9/g,"nine");
		idRef = idRef.replace(/^0/g,"zero");
		jQuery('.creneau').each(function(){
			var id, idNum, idName;
			if (jQuery(this).find('li').length > 0) {
				jQuery(this).find('li').addClass('liempty');
				jQuery(this).find('li').animate({
					opacity: "0"
					},  {
					    	duration: "fast"
					    });
				if (linked == 0) 
				{
					while(jQuery(this).find('.acttitle').html() == nameRef)
					{
						id = jQuery(this).find('li').attr('id');
						idNum = id.substr(-5, 5);
						idName = id.replace(idNum, "");
						syClass = '#'+ id;
						jQuery(this).find('li').removeClass('empty');
						jQuery(this).find('li').animate({
							opacity: "1"
						},  {
						    	duration: "fast"
						    });
						break;
					}
				}
				else 
				{
					//console.log(jQuery(this).find('.acttitle > a').html());
					if (jQuery(this).find('.acttitle > a').html()) {
						var nameActi = jQuery(this).find('.acttitle > a').html();
						console.log(nameActi);
						nameActi = nameActi.replace('&nbsp;<img src="http://www.stereonomy.net/components/com_easytimetable/assets/images/link-arrow.png">', "");
						console.log(nameActi);
					}
					
					while(nameActi == nameRef)
					{
						id = jQuery(this).find('li').attr('id');
						idNum = id.substr(-5, 5);
						idName = id.replace(idNum, "");
						syClass = '#'+ id;
						console.log(jQuery(this).find('li').attr('id'));
						jQuery(this).find('li').removeClass('empty');
						jQuery(this).find('li').animate({
							opacity: "1"
						},  {
						    	duration: "fast"
						    });
						break;
					}
				}
			} // Fin if
		});
	})
	jQuery('.allfilter').on('click', function(){
		jQuery('.sy-actsingle').not(this).attr('activated', "notactivated");
		jQuery('.sy-actsingle').css({
			 "opacity":"1",
			 "transition": "opacity 0.3s"
		});
		jQuery('.creneau').each(function(){
			jQuery(this).find('li').removeClass('liempty');
			jQuery(this).find('li').animate(
			{
				opacity: "1"
			},  
			{
			    duration: "fast"
			});
		});
	});
	
	
});