/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015-2016. All right reserved.
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

jQuery(document).ready(function(){
					
	var nomActiviteGlobal, idul, duree, debut, idJour, htomove, getIdCell, idtimepicker, classCouleur, idCouleur, idPlanning, prevId, prevId2,prevId3, nextId, prevIdCell, prevIdCell2, prevIdCell3, valPrevCell, thiscell, number, heureDebut, previous, senderId = null;
	var sender = null, numberOfItem;
	//starting time first hour of the selected timetable	
	var startingtime = jQuery('#jform_start_h').val().substr(0,5);
	// Drag and drop version 1

	jQuery('.activites > li ').draggable({
        connectToSortable: "ul:not(.activity, .onlyone)", // droppable dans les listes jour
		helper: "clone", // clonée
		revert: "invalid",
		revertDuration: 200,
        //revert: false, // bounce back when dropped
        cursor: "move",
           
	});
	jQuery('.fullplanning').find("ul").each(function(){
		// Trier la colonne
		jQuery(this).sortable({
		    revert: false,
		    tolerance: "intersect",
		    handle: "#nom",
		    connectWith: 'ul:not(.activity, .onlyone)',
		    placeholder: 'placeholder',
		    start: function(){
				jQuery(this).find('.activite').css('height', "60px");
				jQuery(this).find('li').css('z-index',"10020");
				jQuery(this).find('li').css("width", "150px");
				 	
		    }, // Fin start
		    beforeStop: function( event, ui ) {
		    	numberOfItem = jQuery(this).find('li').length;
		    }, // Fin beforestop
		    stop: function(){
		    	
		        
		        jQuery('.creneau > li').addClass('has-been-drop activite');
		        jQuery(this).find('li').css('z-index',"1");
		        jQuery('.creneau > li').removeClass('activity');
	        	jQuery('.has-been-drop > .publish').css(
	        	"display" , "inline-block" );
	        	jQuery(this).find('li').css({
	        		"height": "100%",
	        	});
	        	if (jQuery(this).find('li').attr('data-merge') == 1) {
	        		jQuery(this).find('li').css({
	        			"width": "50%"
	        		})
	        	}
	        	else {
	        		jQuery(this).find('li').css({
	        			"width": "100%"
	        		})
	        	}
	        	//nomActiviteGlobal = jQuery(this).find("#title").val()+'_'+number;

	        	// choix de la couleur du bouton de publication, en attribuant la clase published ou notpublished
	        	if (parseInt(jQuery(this).find("input#status").val()) == 0) {
	        		jQuery(this).find('.publish').addClass('notpublished');
	        		jQuery(this).find('.publish').removeClass('published');
	        	}
	        	else if (parseInt(jQuery(this).find("input#status").val()) == 1) {
	        		jQuery(this).find('.publish').addClass('published');
	        		jQuery(this).find('.publish').removeClass('notpublished');
	        	}
	        	
				
		    },// Fin Stop
		    receive: function(event, ui){
				var getIdCell = jQuery(this).attr('id');
				//var fullIdJour= "#" + getIdCell;
				var idJour = getIdCell.substring(getIdCell.indexOf("_")+5);
				
				var idSectionType = getIdCell.substring(getIdCell.indexOf("-")+1);
				
	            var number = getIdCell.replace(/cellule_/g, "");
	            // Ajout de la classe onlyone pour éviter la superposition de plusieurs activités sur une seule cellule
	            jQuery(this).addClass('onlyone');
	            
	        
	        /*****************************************************************/
	        
	        // Pour chaque item de liste
				jQuery(this).find("li").each(function(){
					var actCount = jQuery(this).attr('data-actcount');
					var alreadyThere = jQuery(this).attr('id');
					if (numberOfItem == 3 ) {
						jQuery(this).parent('ul').addClass('onlyone');
					}
					// Si l'activité n'existe pas encore (pour eviter le doublon lors de cellule double)
					if (numberOfItem == 0 || numberOfItem == 2 || (numberOfItem == 3 && typeof alreadyThere === "undefined")) {
						//console.log(jQuery(this).prev().find('#merge').val());
						if (jQuery(this).prev().find('#merge').val() == 1) {
							jQuery(this).attr('data-merge', 1);
							jQuery(this).find('#merge').val(1);
							jQuery(this).find('.sy-mergebutton').removeClass('sy-mergebutton');
							console.log(jQuery(this).find('#merge').val());
							console.log(jQuery(this).attr('data-merge'));
							jQuery(this).addClass('sy-doubleclass');
							jQuery(this).css({
								'float': 'right',
								'width': '50%',
								'height': '100%'
							});
							jQuery(this).prev().css({
								'width': '50%'
							});
							// On réduit la taille du nom pour que ça rentre
							if (jQuery(this).find('.name').text().length > 9) {
								var smallName = jQuery(this).find('.name').text().substr(0,9) + "...";
								jQuery(this).find('.name').text(smallName);
							}
						}
						else {
							jQuery(this).css({
			        		"height": "100%",
			        		"width": "100%"
			        		});
						}
						// On actualise sa position
						var index = parseInt(jQuery(this).index()+1);
						jQuery(this).addClass('count');
						jQuery(this).css('margin-left', '0');
						// On la met à jour dans la page
						jQuery(this).find(".count").text(index);
						// On définie l'Id de l'activité nouvellement créée
						var nameacti = jQuery(this).find("#title").val();
						/*
						var nospace = nameacti.replace(/\s+/g,"");
						nospace = nospace.replace(/[éèêëÉÈÊË]+/g,"e");
						nospace = nospace.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
						nospace = nospace.replace(/[ïîìíÍÌÎÏ]+/g,"i");
						nospace = nospace.replace(/[ûüùúÚÙÛÜ]+/g,"u");
						nospace = nospace.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
						nospace = nospace.replace(/[ÝýÿŸ]+/g,"y");
						nospace = nospace.replace(/[žŽ]+/g,"z");
						nospace = nospace.replace(/[šŠß]+/g,"s");
						nospace = nospace.replace(/[çÇ]+/g,"c");
						nospace = nospace.replace(/[ñÑ]+/g,"n");
						nospace = nospace.replace(/^1/g,"one");
						nospace = nospace.replace(/^2/g,"two");
						nospace = nospace.replace(/^3/g,"three");
						nospace = nospace.replace(/^4/g,"four");
						nospace = nospace.replace(/^5/g,"five");
						nospace = nospace.replace(/^6/g,"six");
						nospace = nospace.replace(/^7/g,"seven");
						nospace = nospace.replace(/^8/g,"eight");
						nospace = nospace.replace(/^9/g,"nie");
						nospace = nospace.replace(/^0/g,"zero");
						nospace = nospace.replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
						nospace = nospace.replace(/[\"\/\\~<|+>@]/g, "");
						*/
						nomActiviteGlobal = "act" + '_' + number + index;
						jQuery(this).attr('id', nomActiviteGlobal);
						
						//On ajoute l'id de la cellule à la valeur du champ "id_cell"
						jQuery(this).find('#id_cell').attr('value', number);
						jQuery(this).find('#count').attr('value', index);
						jQuery(this).find(".duration").remove();
						

						// Affichage des champs cachés pour la définition de l'heure de début si la class hastimepicker n'est pas encore présente et si ce n'est pas une pause
						if (jQuery(this).find('#start_t').hasClass('invisible') ){
							jQuery(this).find('#start_t').removeClass('invisible');	
						}
						if (jQuery(this).find('span').hasClass('invisible') ){
							jQuery(this).find('span').removeClass('invisible');	
						}
						if (jQuery(this).find('#end_t').hasClass('invisible') ){
							jQuery(this).find('#end_t').removeClass('invisible');	
						}
						if (jQuery(this).find('.sy-mergebutton').hasClass('invisible') ){
							jQuery(this).find('.sy-mergebutton').removeClass('invisible');	
						}

						var startId = '#'+ nomActiviteGlobal;
						sender = jQuery(ui.sender).attr('id');
			            senderId = sender.substring(sender.lastIndexOf("_")+1);
			            senderId = parseInt(senderId);
						////////////////////////////////////////////////////////////////////////////////////
						
						//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						/****************************************************************************/
						// Recherche si une cellule précédente existe et si elle contient une heure de fin
						// Si oui, on limite l'heure de début en fonction de l'heure de fin de la précédente activité ajoutée
						/****************************************************************************/
						prevId = number-1;
						prevIdCell = "#cellule_"+prevId;
						var counter = 1;
						//Si il y a une cellule ul précédente et s'il n'y a pas de 'li' dans cette cellule et si l'id de la de la colonne de la 'ul' courante est identique à la 'ul' précédente
						if (jQuery(prevIdCell).length >= 1 && jQuery(prevIdCell).find('li').length == 0 && (jQuery(prevIdCell).parents('div').attr('id') ==  jQuery('#'+getIdCell).parents('div').attr('id'))) {
							// Tant qu'il n'y a pas de 'li' dans cette 'ul' on continue de chercher à la cellule précédente
							while (jQuery(prevIdCell).find('li').length == 0 ) {
								prevId = prevId-1;
								prevIdCell = "#cellule_"+prevId;
								
								if (jQuery('#'+getIdCell).parents('div').attr('id') != jQuery(prevIdCell).parents('div').attr('id'))  {
									var prevH = parseInt(startingtime.substr(0,2))+counter;
									if (prevH >=24) {
						  				prevH = prevH - 24;
						  			}
						  			if (prevH < 0) {
						  				prevH = 24+counter;
						  			}
									var prevM = startingtime.substr(3,2);
									if (prevH <= 9) {
										valPrevCell = "0" + String(prevH) + ":"+ prevM;
										valMin = "0" + String(prevH-1) + ":"+ prevM;
									}
									else {
										valPrevCell = String(prevH) + ":"+ prevM;
										valMin = String(prevH-1) + ":"+ prevM;
									}
									break;
								}
								else if (jQuery(prevIdCell).find('li').length >= 1 && !senderId ) {
									var prevHm = jQuery(prevIdCell).find('li').find('.end').val();
									var prevH = parseInt(prevHm.substr(0,2))+counter;
									if (prevH >=24) {
						  				prevH = prevH - 24;
						  			}
						  			if (prevH < 0) {
						  				prevH = 24+counter;
						  			}
									var prevM = parseInt(prevHm.substr(3,2));
									if (prevM < 10) {
										prevM = '0'+ String(prevM);
									}
									if (prevH <= 9) {
										valPrevCell = "0" + String(prevH) + ":"+ prevM;
										valMin = "0" + String(prevH-1) + ":"+ prevM;
									}
									else {
										valPrevCell = String(prevH) + ":"+ prevM;
										valMin = String(prevH-1) + ":"+ prevM;
									}
							   		break;
							   	}
							   	counter = counter+1;
							}
							if (senderId) {
								var idtoneg = String(senderId);
						   		counter =  parseInt(number.substr(2,2)) - parseInt(idtoneg.substr(2,2));
								var prevHm = jQuery(this).find('#htomove').val();
								var prevH = parseInt(prevHm.substr(0,2))+counter;
								if (prevH >=24) {
					  				prevH = prevH - 24;
					  			}
					  			if (prevH < 0) {
					  				prevH = 24+counter;
					  			}
								var prevM = parseInt(prevHm.substr(3,2));
								if (prevM < 10) {
									prevM = '0'+ String(prevM);
								}
								if (prevH <= 9) {
									valPrevCell = "0" + String(prevH) + ":"+ prevM;
									valMin = "0" + String(prevH-1) + ":"+ prevM;
									jQuery(this).find('#htomove').attr('value', valPrevCell);
								}
								else {
									valPrevCell = String(prevH) + ":"+ prevM;
									valMin = String(prevH-1) + ":"+ prevM;
									jQuery(this).find('#htomove').attr('value', valPrevCell);
								}
							}
						}
						else if (jQuery(prevIdCell).length == 0 && (jQuery('#'+getIdCell).parents('div').attr('id') != jQuery(prevIdCell).parents('div').attr('id')) ) {
							valPrevCell = startingtime;
						}
						else {
							valPrevCell = jQuery(prevIdCell).find('li').find('.end').val();
						}
						jQuery(this).find('#htomove').attr('value', valPrevCell);
						/******************************************************************************/
						//On recherche s'il y a une activité précédent et si oui on attribue l'heure de fin de la cellule précédente
						// à l'heure de début de la nouvelle cellule crée
						/******************************************************************************/
						if (valPrevCell && jQuery(this).find('.start').val().length == 0) {
							jQuery(this).find('.start').val(valPrevCell);
							var duree = parseInt(jQuery(startId).find('#duree').val());
					  		var debutprev = jQuery(prevIdCell).find('li').find('.end').val()
					  		var heureDebut = jQuery(startId).find('.start').val();
					  		var getH = parseInt(heureDebut.substr(0,2));
					  		var heuFin = parseInt(duree / 60) + getH;
					  		var getM = parseInt(heureDebut.substr(3,2));
					  		var minFin = getM + (duree % 60);
					  			if (minFin >= 60) {
									minFin = minFin-60;
									heuFin = heuFin +1;
								}
					  			if (minFin <= 9){
					  				minFin = "0"+String(minFin);	
					  			}
					  			if (heuFin >=24) {
					  				heuFin = heuFin - 24;
					  			}
					  			if (heuFin <= 9) {
									var heureFinal = "0" + String(heuFin) + ":"+ String(minFin);
								}
								else {
									heureFinal = String(heuFin) + ":"+ String(minFin);
								}
					  			console.log(heureFinal);
					  			jQuery(this).find('.end').val(heureFinal);
						}

						// S'il y a une activité précédente et une valeur start à cette activité
						if (valPrevCell && jQuery(this).find('.start').val().length > 0) {
							// si on avance l'activité d'une j=heure ou plus, l'heure de début augmente d'autant de case
							if (parseInt(jQuery(this).find('.start').val().substr(0,2)) < parseInt(valPrevCell.substr(0,2))) {
								jQuery(this).find('.start').val(valPrevCell);
								var duree = parseInt(jQuery(startId).find('#duree').val());
						  		var debutprev = jQuery(prevIdCell).find('li').find('.end').val();
						  		var heureDebut = jQuery(startId).find('.start').val();
						  		var getH = parseInt(heureDebut.substr(0,2));
						  		var heuFin = parseInt(duree / 60) + getH;
					  			var getM = parseInt(heureDebut.substr(3,2));
					  			var minFin = getM + (duree % 60);
						  		if (minFin >= 60) {
									minFin = minFin-60;
									heuFin = heuFin +1;
								}
					  			if (minFin <= 9){
					  				minFin = "0"+String(minFin);	
					  			}
					  			if (heuFin >=24) {
					  				heuFin = heuFin - 24;
					  			}
					  			if (heuFin <= 9) {
									var heureFinal = "0" + String(heuFin) + ":"+ String(minFin);
								}
								else {
									heureFinal = String(heuFin) + ":"+ String(minFin);
								}
								console.log(heureFinal);
						  		jQuery(this).find('.end').val(heureFinal);
							}
							
							// sinon si on recule l'activité d'une heure ou plus, l'heure de début réduit d'autant de case
							else if (parseInt(jQuery(this).find('.start').val().substr(0,2)) > parseInt(valPrevCell.substr(0,2))) {
								jQuery(this).find('.start').val(valPrevCell);
								var duree = parseInt(jQuery(startId).find('#duree').val());
						  		var debutprev = jQuery(prevIdCell).find('li').find('.end').val();
						  		var heureDebut = jQuery(startId).find('.start').val();
						  		var getH = parseInt(heureDebut.substr(0,2));
						  		var heuFin = parseInt(duree / 60) + getH;
					  			var getM = parseInt(heureDebut.substr(3,2));
					  			var minFin = getM + (duree % 60);
						  		if (minFin >= 60) {
									minFin = minFin-60;
									heuFin = heuFin +1;
								}
					  			if (minFin <= 9){
					  				minFin = "0"+String(minFin);	
					  			}
					  			if (heuFin >=24) {
					  				heuFin = heuFin - 24;
					  			}
					  			if (heuFin <= 9) {
									var heureFinal = "0" + String(heuFin) + ":"+ String(minFin);
								}
								else {
									heureFinal = String(heuFin) + ":"+ String(minFin);
								}
								console.log(heureFinal);
						  		
						  		jQuery(this).find('.end').val(heureFinal);
							}
						}
						/******************************************************************************/
						// limite du choix de l'heure de début en fonction de l'heure de début de la prochaine activité. 
						/******************************************************************************/
						nextId = parseInt(number)+1;
						
						var nextIdCell = "#cellule_"+nextId;
						if (jQuery(nextIdCell).length >= 1 && jQuery(nextIdCell).find('li').length == 0 && (jQuery(nextIdCell).parents('div').attr('id') ==  jQuery('#'+getIdCell).parents('div').attr('id'))) {
							while (jQuery(nextIdCell).find('li').length == 0 ) {
								nextId = nextId+1;
								nextIdCell = "#cellule_"+nextId;

								if (jQuery(nextIdCell).length == 0 || (jQuery('#'+getIdCell).parents('div').attr('id') != jQuery(nextIdCell).parents('div').attr('id')) ) {
									var valNextCell = '24:00'
									break;
								}
								else if (jQuery(nextIdCell).find('li').length >= 1 ) {
							   		var valNextCell = jQuery(nextIdCell).find('li').find('.start').val();
							   		break;
							   	}
							}
						}
						else {
							var valNextCell = jQuery(nextIdCell).find('li').find('.start').val();
						}

						/*****************************************************************/
		            	// Si l'activité est déplacée, on modifie l'id de la cellule uniquement
			            if (senderId) {
			            	var id_activity = jQuery(this).find("input#id_activity").val();
							var id_planning = jQuery(this).find("input#id_planning").val();
							var id_cell = jQuery(this).find("input#id_cell").val();
							var start_t = jQuery(this).find("input#start_t").val();
							var end_t = jQuery(this).find("input#end_t").val();
							var id = jQuery(this).find("input#idacti").val();
							var merge = jQuery(this).find("input#merge").val();
							var token = jQuery(this).find('#token').val();
							var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[merge]='+merge+'&'+token+'=1';
							jQuery.ajax({
								url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
								type: "POST",
								data: data2,
								//dataType: "xml",
								beforeSend: function() {
								    jQuery(startId).find('.loader1').css("visibility", "visible");
								},
								complete: function(){
									if (jQuery(startId).find("input#idacti").val().length === 0) {		
										jQuery(startId).find("input#idacti").attr('value', id);
									}
									
									jQuery(startId).find('.loader1').css("visibility", "hidden");
								}
							});
			            	
			            } // Fin If senderId
			            else {
			            	/*****************************************************************/
										/*Enregistrement de l'activité*/
						/*****************************************************************/
							var id_activity = jQuery(this).find("input#id_activity").val();
							var id_planning = jQuery(this).find("input#id_planning").val();
							var id_cell = jQuery(this).find("input#id_cell").val();
							var start_t = jQuery(this).find("input#start_t").val();
							var end_t = jQuery(this).find("input#end_t").val();
							var status = jQuery(this).find("input#status").val();
							var actcount = jQuery(this).find("input#count").val();
							
							
							var id;
							var merge = jQuery(this).find("input#merge").val();
							//var created_by = jQuery(this).find("input#start_t").attr('value');
							var token = jQuery(this).find('#token').val();
							var data2 = 'jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[actcount]='+actcount+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[state]='+status+'&jform[merge]='+merge+'&'+token+'=1';
							jQuery.ajax({
								url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
								type: "POST",
								data: data2,
								beforeSend: function() {
								    jQuery(startId).find('.loader1').css("visibility", "visible");
								},
								//dataType: "xml",
								complete: function(data){
									id = data.responseText;
									if (jQuery(startId).find("input#idacti").val().length == 0) {		
										jQuery(startId).find("input#idacti").attr('value', id);
									};
									jQuery(startId).find('.loader1').css("visibility", "hidden");
								}
							});	
			            }	

					/*****************************************************************/
						
					/****************************************************************************/
						// On attribue le datetimepicker aux champs ".start" et ".end"
						jQuery(this).find('.start').datetimepicker({
						  	format:'H:i',
						  	step:5,
						  	closeOnTimeSelect:true,
						  	onShow:function(ct){
						  		
						  	}, // Fin onShow
						  	
						  	// Sélection de l'heure de début de l'activité et calcul de son heure de fin à partir de sa durée
						  	onSelectTime:function(ct){
						  		var duree = parseInt(jQuery(startId).find('#duree').val());
						  		var debutprev = jQuery(prevIdCell).find('li').find('.end').val();
						  		var heureDebut = jQuery(startId).find('.start').val();
						  		var getH = parseInt(heureDebut.substr(0,2));
						  		var heuFin = parseInt(duree / 60) + getH;
						  		var getM = parseInt(heureDebut.substr(3,2));
						  		var minFin = getM + (duree % 60);
						  			if (minFin >= 60) {
										minFin = minFin-60;
										heuFin = heuFin +1;
									}
						  			if (minFin <= 9){
						  				minFin = "0"+String(minFin);	
						  			}
						  			if (heuFin >=24) {
						  				heuFin = heuFin - 24;
						  			}
						  			if (heuFin <= 9) {
										var heureFinal = "0" + String(heuFin) + ":"+ String(minFin);
									}
									else {
										heureFinal = String(heuFin) + ":"+ String(minFin);
									}
						  			console.log(heureFinal);
						  			var heureDeFin = jQuery(startId).find('.end').val(heureFinal);

								jQuery( "#master-drag > li ").unbind("click");
								jQuery( "#master-drag > li ").draggable("option", "disabled", false );

								// On ajoute la valeur de l'heure de début à la valeur du champ "start_t"
								var start = jQuery(startId).find('.start').val();
								jQuery(startId).find('#start_t').attr('value', start);
								// On ajoute la valeur de l'heure de fin à la valeur du champ "end_t"
								var end = jQuery(startId).find('.end').val();
								jQuery(startId).find('#end_t').attr('value', end);
								var id_activity = jQuery(startId).find("input#id_activity").val();
								var id_planning = jQuery(startId).find("input#id_planning").val();
								var id_cell = jQuery(startId).find("input#id_cell").val();
								
								if (jQuery(startId).find('#htomove').length == 0) {
								jQuery(startId).append('<input id="htomove" name="htomove" type="hidden" value="'+start+'">');
								}
								else {
									jQuery(startId).find('#htomove').attr('value', start);
								}
								var id = jQuery(startId).find("input#idacti").val();
								var token = jQuery(startId).find('#token').val();
								var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start+'&jform[end_t]='+end+'&'+token+'=1';
								jQuery.ajax({
									url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
									type: "POST",
									data: data2,
									beforeSend: function() {
								    	jQuery(startId).find('.loader1').css("visibility", "visible");
									},
									//dataType: "xml",
									complete: function(){
										if (jQuery(startId).find("input#idacti").val().length == 0) {		
											jQuery(startId).find("input#idacti").attr('value', id);
										};
										jQuery(startId).find('.loader1').css("visibility", "hidden");
									}
								});	
						  	}, //Fin onSelectTime
							timepicker:true,
							datepicker:false
						}); //Fin dateTimePicker Start
						
						
						jQuery(this).find('.end').datetimepicker({
						  format:'H:i',
						  step:5,
						  closeOnTimeSelect:true,
						  onShow:function( ct ){ 
						  },
						  onSelectTime:function(ct){
						  	var start = jQuery(startId).find('.start').val();
						  	var end = jQuery(startId).find('.end').val();
						  	jQuery(startId).find('#end_t').attr('value', end);
						  	var id_activity = jQuery(startId).find("input#id_activity").val();
							var id_planning = jQuery(startId).find("input#id_planning").val();
							var id_cell = jQuery(startId).find("input#id_cell").val();
							var id = jQuery(startId).find("input#idacti").val();
							var token = jQuery(startId).find('#token').val();
							var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start+'&jform[end_t]='+end+'&'+token+'=1';
							jQuery.ajax({
								url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
								type: "POST",
								data: data2,
								beforeSend: function() {
							    	jQuery(startId).find('.loader1').css("visibility", "visible");
								},
								//dataType: "xml",
								complete: function(){

									if (jQuery(startId).find("input#idacti").val().length == 0) {		
										jQuery(startId).find("input#idacti").attr('value', id);
									};
									jQuery(startId).find('.loader1').css("visibility", "hidden");
								}
							});	
					  	},
					  	timepicker:true,
					  	datepicker:false
					 	}); // Fin end datetimepicker
					}// fin if undefined
				});
			
			},
			remove: function(event, ui) {
				jQuery(this).removeClass('onlyone');
			} // FIN receive
			//cancel:".onlyone"
			
		})
	})
	// On définie le nombre d'éléments li dans les cellules "ul". 
	/*jQuery('ul li').mousedown(function(){
	    // Check number of elements already in each sortable
	    jQuery('ul').not(jQuery(this).parent()).each(function(){
	        var $this = jQuery(this);
	        
	        if(jQuery(this).find('li').length >= 1){ // un seul élément (activité) par cellule "ul"
	            jQuery(this).sortable("disable");
	        } else {
	            jQuery(this).sortable();
	        }
	    });
	});*/
	jQuery('ul').disableSelection(); // on désactive la possibilité au navigateur de faire des sélections
	jQuery('.fullplanning').find("ul").on("sortstart", function (event, ui){
		var getIdCell = jQuery(this).attr('id');
		var number = getIdCell.replace(/cellule_/g, "");
	    // function delete
	    function deleteSupp(el) {
	    	el.find('.del').remove();
	    }
    	deleteSupp(jQuery(this).find("li"));
    	
    	function deleteStatus(el) {
	    	el.find('.status').remove();
	    }
    	deleteStatus(jQuery(this).find("li"));

	}); // End sortstart
	jQuery('.fullplanning').find("ul").on("sortreceive", function (event, ui){
		var getIdCell = jQuery(this).attr('id');
		var number = getIdCell.replace(/cellule_/g, "");
		function addSupp(el) {
			var del = "<script type='text/javascript'>jQuery(document).ready(function(){jQuery(this).find('.supprimer-"+number+"').click(function() {idul = '#'+jQuery(this).parent('li').parent('ul').attr('id');jQuery(idul).removeClass('onlyone');	var idActi = jQuery(this).parent().find('input#idacti').attr('value');var token = jQuery(this).parent().find('input#token').val();var datatok = 'id='+idActi+'&'+token+'=1';jQuery.ajax({url:'index.php?option=com_easytimetable&task=Plannedactivity.remove&',type: 'POST',data: datatok,dataType: 'xml'}),jQuery(this).parent().remove();	}); });</script>" ;
		    el.prepend("<a class='supprimer-"+number+" del' title='Click to delete the item'>"+del+"</a>");
		}
		addSupp(jQuery(this).find("li"));

		function addStatus(el) {
			var sta = "<script type='text/javascript'>jQuery(document).ready(function(){jQuery(this).find('.publish-"+number+"').click(function() {var startId = '#'+jQuery(this).parent().attr('id');var id_activity = jQuery(this).parent().find('input#id_activity').val();var id_planning = jQuery(this).parent().find('input#id_planning').val();var id_cell = jQuery(this).parent().find('input#id_cell').val();var start_t = jQuery(this).parent().find('input#start_t').val();var end_t = jQuery(this).parent().find('input#end_t').val();var id = jQuery(this).parent().find('input#idacti').val();var token = jQuery(this).parent().find('#token').val();var status = jQuery(this).parent().find('input#status').val();var state;if (status == 0) {state = 1;jQuery(this).parent().find('input#status').attr('value', state);jQuery(this).addClass('published');jQuery(this).removeClass('notpublished');}else if (status == 1) {state = 0;jQuery(this).parent().find('input#status').attr('value', state);jQuery(this).addClass('notpublished');jQuery(this).removeClass('published');}var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[state]='+state+'&'+token+'=1';jQuery.ajax({url:'index.php?option=com_easytimetable&task=Plannedactivity.save2&',type: 'POST',data: data2,beforeSend: function() {jQuery(startId).find('.loader1').css('visibility', 'visible');},complete: function(data){jQuery(startId).find('.loader1').css('visibility', 'hidden');}});});});</script>" ;
		    var status = el.find("input#status").val();
		    if (status == 0) {var etat = "notpublished";} else {var etat = "published";}
		    el.prepend("<a class='publish-"+number+" status "+etat+"' title='Click to publish or unpublish the item' >"+sta+"</a>");
		}
		addStatus(jQuery(this).find("li"));
	}); // End sortstop
	
	
	/********************************************************************/
	/**************TEST DEPLACEMENT DATETIMEPICKER*************************/
	/********************************************************************/
	
	jQuery('.fullplanning').find("ul").each(function(){
		if (jQuery(this).find('li').length!=0) {
			jQuery(this).addClass('onlyone');
		}
		//ajout
		var getIdCell = jQuery(this).attr('id');
		var number = getIdCell.replace(/cellule_/g, "");
		jQuery(this).find("li").each(function(){
			var isMerged = jQuery(this).attr('data-merge');
			if (isMerged == 1 && jQuery(this).parent('ul').find('li').length == 1) {
				jQuery(this).parent('ul').removeClass('onlyone');
			}
			// On actualise sa position
			var index = parseInt(jQuery(this).index()+1);
			jQuery(this).addClass('count');
			// On la met à jour dans la page
			jQuery(this).find(".count").text(index);
			// On définie l'Id de l'activité nouvellement créée
			nomActiviteGlobal = jQuery(this).attr('id'); //jQuery(this).find("#title").val()+'_'+number;
			//jQuery(this).attr('id', nomActiviteGlobal);
			
			//On ajoute l'id de la cellule à la valeur du champ "id_cell"
			jQuery(this).find('#id_cell').attr('value', number);
			jQuery(this).find(".duration").remove();
			

			// Affichage des champs cachés pour la définition de l'heure de début si la class hastimepicker n'est pas encore présente et si ce n'est pas une pause
			
			if (jQuery(this).find('#start_t').hasClass('invisible') ){
				jQuery(this).find('#start_t').removeClass('invisible');	
			}
			if (jQuery(this).find('span').hasClass('invisible') ){
				jQuery(this).find('span').removeClass('invisible');	
			}
			if (jQuery(this).find('#end_t').hasClass('invisible') ){
				jQuery(this).find('#end_t').removeClass('invisible');	
			}

			var startId = '#'+ nomActiviteGlobal;
			
			/****************************************************************************/
			// Recherche si une cellule précédente existe et si elle contient une heure de fin
			// Si oui, on limite l'heure de début en fonction de l'heure de fin de la précédente activité ajoutée
			/****************************************************************************/
			prevId = number-1;
			prevIdCell = "#cellule_"+prevId;
			//SI il y a une cellule ul précédente et s'il n'y a pas de 'li' dans cette cellule et si l'id de la de la colonne de la 'ul' courante est identique à la 'ul' précédente
			if (jQuery(prevIdCell).length >= 1 && jQuery(prevIdCell).find('li').length == 0 && (jQuery(prevIdCell).parents('div').attr('id') ==  jQuery('#'+getIdCell).parents('div').attr('id'))) {
				// Tant qu'il n'y a pas de 'li' dans cette 'ul' on continue de chercher à la cellule précédente
				while (jQuery(prevIdCell).find('li').length == 0 ) {
					prevId = prevId-1;
					prevIdCell = "#cellule_"+prevId;

					if (jQuery('#'+getIdCell).parents('div').attr('id') != jQuery(prevIdCell).parents('div').attr('id'))  {
						valPrevCell = startingtime;
						break;
					}

					else if (jQuery(prevIdCell).find('li').length >= 1 ) {
				   		valPrevCell = jQuery(prevIdCell).find('li').find('.end').val();
				   		break;
				   	}
				}
			}
			else if (jQuery(prevIdCell).length == 0 && (jQuery('#'+getIdCell).parents('div').attr('id') != jQuery(prevIdCell).parents('div').attr('id')) ) {
				valPrevCell = startingtime;
			}
			else {
				valPrevCell = jQuery(prevIdCell).find('li').find('.end').val();
			}
			/******************************************************************************/
			//On recherche s'il y a une activité précédent et si oui on attribue l'heure de fin de la cellule précédente
			// à l'heure de début de la nouvelle cellule crée
			/******************************************************************************/
			if (valPrevCell && jQuery(this).find('.start').val().length == 0) {
				jQuery(this).find('.start').val(valPrevCell);
				var duree = parseInt(jQuery(startId).find('#duree').val());
		  		var debutprev = jQuery(prevIdCell).find('li').find('.end').val();

		  		var heureDebut = jQuery(startId).find('.start').val();
		  		var getH = parseInt(heureDebut.substr(0,2));
		  		if (heureDebut.substr(3,2)=="00") {
					if (duree <= 59){
						var minFin = duree;
						var heuFin = getH;
					}
					if (duree >= 60) {
			  			minFin = duree - 60;
			  			heuFin = getH + 1;
		  			}
		  			if (minFin <= 9) {
		  				minFin = "0"+String(minFin);
		  			}
		  			if (heuFin >=24) {
		  				heuFin = heuFin - 24;
		  			}
					if (heuFin <= 9) {
						var heureFinal = "0" + String(heuFin) + ":"+ minFin;
					}
					else {
						heureFinal = String(heuFin) + ":"+ minFin;
					}
					
			  		jQuery(startId).find('.end').val(heureFinal);
			  		
		  		}
		  		else {
		  			var getM = parseInt(heureDebut.substr(3,2));
				  			if (duree < 60) { 
					  			minFin = getM + duree;
					  			if (minFin >= 60) {
						  			minFin = minFin - 60;
						  			heuFin = getH + 1;
					  			}
					  			else {
					  				heuFin = getH;
					  			}
					  		}
					  		else if (duree >= 60 && duree <= 90) {
					  			minFin = getM + duree;
					  			if (minFin >= 60 && minFin < 120) {
					  				minFin = minFin - 60;
					  				heuFin = getH + 1;
					  			}
					  			else if (minFin >= 120) {
					  				minFin = minFin - 120;
					  				heuFin = getH + 2;
					  			}
					  		}
				  			if (minFin <= 9){
				  				minFin = "0"+String(minFin);	
				  			}
				  			if (heuFin >=24) {
				  				heuFin = heuFin - 24;
				  			}
				  			if (heuFin <= 9) {
								var heureFinal = "0" + String(heuFin) + ":"+ String(minFin);
							}
							else {
								heureFinal = String(heuFin) + ":"+ String(minFin);
							}
				  			jQuery(startId).find('.end').val(heureFinal);
		  		
				}
			} //fin if (valPrevCell && jQuery(this).find('.start').val().length == 0)
			
					/******************************************************************************/
					// limite du choix de l'heure de début en fonction de l'heure de début de la prochaine activité. 
					/******************************************************************************/
			nextId = parseInt(number)+1;
			
			var nextIdCell = "#cellule_"+nextId;
			if (jQuery(nextIdCell).length >= 1 && jQuery(nextIdCell).find('li').length == 0 && (jQuery(nextIdCell).parents('div').attr('id') ==  jQuery('#'+getIdCell).parents('div').attr('id'))) {
				while (jQuery(nextIdCell).find('li').length == 0 ) {
					nextId = nextId+1;
					nextIdCell = "#cellule_"+nextId;

					if (jQuery(nextIdCell).length == 0 || (jQuery('#'+getIdCell).parents('div').attr('id') != jQuery(nextIdCell).parents('div').attr('id')) ) {
						var valNextCell = '24:00'
						break;
					}
					else if (jQuery(nextIdCell).find('li').length >= 1 ) {
				   		var valNextCell = jQuery(nextIdCell).find('li').find('.start').val();
				   		break;
				   	}
				}
			}
			else {
				var valNextCell = jQuery(nextIdCell).find('li').find('.start').val();
			}

		jQuery(this).find('.start').datetimepicker({
		  	format:'H:i',
		  	step:5,
		  	closeOnTimeSelect:true,
		  	onShow:function( ct ){
			  	
		  	}, // FIN onshow
		  	// Sélection de l'heure de début de l'activité et calcul de son heure de fin à partir de sa durée
		  	onSelectTime:function(ct){
		  		var duree = parseInt(jQuery(startId).find('#duree').val());
		  		console.log(startId);
		  		var heureDebut = jQuery(startId).find('#start_t').val();
		  		var getH = parseInt(heureDebut.substr(0,2));
		  		var heuFin = parseInt(duree / 60) + getH;
		  		var getM = parseInt(heureDebut.substr(3,2));
		  		var minFin = getM + (duree % 60);
	  			if (minFin >= 60) {
					minFin = minFin-60;
					heuFin = heuFin +1;
				}
	  			if (minFin <= 9){
	  				minFin = "0"+String(minFin);	
	  			}
	  			if (heuFin >=24) {
	  				heuFin = heuFin - 24;
	  			}
	  			if (heuFin <= 9) {
					var heureFinal = "0" + String(heuFin) + ":"+ String(minFin);
				}
				else {
					heureFinal = String(heuFin) + ":"+ String(minFin);
				}
	  			//console.log(heureFinal);
	  			//var heureDeFin = jQuery(startId).find('.end').val(heureFinal);
	  			jQuery(startId).find('input#end_t').val(heureFinal);
	  			
				// On ajoute la valeur de l'heure de début à la valeur du champ "start_t"
				var start = jQuery(startId).find('.start').val();
				jQuery(startId).find('#start_t').attr('value', start);
				// On ajoute la valeur de l'heure de fin à la valeur du champ "end_t"
				var end = jQuery(startId).find('.end').val();
				jQuery(startId).find('#end_t').attr('value', end);
				var id_activity = jQuery(startId).find("input#id_activity").val();
				var id_planning = jQuery(startId).find("input#id_planning").val();
				var id_cell = jQuery(startId).find("input#id_cell").val();
				// On attribue la valeur de start à htomove pour garder une trace de l'heure choisie en cas de changement de cellule
				jQuery(startId).find('#htomove').attr('value', start);
				
				var id = jQuery(startId).find("input#idacti").val();
				var token = jQuery(startId).find('#token').val();
				var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start+'&jform[end_t]='+end+'&'+token+'=1';
				jQuery.ajax({
					url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
					type: "POST",
					data: data2,
					beforeSend: function() {
				    	jQuery(startId).find('.loader1').css("visibility", "visible");
					},
					//dataType: "xml",
					complete: function(data){

						if (jQuery(startId).find("input#idacti").val().length == 0) {		
							jQuery(startId).find("input#idacti").attr('value', id);

						}
						jQuery(startId).find('.loader1').css("visibility", "hidden");
					}
				});
				
		  	},
			timepicker:true,
			datepicker:false,
		}); // datetimepicker

		jQuery(this).find('.end').datetimepicker({
		  format:'H:i',
		  step:5,
		  closeOnTimeSelect:true,
		  onShow:function( ct ){ 
		  },
		  onSelectTime:function(ct){
		  	var start = jQuery(startId).find('.start').val();
		  	var end = jQuery(startId).find('.end').val();
		  	jQuery(startId).find('#end_t').attr('value', end);
		  	var id_activity = jQuery(startId).find("input#id_activity").val();
			var id_planning = jQuery(startId).find("input#id_planning").val();
			var id_cell = jQuery(startId).find("input#id_cell").val();
			var id = jQuery(startId).find("input#idacti").val();
			var token = jQuery(startId).find('#token').val();
			var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start+'&jform[end_t]='+end+'&'+token+'=1';
			jQuery.ajax({
				url:"index.php?option=com_easytimetable&task=Plannedactivity.save2&",
				type: "POST",
				data: data2,
				beforeSend: function() {
			    	jQuery(startId).find('.loader1').css("visibility", "visible");
				},
				//dataType: "xml",
				complete: function(){

					if (jQuery(startId).find("input#idacti").val().length == 0) {		
						jQuery(startId).find("input#idacti").attr('value', id);
					};
					jQuery(startId).find('.loader1').css("visibility", "hidden");
				}
			});	
		  },
		  timepicker:true,
		  datepicker:false
		 }); // Fin end datetimepicker
		})
	})
			

});