/**
 * @version     1.6.2
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License v2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */

jQuery(document).ready(function(){
	var title = new Array();
	var singleTitle;
	var arrayNames = new Array();
	
	jQuery('.sy-filters').find('div').each(function(){
		var filterName = jQuery(this).text();
		//console.log(filterName);
		//console.log(arrayNames.length);

			if (jQuery.inArray(filterName, arrayNames) > -1) {
				//console.log(arrayNames);
				jQuery(this).css('display', "none");
			}
			else {
				arrayNames.push(filterName); 
			}
				
		
		//if (jQuery(this).text())
	})


	// hauteur des cellules et ajout des cellules non publiées
	jQuery('.fullplanning').find("li").each(function(){
		//hauteur des cellules "blank"
    	var numRem = jQuery(this).attr('id').substr(-5, 5);
    	var numblank = jQuery(this).attr('id').replace(numRem, "");
    	var state = jQuery(this).attr('data-state');
    	console.log(state);
    	//if (numblank == "blank") {
    		hourE = parseInt(jQuery(this).find('.sy-adaend').text().substr(0,2))*60 + parseInt(jQuery(this).find('.sy-adaend').text().substr(3,2));
    		
    		hourS = parseInt(jQuery(this).find('.sy-adastart').text().substr(0,2))*60 + parseInt(jQuery(this).find('.sy-adastart').text().substr(3,2));
    		blankDuration = (hourE - hourS)*1.35;
    		//console.log('blankDuration : '+ blankDuration);
    		jQuery(this).find('#duree').attr('value', blankDuration);
    		jQuery(this).css('height',  blankDuration);
    	//}
    	/*else {
    		var duration = parseInt(jQuery(this).find(".duration").text())*1.35;
    		jQuery(this).css('height',  duration);
    		//console.log('duration : '+ duration);
    	}*/
    	//  ajout des cellules non publiées
    	var indexCell = parseInt(numRem.substr(-2, 2))
    	//console.log('indexCell : '+indexCell);
    	var trueIndex = jQuery(this).index()+1;
    	//console.log('trueIndex : '+trueIndex);
    	
    	if (trueIndex !=indexCell) {
    		if (trueIndex == 1) {
    		var start = parseInt(jQuery('.startingtime').text().substr(0,2))*60 + parseInt(jQuery('.startingtime').text().substr(3,2));
    		//console.log(start);
    	}
    	else {
    		var start = parseInt(jQuery(this).prev().find('.sy-adaend').text().substr(0,2))*60 + parseInt(jQuery(this).prev().find('.sy-adaend').text().substr(3,2));
    		//console.log(start);
    	}
    		if (parseInt(jQuery(this).find('.sy-adastart').text().substr(0,2)) < 10) {
    			var mins = parseInt(jQuery(this).find('.sy-adastart').text().substr(2,2));
    		}
    		else {
    			var mins = parseInt(jQuery(this).find('.sy-adastart').text().substr(3,2));
    		}
    		hourE = parseInt(jQuery(this).find('.sy-adastart').text().substr(0,2))*60 + mins;
    		//console.log('sy-adastart hour : '+parseInt(jQuery(this).find('.sy-adastart').text().substr(0,2))*60);
    		//console.log('mins : '+mins);
    		//console.log('hourE : '+hourE);
    		heightPlus = hourE - start;	
    		var numRem2 = numRem.replace("_", "");
    		//console.log(numRem2);
    		if (heightPlus != 0) {
    			jQuery(this).before('<li id="replacement'+ numRem +'" class="sy-replacement" overcolor="" style="height:'+heightPlus*1.35+'px;opacity:0;"><input id="duree" type="hidden" value="'+heightPlus+'"><div class="duration invisible" style="display:none;">'+heightPlus+'</div><div id="sy-infofields'+ numRem2 +'"></div></li>');
    		}
    		//console.log(heightPlus);
    		//console.log(indexCell);
    		//console.log(trueIndex);
    	}
    	
    });

	// On recherche si l'activité existe dans le planning
	jQuery('.fullplanning').find('li').not('.blank, .sy-replacement').each(function (){
		singleTitle = jQuery(this).find('.sy-adacttitle').text().replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
		singleTitle = singleTitle.replace(/\s+/g,"");
		singleTitle = singleTitle.replace(/[\"\/~\\@]/g, "");
		singleTitle = singleTitle.replace(/[éèêëÉÈÊË]+/g,"e");
		singleTitle = singleTitle.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
		singleTitle = singleTitle.replace(/[ïîìíÍÌÎÏ]+/g,"i");
		singleTitle = singleTitle.replace(/[ûüùúÚÙÛÜ]+/g,"u");
		singleTitle = singleTitle.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
		singleTitle = singleTitle.replace(/[ÝýÿŸ]+/g,"y");
		singleTitle = singleTitle.replace(/[žŽ]+/g,"z");
		singleTitle = singleTitle.replace(/[šŠß]+/g,"s");
		singleTitle = singleTitle.replace(/[çÇ]+/g,"c");
		singleTitle = singleTitle.replace(/[ñÑ]+/g,"n");
		singleTitle = singleTitle.replace(/^1/g,"one");
		singleTitle = singleTitle.replace(/^2/g,"two");
		singleTitle = singleTitle.replace(/^3/g,"three");
		singleTitle = singleTitle.replace(/^4/g,"four");
		singleTitle = singleTitle.replace(/^5/g,"five");
		singleTitle = singleTitle.replace(/^6/g,"six");
		singleTitle = singleTitle.replace(/^7/g,"seven");
		singleTitle = singleTitle.replace(/^8/g,"eight");
		singleTitle = singleTitle.replace(/^9/g,"nine");
		singleTitle = singleTitle.replace(/^0/g,"zero");
		//console.log(singleTitle);
		jQuery(this).on('mouseenter', function(){
			//console.log('#' + jQuery(this).attr('data-fontovercolor'));
			jQuery(this).find('.sy-adacttitle').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
			jQuery(this).find('.sy-adacttitle > a').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
			jQuery(this).find('.sy-adaseparator').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
			jQuery(this).find('.sy-adastart, .sy-adaend ').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
		})
		jQuery(this).on('mouseleave', function(){
			//console.log('#' + jQuery(this).attr('data-fontcolor'));
			jQuery(this).find('.sy-adacttitle').css('color', '#' + jQuery(this).attr('data-fontcolor'));
			jQuery(this).find('.sy-adacttitle > a').css('color', '#' + jQuery(this).attr('data-fontcolor'));
			jQuery(this).find('.sy-adaseparator').css('color', '#' + jQuery(this).attr('data-fontcolor'));
			jQuery(this).find('.sy-adastart, .sy-adaend ').css('color', '#' + jQuery(this).attr('data-fontcolor'));
		})
		if (jQuery.inArray(singleTitle, title) == -1) {
			title.push(singleTitle);
				//console.log(singleTitle);
				//console.log(title);
		}
	});

	var idRef, idRef2;
	// affichage des activités du filtre en fonction de celles présentes dans le planning
	jQuery('.sy-actsingle:not(".allfilter")').each(function(){
		idRef = jQuery(this).attr('id').replace('sy-', "");
		if (jQuery.inArray(idRef, title) == -1) {
			jQuery('#sy-'+idRef).css("display", "none");
			//console.log(idRef);
		}
	})
	// action de filtrage sur click de l'activité
	jQuery('.sy-actsingle:not(".allfilter")').on('click', function(){
		var idRef = jQuery(this).attr('id').replace('sy-', "");
		idRef = idRef.replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
		idRef = idRef.replace(/[\"\/~\\@]/g, "");
		idRef = idRef.replace(/\s+/g,"");
		idRef = idRef.replace(/[éèêëÉÈÊË]+/g,"e");
		idRef = idRef.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
		idRef = idRef.replace(/[ïîìíÍÌÎÏ]+/g,"i");
		idRef = idRef.replace(/[ûüùúÚÙÛÜ]+/g,"u");
		idRef = idRef.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
		idRef = idRef.replace(/[ÝýÿŸ]+/g,"y");
		idRef = idRef.replace(/[žŽ]+/g,"z");
		idRef = idRef.replace(/[šŠß]+/g,"s");
		idRef = idRef.replace(/[çÇ]+/g,"c");
		idRef = idRef.replace(/[ñÑ]+/g,"n");
		idRef = idRef.replace(/^1/g,"one");
		idRef = idRef.replace(/^2/g,"two");
		idRef = idRef.replace(/^3/g,"three");
		idRef = idRef.replace(/^4/g,"four");
		idRef = idRef.replace(/^5/g,"five");
		idRef = idRef.replace(/^6/g,"six");
		idRef = idRef.replace(/^7/g,"seven");
		idRef = idRef.replace(/^8/g,"eight");
		idRef = idRef.replace(/^9/g,"nine");
		idRef = idRef.replace(/^0/g,"zero");
		jQuery('.fullplanning').find('ul').each(function(){
			var id, idNum, idName;
			jQuery(this).find('li').each(function(){
				if (jQuery(this).attr('data-state') == 1 ) {

					if (jQuery(this).find('.sy-adacttitle').text().replace(/[éèêëÉÈÊË]+/g,"e").replace(/\s+/g,"").replace(/[#$,.;:!€£"&?%()’'-\*]/g, "").replace(/[\"\/~\\@]/g, "").replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a").replace(/[ïîìíÍÌÎÏ]+/g,"i").replace(/[ûüùúÚÙÛÜ]+/g,"u").replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o").replace(/[ÝýÿŸ]+/g,"y").replace(/[žŽ]+/g,"z").replace(/[šŠß]+/g,"s").replace(/[çÇ]+/g,"c").replace(/[ñÑ]+/g,"n").replace(/^1/g,"one").replace(/^2/g,"two").replace(/^3/g,"three").replace(/^4/g,"four").replace(/^5/g,"five").replace(/^6/g,"six").replace(/^7/g,"seven").replace(/^8/g,"eight").replace(/^9/g,"nine").replace(/^0/g,"zero") != idRef) {
						jQuery(this).tooltip("disable");
						jQuery(this).css('opacity', "0");
						jQuery(this).find(".sy-adacttitle").addClass("invisible");
						jQuery(this).find(".sy-adatime").addClass("invisible");
						jQuery(this).find(".sy-adapinfo").addClass("invisible");
						jQuery(this).addClass("bg-color-adap");
					}
					else {
						jQuery(this).tooltip("enable");
						jQuery(this).css('opacity', "1");
						jQuery(this).find(".sy-adacttitle").removeClass("invisible");
						jQuery(this).find(".sy-adatime").removeClass("invisible");
						jQuery(this).find(".sy-adapinfo").removeClass("invisible");
						jQuery(this).removeClass("bg-color-adap");
					}
				}
			})		
		});
	})
	// action de défiltrage sur le clic du bouton "all"
	jQuery('.allfilter').on('click', function(){
		jQuery('.fullplanning').find('li').each(function(){
			if (jQuery(this).attr('data-state') == 1 ) {
				jQuery(this).tooltip("enable");
				jQuery(this).css('opacity', "01");
				jQuery(this).find(".sy-adacttitle").removeClass("invisible");
				jQuery(this).find(".sy-adatime").removeClass("invisible");
				jQuery(this).find(".sy-adapinfo").removeClass("invisible");
				jQuery(this).removeClass("bg-color-adap");
			}
		});
	});
	
	
});