<?php

/**
 * @version     1.7.0RC1
 * @package     mod_easytimetable
 * @copyright   Copyright (C) 2015. All right reserved.
 * @license     GNU General Public License version 2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Include the helper functions only once
require_once dirname(__FILE__) . '/helper.php';

// Ask the helper class to get the list of timetable entries
$planning = modEastimetableHelper::getItem($params);
$planAct = modEastimetableHelper::getPlanact($planning->id);
$activities = modEastimetableHelper::getActs($planning->id);
$activitiesF = modEastimetableHelper::getActsF();
$tabLink = [];
foreach ($activitiesF as $act) {
	if ((int)$act->linked == 3)
	{
		$tabLink[$act->id] = modEastimetableHelper::getMenuLink((int)$act->menu_link);
	}
	
	//dump(modEastimetableHelper::getMenuLink((int)$act->menu_link), "act menu link");
}
//dump($tabLink, "tabLink ?");
$fields = modEastimetableHelper::getFields();
//$menuLink = modEastimetableHelper::getMenuLink($id);

if ($planning) {
	$tags = modEastimetableHelper::getTags();
}

// Display the module using the layout parameter which is 'default' by default
require JModuleHelper::getLayoutPath('mod_easytimetable', $params->get('layout', 'default'));
