jQuery(document).ready(function(){
// Define max height of columns
    var basicwidth = jQuery(window).width();

    var windowWidth = window.innerWidth;
    var windowWidth2 = window.innerWidth;
    jQuery(window).resize(function() {
        if(this.resizeTO) clearTimeout(this.resizeTO);
        this.resizeTO = setTimeout(function() {
            jQuery(this).trigger('resizeEnd');
        }, 100);
    });

    var colheight = 0;
    
    var indexUl;
    jQuery('.fullplanning').each(function(){
        var ttId = jQuery(this).attr('data-id');
        var height_factor = jQuery(this).attr('data-height-factor');
        jQuery('#easytimetable-' + ttId).find("li").each(function(){

        var numRem = jQuery(this).attr('id').substr(-5, 5);
        var numblank = jQuery(this).attr('id').replace(numRem, "");

        if (parseInt(jQuery(this).attr('data-end').substr(0,2)) < 10 && jQuery('.at').val() == 1)   {
            var minE = parseInt(jQuery(this).attr('data-end').substr(2,2));
        }
        else {
            var minE = parseInt(jQuery(this).attr('data-end').substr(3,2));
        }
        if (parseInt(jQuery(this).attr('data-start').substr(0,2)) < 10 && jQuery('.at').val() == 1) {
            var minS = parseInt(jQuery(this).attr('data-start').substr(2,2));
        }
        else {
            var minS = parseInt(jQuery(this).attr('data-start').substr(3,2));
        }
        hourS = parseInt(jQuery(this).attr('data-start').substr(0,2))*60 + minS;
        hourE = parseInt(jQuery(this).attr('data-end').substr(0,2))*60;
        if (hourS > hourE + minE)
        {
            if (jQuery('.at').val() == 0) 
            {
                hourE = hourE + 24*60;
            }
            else 
            {
               hourE = hourE + 12*60 + minE; 
            }
            
        }
        else {
            hourE = hourE + minE;
        }
        
        blankDuration = hourE - hourS;
        jQuery(this).find('.duration').text(blankDuration);   
        var trueduration = parseInt(jQuery(this).find('.duration').text());
        jQuery(this).css('height',  blankDuration*height_factor);

    }); // find li each
    })
    //jQuery('.fullplanning')
    
    // Function to adapt 'ul' height regarding numbers of 'li'
    function adaptSize(id) { 
        var count = jQuery('#easytimetable-' + id).find('ul').length;
        var height_factor = jQuery('#easytimetable-' + id).attr('data-height-factor');
        //console.log(count);
        var tabHeight = new Array();
        jQuery('#easytimetable-' + id).find('ul').each(function(){
        	var somH = 0;
        	var hauteur = 0;
            
        	jQuery(this).find('li').each(function(){               
                //Calcul de la hauteur de 'li'
                var liHeight = parseInt(jQuery(this).css("height"));

                if (parseInt(jQuery(this).find('.duration').text()) > 45) 
                {
                   var trueduration = parseInt(jQuery(this).find('.duration').text()) * height_factor; 
                }
                else 
                {
                    trueduration = liHeight;
                }

                jQuery(this).css('height',  trueduration);
               
            if (jQuery('.ttm').val() == 0) {
                trueduration = jQuery(this).attr('data-height');
                jQuery(this).parent('ul').css('height', trueduration);
                jQuery(this).css('height', "100%");
            }
			hauteur = somH + trueduration;
    		if (hauteur == 0){
        		hauteur = 60;    
        	}
    		somH = hauteur;
    	    })
            if (tabHeight.length < count) {
                tabHeight.push(hauteur); 
            }
            colheight = Math.max.apply(this, tabHeight);
            
            var longueur = tabHeight.length;
        });
        jQuery('#easytimetable-' + id).find('ul').css("height", colheight);
    }

    function adaptSizeResponsive(width) {
    var windowWidth = window.innerWidth;

        jQuery('.fullplanning').find('ul').each(function(){
            var somH = 0;
            var hauteur = 0;
            jQuery(this).find('li').each(function(){               
                //Calcul de la hauteur de 'li'
                
                var liHeight = parseInt(jQuery(this).css("height"));

                //calcul de la hauteur du contenu de 'li'
                var contentHeight = parseInt(jQuery(this).find('.acttitle').css('height')) + parseInt(jQuery(this).find('.time').css('height')) + parseInt(jQuery(this).find('.sy-insideInfo').css('height')) + 5;
                
                var contentOrigin = jQuery(this).find('.sy-infotoshow').html();


                var insideLi = jQuery(this).find('.sy-insideInfo').html();
                var dataOption = jQuery(this).attr('data-option');
                if (jQuery('.ttm').val() == 0) 
                {
                    if (dataOption == "1.2")
                    {

                    }
                }
                    
                var time = jQuery(this).find('.time').html();
                jQuery(this).find('.time').css('display', 'inline-block');
                hauteur = somH + liHeight;
                if (hauteur == 0){
                    hauteur = 60;    
                }
                somH = hauteur;
            })            
            
            jQuery(this).css("height", hauteur - 5);
        });
        
    }


    jQuery(window).bind('resizeEnd', function() {
        windowWidth = jQuery(this).width();
        if (jQuery(this).width() > 768) {            
           adaptSize();
           windowWidth2 =  windowWidth; 
        }
        else if (windowWidth2 > 768 && windowWidth < 768)  {
            adaptSizeResponsive(windowWidth2);
            windowWidth2 =  windowWidth;
        }
        else {

        }
       
    });

    if (windowWidth > 768) {
        jQuery('.fullplanning').each(function(){
            var fullId = jQuery(this).attr('data-id');
            if (jQuery(this).attr('data-display-mode') == 0)
            {
                adaptSize(fullId); 
            }
            else
            {
                adaptSizeResponsive(windowWidth);
            }
        })
       
    }
    else {
        adaptSizeResponsive(windowWidth2);
        windowWidth2 =  windowWidth; 
    }
});