jQuery(document).ready(function() {
	var windowWidth = window.innerWidth;
    jQuery(window).resize(function() {
        if(this.resizeTO) clearTimeout(this.resizeTO);
        this.resizeTO = setTimeout(function() {
            jQuery(this).trigger('resizeEnd');
        }, 100);
    });

jQuery(window).bind('resizeEnd', function() {

    windowWidth2 = windowWidth;
    windowWidth = jQuery(this).width();
    //reload page on resize while display mode change (mobile/desktop)
    if (windowWidth2 >= 768 && windowWidth < 768)
    {
    	location.reload();
    }
    else if (windowWidth2 < 768 && windowWidth >= 768)
    {
    	location.reload();
    }
    infoCellMobile(windowWidth);
    infoCellDesktop(windowWidth);
    infoTooltipMobile(windowWidth);
    jQuery('.fullplanning').find("li").each(function(){
	    
		var maxWidth = parseInt(jQuery(this).css('width'))-16;
		jQuery(this).find('.sy-info-text2').css('width', 'auto');
	});
});
function getRootUrl() {
	return window.location.origin?window.location.origin+'/':window.location.protocol+'/'+window.location.host+'/';
}



function infoCellMobile(windowWidth) 
{
	if (windowWidth < 768)
	{
		jQuery('.fullplanning').find("li").each(function(){
			id = "#"+jQuery(this).attr('id');
			var countLi = jQuery(this).attr('data-count');
			var numId = jQuery(this).attr('data-idcell');

			//Time management
			if (parseInt(jQuery(this).attr('data-mobile-time')) == 1) //si oui
			{
				var deskTime = jQuery(this).find('.time').html();
				if (typeof deskTime === "undefined") // si inexistant
				{
					var theTime = '<div class="time">';
					theTime += '<span class="start">' + jQuery(this).attr('data-start') +'</span>';
					theTime += '<span class="separator">></span>';
   					theTime += '<span class="end">' + jQuery(this).attr('data-end') +'</span>';
   					theTime += '</div>';
					jQuery(this).prepend(theTime); // on l'ajoute
				}
			}
			else // si non
			{
				var deskTime = jQuery(this).find('.time').html();
				if (typeof deskTime !== "undefined") // si existant
				{
					jQuery(this).find('.time').remove();
				}
			}
			
			// Title management
			if (parseInt(jQuery(this).attr('data-mobile-title')) == 1)
			{
				var deskTitle = jQuery(this).find('.acttitle').html();
				if (typeof deskTitle === "undefined" || deskTitle == "&nbsp;")
				{
					var theTitle = '<div class="acttitle" title="' + jQuery(this).attr('data-title') + '">' + unescape(jQuery(this).attr('data-link')) + '</div>';
					jQuery(this).prepend(theTitle);
				}
			}
			else // si non
			{
				var deskTitle = jQuery(this).find('.acttitle').html();
				if (typeof deskTitle !== "undefined") // si existant
				{
					jQuery(this).find('.acttitle').remove();
				}
			}
			if(jQuery(this).attr('data-mobile-time') == 0 && jQuery(this).attr('data-mobile-title') == 0)
			{
				jQuery(this).addClass('sy-li-min-height');
			}
			
		});
	}
}//fin infoCellMobile() 

function infoCellDesktop(windowWidth) 
{
	if (windowWidth >= 768)
	{
		jQuery('.fullplanning').find("li").each(function(){
			id = "#"+jQuery(this).attr('id');
			var countLi = jQuery(this).attr('data-count');
			var numId = jQuery(this).attr('data-idcell');

			//Time management
			if (parseInt(jQuery(this).attr('data-desktop-time')) == 1) //si oui
			{
				var deskTime = jQuery(this).find('.time').html();
				if (typeof deskTime === "undefined") // si inexistant
				{
					var theTime = '<div class="time">'; + jQuery(this).attr('data-title') +'</div>';
					theTime += '<span class="start">' + jQuery(this).attr('data-start') +'</span>';
					theTime += '<span class="separator">></span>';
   					theTime += '<span class="end">' + jQuery(this).attr('data-end') +'</span>';
					jQuery(this).prepend(theTime); // on l'ajoute
				}
			}
			else // si non
			{
				var deskTime = jQuery(this).find('.time').html();
				if (typeof deskTime !== "undefined") // si existant
				{
					jQuery(this).find('.time').remove();
				}
			}
			
			// Title management
			if (parseInt(jQuery(this).attr('data-desktop-title')) == 1)
			{
				var deskTitle = jQuery(this).find('.acttitle').html();
				if (typeof deskTitle === "undefined" && jQuery(this).attr('data-title') != "blank")
				{
					var theTitle = '<div class="acttitle" title="' + jQuery(this).attr('data-title') + '">' + unescape(jQuery(this).attr('data-link')) + '</div>';
					jQuery(this).prepend(theTitle);
				}
			}
			else // si non
			{
				var deskTitle = jQuery(this).find('.acttitle').html();
				if (typeof deskTitle !== "undefined") // si existant
				{
					jQuery(this).find('.acttitle').remove();
				}
			}
		});
	}
}//fin infoCellDesktop()

function infoTooltipMobile(windowWidth)
{
	if (windowWidth < 768) 
	{
		jQuery('.fullplanning').find("li").each(function(){
			id = "#"+jQuery(this).attr('id');
			var timetableId = jQuery(this).parents('.fullplanning').attr('data-id');
			var countLi = jQuery(this).attr('data-count');
			var numId = jQuery(this).attr('data-idcell');
			//data-tooltip-mobile-title
			if(typeof countLi !== "undefined")
			{
				var $infofield = jQuery(this).find('#sy-infofields'+numId+countLi+timetableId);
			}
			else
			{
				var $infofield = jQuery(this).find('#sy-infofields'+numId+timetableId);
			}
			
			var titleTooltipMobile = $infofield.attr('data-tooltip-mobile-title');
			var timeTooltipMobile = $infofield.attr('data-tooltip-mobile-time');
			var titleposition = $infofield.attr('data-title-order');
			var tooltipMobileImage = $infofield.attr('data-tooltip-mobile-image');
			var mobilettTitle = $infofield.find('.sy-tooltip-title').html();
			var mobilettTime = $infofield.find('.sy-tooltip-time').html();
			var mobilettImage = $infofield.find('.sy-info-image').html();
			
			//Title
			if (titleTooltipMobile == 1)
			{

				if (typeof mobilettTitle === "undefined")
				{
					var thettTitle = '<div class="sy-tooltip-title" style="text-align:' + jQuery($infofield).attr("data-tooltip-align") + ';font-size:' + jQuery($infofield).attr("data-tooltip-title-size") +';">' + jQuery(this).attr('data-title') + '</div>';
					if (titleposition == 0)
					{
						jQuery($infofield).prepend(thettTitle);
					}
					else 
					{
						jQuery($infofield).append(thettTitle);
					}	
				}
			}
			else 
			{
				if (typeof mobilettTitle !== "undefined")
				{
					jQuery($infofield).find('.sy-tooltip-title').remove();
				}
			}

			
			//Time
			if (timeTooltipMobile == 1)
			{
				if (typeof mobilettTime === "undefined")
				{
					var thettTime = '<div class="sy-tooltip-time" style="text-align:'+ jQuery($infofield).attr("data-tooltip-align") + ';font-size:' + jQuery($infofield).attr("data-tooltip-font-size") +';">' + jQuery(this).attr('data-start') + " > " + jQuery(this).attr('data-end') + '</div>';
					if (typeof $infofield.find('.sy-tooltip-title').html() !== "undefined")
					{
						$infofield.find('.sy-tooltip-title').after(thettTime);
					}
					else
					{
						if (titleposition == 1)
						{
							jQuery($infofield).prepend(thettTime);
						}
						else
						{
							jQuery($infofield).append(thettTime);
						}
					}
					
				}
			}
			else 
			{
				if (typeof mobilettTitle !== "undefined")
				{
					jQuery($infofield).find('.sy-tooltip-time').remove();
				}
			}

			//Image 
			if (tooltipMobileImage == 1)
			{
				if (typeof mobilettImage === "undefined")
				{
					var thettImage = '<div class="sy-info-image" style="vertical-align:middle;text-align:center !important;"><div class="sy-tooltipimage" style="text-align:center;"><img style="text-align:center;" src="' + jQuery(this).attr("data-image-url") + '"></div></div>';
					
					if ($infofield.find(".sy-tooltiptextabove").html() && titleposition == 0)
					{
						$infofield.find(".sy-tooltiptextabove").after(thettImage);
					}
					else if  (!$infofield.find(".sy-tooltiptextabove").html() && $infofield.find(".sy-tooltip-time").html() && titleposition == 0)
					{	
						$infofield.find(".sy-tooltip-time").after(thettImage);
					}
					else if (!$infofield.find(".sy-tooltiptextabove").html() && !$infofield.find(".sy-tooltip-time").html() && $infofield.find(".sy-tooltip-title").html() && titleposition == 1)	
					{
						$infofield.find(".sy-tooltip-title").after(thettImage);
					}
					else 
					{
						$infofield.prepend(thettImage);
					}
				}
			}
			else 
			{
				if (typeof mobilettTitle !== "undefined")
				{
					jQuery($infofield).find('.sy-tooltip-image').remove();
				}
			}
		})
	}

}//fin infoTooltipMobile()

infoCellMobile(windowWidth);
infoCellDesktop(windowWidth);
infoTooltipMobile(windowWidth);
function createClass(name,rules, data){
    var style = document.createElement('style');
    style.type = 'text/css';
    
    document.getElementsByTagName('head')[0].appendChild(style);
    if(!(style.sheet||{}).insertRule) 
    {
        (style.styleSheet || style.sheet).addRule(name, rules, data);
    }
    else
    {
        style.sheet.insertRule(name+"{"+rules+":"+data+"}",0);
    }
}

// Réglage de la taille des tooltips
	jQuery('.fullplanning').find("li.activite").each(function(){
		
		if (jQuery(".ttm").val() == "0")
		{
			id = "#"+jQuery(this).attr('id');
			var countLi = jQuery(this).attr('data-count');
			var numId = jQuery(this).attr('data-idcell');
			var timetableId = jQuery(this).parents('.fullplanning').attr('data-id');
			var content = jQuery(this).find("#sy-infofields"+numId+countLi+timetableId).html();
			var liHeight = "height:100%";
		}
		else
		{
			id = "#"+jQuery(this).attr('id');

			var numId = jQuery(this).attr('data-idcell');
			var timetableId = jQuery(this).parents('.fullplanning').attr('data-id');
			var content = jQuery(this).find("#sy-infofields"+numId+timetableId).html();
			var liHeight = "height:" + jQuery(this).css("height");
		}
		var thisClass = "." + jQuery(this).attr('data-li-id');

		var thisColor = "#" +  jQuery(this).attr('data-color') + " !important";
		var thisFontColor = "#" + jQuery(this).attr('data-fontcolor') + " !important";

		if (!jQuery(this).hasClass('blank') || !jQuery(this).hasClass('sy-replacement'))
		{
			if (jQuery(this).attr('data-overcolor').length == 6) 
			{
				var bgover = "#" + jQuery(this).attr('data-overcolor') + " !important";
			}
			else 
			{
				var bgover = thisColor;
			}
			if (jQuery(this).attr('data-fontovercolor').length == 6) 
			{
				var thisFontOColor = "#" + jQuery(this).attr('data-fontovercolor') + " !important";
			}
			else 
			{
				var thisFontOColor = thisFontColor;
			}
			
			//console.log(bgover);
			if (typeof content !== "undefined")
			{
				if (content.length > 0) 
				{
					var tooltipTrigger;
					if (jQuery(this).attr('data-tooltip-trigger') == 0) 
					{
						tooltipTrigger = 'hover';
					}
					else 
					{
						tooltipTrigger = 'click';
					}
					
					jQuery(this).addClass('hasInfo');
					if (jQuery(this).attr('data-tooltip-trigger') == 0) 
					{
						jQuery(this).tooltipster({
							theme: 'tooltipster-borderless',
							delay: 0,
							trigger: 'custom',
							triggerOpen: {
					        	mouseenter: true,
					        	tap:true
						    },
						    triggerClose: {
						        originClick: true,
						        mouseleave: true,
						        tap:true
						    }
						});
						var mainStyle, position = "", aStyle;
						
						jQuery(this).on('mouseenter', function(){
							console.log(bgover);
							mainStyle = jQuery(this).attr('style');
							console.log(mainStyle);
							
							if (mainStyle.search('justify-content:space-between;') != -1)
							{
								position = "justify-content:space-between;";
							}
							else if (mainStyle.search('justify-content:right;') != -1)
							{
								position = "justify-content:right;";
							}
							else if (mainStyle.search('justify-content:left;') != -1)
							{
								position = "justify-content:left;";
							}
							else if (mainStyle.search('justify-content:center;') != -1)
							{
								position = "justify-content:center;";
							}
							jQuery(this).css('background-color', bgover);
							var overStyle = "background-color: " + bgover + "; color: " + thisFontOColor + "; opacity: 1; " + liHeight + ";" + position;
							
							if(jQuery(this).attr('data-linked') == 1){
								aStyle = jQuery(this).find('.acttitle').find('a').attr('style');
								var aoStyle = 'color:'+ thisFontOColor;
								//jQuery(this).find('.acttitle').find('a').css('color', thisFontOColor);
								jQuery(this).find('.acttitle').find('a').attr('style', aoStyle);
							}
							jQuery(this).attr('style', overStyle);
							createClass(thisClass,"background",bgover);
							

							jQuery('.tooltipster-base').find('.tooltipster-box').addClass(jQuery(this).attr('data-li-id'));
							if(jQuery('.tooltipster-base').hasClass('tooltipster-top'))
							{
								createClass	(".arrowborder","border-top-color",bgover);
							}
							else if (jQuery('.tooltipster-base').hasClass('tooltipster-bottom'))
							{
								createClass	(".arrowborder","border-bottom-color",bgover);
							}
							jQuery('.tooltipster-arrow').find('.tooltipster-arrow-background').addClass("arrowborder");
							jQuery('.tooltipster-arrow').find('.tooltipster-arrow-border').addClass("arrowborder");
							jQuery(this).css('background-color', bgover);
			    			jQuery(this).css('color', thisFontOColor);
						})
						
			    		jQuery(this).on('mouseleave', function(){
			    			jQuery(this).attr('style', mainStyle);
			    			if(jQuery(this).attr('data-linked') == 1){
			    				jQuery(this).find('.acttitle').find('a').attr('style', aStyle);
			    			}
			    		});	
					}
					else 
					{
						jQuery(this).tooltipster({
							theme: 'tooltipster-borderless',
							delay: 200,
							trigger: 'custom',
							triggerOpen: {
					        	click: true,
					        	tap:true
						    },
						    triggerClose: {
						        originClick: true,
						        mouseleave: true,
						        tap:true
						    },
							interactive: true
						});

						jQuery(this).on('click', function(){
							var memoClass = thisClass;
							createClass(thisClass,"background",bgover);
							
							if (typeof memoClass !== "undefined" && memoClass == thisClass) 
							{
								jQuery('.tooltipster-base').find('.tooltipster-box').addClass(jQuery(this).attr('data-li-id'));
								if(jQuery('.tooltipster-base').hasClass('tooltipster-top'))
								{
									createClass	(".arrowborder","border-top-color",bgover);
								}
								else if (jQuery('.tooltipster-base').hasClass('tooltipster-bottom'))
								{
									createClass	(".arrowborder","border-bottom-color",bgover);
								}
								
								jQuery('.tooltipster-arrow').find('.tooltipster-arrow-background').addClass("arrowborder");
								jQuery('.tooltipster-arrow').find('.tooltipster-arrow-border').addClass("arrowborder");
							}
						});
						var mainStyle;
						jQuery(this).on('mouseenter', function(){
							mainStyle = jQuery(this).attr('style');
							if (mainStyle.search('justify-content:space-between;') != -1)
							{
								position = "justify-content:space-between;";
							}
							else if (mainStyle.search('justify-content:right;') != -1)
							{
								position = "justify-content:right;";
							}
							else if (mainStyle.search('justify-content:left;') != -1)
							{
								position = "justify-content:left;";
							}
							else if (mainStyle.search('justify-content:center;') != -1)
							{
								position = "justify-content:center;";
							}
							jQuery(this).css('background-color', bgover);
							var overStyle = "background-color: " + bgover + "; color: " + thisFontOColor + "; opacity: 1; " + liHeight + ";" + position;
							jQuery(this).attr('style', overStyle);
						})
						jQuery(this).on('mouseleave', function(){
			    			jQuery(this).attr('style', mainStyle);
			    		});		
					}
					
				}//if content length
				else
				{
					if(!jQuery(this).hasClass('blank'))
					{
						//console.log(content);
						var mainStyle;
						var aStyle;
						jQuery(this).on('mouseenter', function(){
							console.log(bgover);
							mainStyle = jQuery(this).attr('style');
							if (mainStyle.search('justify-content:space-between;') != -1)
							{
								position = "justify-content:space-between;";
							}
							else if (mainStyle.search('justify-content:right;') != -1)
							{
								position = "justify-content:right;";
							}
							else if (mainStyle.search('justify-content:left;') != -1)
							{
								position = "justify-content:left;";
							}
							else if (mainStyle.search('justify-content:center;') != -1)
							{
								position = "justify-content:center;";
							}
							jQuery(this).css('background-color', bgover);
							var overStyle = "background-color: " + bgover + "; color: " + thisFontOColor + "; opacity: 1; " + liHeight + ";" + position;
							
							if(jQuery(this).attr('data-linked') == 1){
								aStyle = jQuery(this).find('.acttitle').find('a').attr('style');
								var aoStyle = 'color:'+ thisFontOColor;
								//jQuery(this).find('.acttitle').find('a').css('color', thisFontOColor);
								jQuery(this).find('.acttitle').find('a').attr('style', aoStyle);
							}
							jQuery(this).attr('style', overStyle);
							createClass(thisClass,"background",bgover);
							

							
							jQuery(this).css('background-color', bgover);
			    			jQuery(this).css('color', thisFontOColor);
						})
						
			    		jQuery(this).on('mouseleave', function(){
			    			jQuery(this).attr('style', mainStyle);
			    			if(jQuery(this).attr('data-linked') == 1){
			    				jQuery(this).find('.acttitle').find('a').attr('style', aStyle);
			    			}
			    		});	
					}
					
				}
			}//if content undefined
			
		}		
		
	})

});
