/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015-2016. All rights reserved.
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */

jQuery(document).ready(function(){
/**************************************************************/
/*                       LISTE ACTIVITIES                      */
/**************************************************************/

var thisUrl = jQuery('.sy-url').attr('data-url');
jQuery('.theliste').find('li').each(function(){
	//var removeActivite = new RegExp(/activite\-/);
	var iddiv = jQuery(this).attr('id').replace(/\s+/g,"");
	var idAct = jQuery(this).attr('data-id');
	//console.log(idAct);
	iddiv = iddiv.replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
	iddiv = iddiv.replace(/[\"\/~\\<>@]/g, "");
	iddiv = iddiv.replace(/[éèêëÉÈÊË]+/g,"e");
	iddiv = iddiv.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
	iddiv = iddiv.replace(/[ïîìíÍÌÎÏ]+/g,"i");
	iddiv = iddiv.replace(/[ûüùúÚÙÛÜ]+/g,"u");
	iddiv = iddiv.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
	iddiv = iddiv.replace(/[ÝýÿŸ]+/g,"y");
	iddiv = iddiv.replace(/[žŽ]+/g,"z");
	iddiv = iddiv.replace(/[šŠß]+/g,"s");
	iddiv = iddiv.replace(/[çÇ]+/g,"c");
	iddiv = iddiv.replace(/[ñÑ]+/g,"n");
	iddiv = iddiv.replace(/^1/g,"one");
	iddiv = iddiv.replace(/^2/g,"two");
	iddiv = iddiv.replace(/^3/g,"three");
	iddiv = iddiv.replace(/^4/g,"four");
	iddiv = iddiv.replace(/^5/g,"five");
	iddiv = iddiv.replace(/^6/g,"six");
	iddiv = iddiv.replace(/^7/g,"seven");
	iddiv = iddiv.replace(/^8/g,"height");
	iddiv = iddiv.replace(/^9/g,"nie");
	iddiv = iddiv.replace(/^0/g,"zero");
	//idActoToAdd = "#"+(iddiv.replace(/activite/, ""));
	var name = jQuery(this).find("#dataname"),
    duration = jQuery(this).find("#dataduration"),
    id = jQuery(this).find("#dataid"), goodId,
    idthistimetable = jQuery(this).find("#datathistimetable"),
    idTimetable,
    color = jQuery(this).find("#datacolor"),
    overcolor = jQuery(this).find("#actovercolor"),
    fontcolor = jQuery(this).find("#fontcolor"),
    fontovercolor = jQuery(this).find("#fontovercolor"),
    status = jQuery(this).find("#datastatus"),
    access = jQuery(this).find("#dataaccess"),
    book = jQuery(this).find("#databook"),
    place = jQuery(this).find("#dataplace"),
    token = jQuery(this).find("#datatoken").val(),
    newid2, fontSize, lineHeight;
    if (name.val().length > 13 && name.val().length < 24) {
		fontSize = "font-size:12px;";
		lineHeight = "line-height:16px";
	}
	else if (name.val().length > 23 && name.val().length < 30) {
		fontSize = "font-size:10px;";
		lineHeight = "line-height:16px";
	}
	else if (name.val().length > 29) {
		fontSize = "font-size:10px;";
		lineHeight = "line-height:12px";
	}
	else {
        fontSize = "";
        lineHeight = "";
    }

    function loadAct(){
    	var data2 = 'jform[id]='+id.val()+'&jform[act_name]='+name.val()+'&jform[duration]='+duration.val()+'&jform[state]='+1+'&jform[timetable][]='+idTimetable+'&'+token+'=1';
		jQuery.ajax({
			url:thisUrl + "index.php?option=com_easytimetable&task=Activityform.saveAct&",
			type: "POST",
			data: data2,
			beforeSend: function() {
			    jQuery("#loaderact").css("display", "inline-block");   
			},
			//dataType: "xml",
			complete: function(data){
				if (name.val() != "blank") {
					jQuery( "#activites" ).append( 
						'<li id="'+name.val()+'-'+id.val()+'" class="activity ui-draggable ui-draggable-handle act-'+id.val()+'" style="background-color:#'+color.val()+';color:#'+fontcolor.val()+'; margin-left:3px;">' +
		            	'<div id="nom" class="name" style="'+ fontSize + lineHeight + '">' + name.val() + '</div>' +
		                '<input id="duree" name="duree" type="text" class="sy-duration-blank" style="width:45% !important;" value ="' + duration.val() + '">' +
		                '<input id="title" name="title" type="hidden" value ="' + name.val() + '">' +
		                '<input id="idacti" type="hidden" value="" name="idacti">' +
		                '<input id="count" name="count" type="hidden" value = "">' +
		                '<input id="token" name="token" type="hidden" value ="' + token + '">' +
		                '<input id="id_planning" type="hidden" value="'+idthistimetable.val()+'" name="id_planning">' +
						'<input id="id_cell" type="hidden" value="" name="id_cell">' +
		                '<input id="access" name="access" type="hidden" value ="' + parseInt(access.val()) + '">' +
		                '<input id="id_activity" name="id_activity" type="hidden" value ="'+id.val()+'">'+
		                '<input id="start_t" name="start_t" type="text" style="color:#'+fontcolor.val()+';" value = "" class="start invisible" placeholder="Début">' +
		                '<div class="invisible to" style="color:#'+fontcolor.val()+';"> > </div>' +
		                '<input id="end_t" name="end_t" type="text" style="color:#'+fontcolor.val()+';" value = "" class="end invisible" placeholder="Fin">' +
		                '<input id="status" name="status" type="hidden" value="1">'+
		                '<div class="loader1" style="visibility:hidden;background-color:#'+color.val()+';"><img src="'+ thisUrl + 'components/com_easytimetable/assets/images/loader.png" alt="Preloader"></div>' +
		                '<input id="htomove" name="htomove" type="hidden" value="">' +
		                '<input id="index" name="index" type="hidden" value="0">' +
		            	'</li>' );
				} else {
					jQuery( "#activites" ).append( 
						'<li id="'+name.val()+'-'+id.val()+'" class="activity ui-draggable ui-draggable-handle act-'+id.val()+' blank" style="background-color:#'+color.val()+';color:#333; margin-left:3px;">' +
		            	'<div id="nom" class="name" style="'+ fontSize + lineHeight + '">' + name.val() + '</div>' +
		                '<input id="duree" name="duree" type="text" class="sy-duration-blank" style="width:45% !important;" value ="' + duration.val() + '">' +
		                '<input id="title" name="title" type="hidden" value ="' + name.val() + '">' +
		                '<input id="idacti" type="hidden" value="" name="idacti">' +
		                '<input id="count" name="count" type="hidden" value = "">' +
		                '<input id="token" name="token" type="hidden" value ="' + token + '">' +
		                '<input id="id_planning" type="hidden" value="'+idthistimetable.val()+'" name="id_planning">' +
						'<input id="id_cell" type="hidden" value="" name="id_cell">' +
		                '<input id="access" name="access" type="hidden" value ="' + parseInt(access.val()) + '">' +
		                '<input id="id_activity" name="id_activity" type="hidden" value ="'+id.val()+'">'+
		                '<input id="start_t" name="start_t" type="text" value = "" class="start invisible" placeholder="Début">' +
		                '<div class="invisible to"> > </div>' +
		                '<input id="end_t" name="end_t" type="text" value = "" class="end invisible" placeholder="Fin">' +
		                '<input id="status" name="status" type="hidden" value="1">'+
		                '<div class="loader1" style="visibility:hidden;background-color:#'+color.val()+';"><img src="'+ thisUrl + 'components/com_easytimetable/assets/images/loader.png" alt="Preloader"></div>' +
		                '<input id="htomove" name="htomove" type="hidden" value="">' +
		                '<input id="index" name="index" type="hidden" value="0">' +
		            	'</li>' );
				}
					newid2 = ".act-"+id.val();
		            jQuery('#activites >'+ newid2).draggable({
		        		connectToSortable: "ul:not(#activites, .onlyone)", // droppable dans les listes jour
						helper: "clone", // 
						revert: "invalid",
						revertDuration: 200
		        	});
		        	//jQuery('#actilist')[0].reset();
		        	jQuery("#loaderact").css("display", "none");
		        	
			} //fin complete
		}); // fin ajax	
    } // fin loadAct()

    //jQuery(this).find("input:checkbox").is(':checked').attr('id');
    if (jQuery(this).find("input:checkbox").is(':checked') == false) {
    	console.log(jQuery(this).attr('id'));
    	jQuery(this).addClass("sy-unchecked");
	    jQuery(this).find('input:checkbox').click(function () {
	    	
	    	
	    	console.log(jQuery(this).is(':checked'));
	    	if (jQuery(this).is(':checked') == true) {
	    		jQuery(this).parent('li').removeClass('sy-unchecked');
	    		idTimetable = idthistimetable.val()+","+jQuery(this).val();
	    		idTimetable = idTimetable.replace(/,$/g,"");
		    	console.log(idTimetable);
		    	loadAct();
	    	} 
	    	if (jQuery(this).is(':checked') == false) {
	    		jQuery(this).parent('li').addClass('sy-unchecked');
	    		console.log(newid2);
				console.log(jQuery('#activites').find(newid2).attr('id'));
				jQuery('#activites').find(newid2).remove();
				console.log(idTimetable);
				console.log(idthistimetable.val());
				var reg = new RegExp("[,]+", "g");
				var tableauId = idTimetable.split(reg);
				//console.log(tableauId);
				for (var i=0; i<tableauId.length; i++) {
				 	if(parseInt(tableauId[i]) == parseInt(idthistimetable.val())) {
				 		//console.log(tableauId[i]);
				 		//console.log(idthistimetable.val());
				 		tableauId.splice(jQuery.inArray(idthistimetable.val(), tableauId),1)
				 		//console.log(tableauId);
				 		idTimetable = tableauId.join(",");
				 	}
				}
				//console.log(idTimetable);
				removeAct();
	    	}
	    	
	    	
	    	
		}); // fin click
	} // if is checked false
	else if (jQuery(this).find("input:checkbox").is(':checked') == true) {
		console.log(jQuery(this).attr('id'));
		jQuery(this).find('input:checkbox').click(function () {
			newid3 = '.act-'+jQuery(this).attr('name');
			console.log(newid3);
			jQuery(this).parent('li').removeClass('sy-unchecked');
			jQuery('#activites').find(newid3).remove();
			idTimetable = jQuery(this).val();
			//console.log(jQuery(this).is(':checked'));
			if (jQuery(this).is(':checked') == false) {
	    		jQuery(this).parent('li').addClass('sy-unchecked');
				//jQuery('#activites >'+ newid3).remove();
				//console.log(idTimetable);
				//console.log(idthistimetable.val());
				var reg = new RegExp("[,]+", "g");
				var tableauId = idTimetable.split(reg);
				//console.log(tableauId);
				for (var i=0; i<tableauId.length; i++) {
				 	if(parseInt(tableauId[i]) == parseInt(idthistimetable.val())) {
				 		//console.log(tableauId[i]);
				 		//console.log(idthistimetable.val());
				 		tableauId.splice(jQuery.inArray(idthistimetable.val(), tableauId),1)
				 		//console.log(tableauId);
				 		idTimetable = tableauId.join(",");

				 	}
				}
				//console.log(idTimetable);
				removeAct();
	    	} // if checked false
	    	if (jQuery(this).is(':checked') == true) {
	    		jQuery(this).parent('li').removeClass('sy-unchecked');
	    		idTimetable = idthistimetable.val()+","+jQuery(this).val();
		    	console.log(idTimetable);
		    	loadAct();
	    	} 
		})
	}
	function removeAct() {
	    		var data2 = 'jform[id]='+id.val()+'&jform[act_name]='+name.val()+'&jform[duration]='+duration.val()+'&jform[timetable][]='+idTimetable+'&'+token+'=1';
				jQuery.ajax({
					url:thisUrl + "index.php?option=com_easytimetable&task=Activityform.saveAct&",
					type: "POST",
					data: data2
	    		})
	    	}

});
var idactivity ;
var textClose = jQuery('#sy-close').text();

var dialoglist = jQuery( "#actiListedit" ).dialog({
            dialogClass: "no-close",
            autoOpen: false,
            height: 400,
            width: 800,
            modal: true,
            show: {
            	effect: "drop",
            	direction: "up",
            	duration: 200
            },
            hide: {
            	effect: "drop",
            	direction: "up",
            	duration: 200
            },
            buttons: [{
                text: textClose, 
                click: function() {
                	dialoglist.dialog( "close" );
            		//jQuery(this).dialog( "close" );
                },
            }]
        });
		jQuery( "#loadAct" ).on( "click", function() {
          jQuery('.laliste').removeClass('invisible');
          dialoglist.dialog( "open" );
		});

	});