CREATE TABLE IF NOT EXISTS `#__com_easytimetable_activity` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`asset_id` INT(10) UNSIGNED NOT NULL DEFAULT '0',
`act_name` VARCHAR(255)  NOT NULL ,
`timetable` TEXT NOT NULL ,
`categories` TEXT NOT NULL ,
`duration` INT(3)  NOT NULL ,
`act_limit` INT(3)  NOT NULL DEFAULT '0' ,
`color` VARCHAR(6)  NOT NULL ,
`overcolor` VARCHAR(6)  NOT NULL ,
`fontcolor` VARCHAR(6)  NOT NULL ,
`fontovercolor` VARCHAR(6)  NOT NULL ,
`image_tip` VARCHAR(1)  NOT NULL ,
`linked` VARCHAR(1) NOT NULL,
`targetmodal` INT(1) NOT NULL,
`target` VARCHAR(6) NOT NULL,
`ext_link` TEXT NOT NULL ,
`menu_link` TEXT NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`titletooltip` INT(1)  NOT NULL DEFAULT '0',
`timetooltip` INT(1)  NOT NULL DEFAULT '0',
`titlecell` INT(1)  NOT NULL DEFAULT '1',
`timecell` INT(1)  NOT NULL DEFAULT '1',
`image_tipres` INT(1)  NOT NULL,
`titletooltipres` INT(1)  NOT NULL DEFAULT '0',
`titlecellres` INT(1)  NOT NULL DEFAULT '1',
`timetooltipres` INT(1)  NOT NULL DEFAULT '0',
`timecellres` INT(1)  NOT NULL DEFAULT '1',
`tooltiptextabove` TEXT  NOT NULL,
`tooltiptextunder` TEXT  NOT NULL,
`tooltipclickhover` INT(1)  NOT NULL DEFAULT '0',
`activityfilters` INT(1)  NOT NULL DEFAULT '1',
`state` TINYINT(1)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
`description` TEXT NOT NULL ,
`image` TEXT NOT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__com_easytimetable_acti_planning` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`asset_id` INT(10) UNSIGNED NOT NULL DEFAULT '0',
`id_activity` INT(11)  NOT NULL ,
`acti_name` VARCHAR(255)  NOT NULL ,
`id_planning` INT(11)  NOT NULL ,
`plan_name` VARCHAR(255)  NOT NULL ,
`id_cell` INT(11)  NOT NULL ,
`merge` VARCHAR(1)  NOT NULL ,
`actcount` VARCHAR(1)  NOT NULL ,
`start_t` VARCHAR(8) NOT NULL ,
`end_t` VARCHAR(8) NOT NULL ,
`tooltiptextabove` TEXT  NOT NULL,
`tooltiptextunder` TEXT  NOT NULL,
`textincell` TEXT  NOT NULL,
`duration` INT(3)  NOT NULL ,
`color` VARCHAR(6)  NOT NULL ,
`overcolor` VARCHAR(6)  NOT NULL ,
`fontcolor` VARCHAR(6)  NOT NULL ,
`fontovercolor` VARCHAR(6)  NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
`image` TEXT NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__com_easytimetable_planning` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`asset_id` INT(10) UNSIGNED NOT NULL DEFAULT '0',
`p_name` VARCHAR(255)  NOT NULL ,
`type` VARCHAR(1)  NOT NULL ,
`height_factor` DECIMAL(2,1)  NOT NULL ,
`display_title` VARCHAR(1)  NOT NULL ,
`display_time_scale` TINYINT(1)  NOT NULL ,
`timescale_duration` INT(2)  NOT NULL ,
`titlesize` INT(2)  NOT NULL DEFAULT '16',
`titlestyle` VARCHAR(255)  NOT NULL ,
`timesize` INT(2)  NOT NULL DEFAULT '12',
`timestyle` VARCHAR(255)  NOT NULL ,
`timedisplay` INT(1)  NOT NULL ,
`timeseparator` VARCHAR(5)  NOT NULL DEFAULT '>',
`display_filters` VARCHAR(1)  NOT NULL ,
`display_cat_filters` VARCHAR(1)  NOT NULL ,
`print` VARCHAR(1)  NOT NULL ,
`time_mode` VARCHAR(1)  NOT NULL ,
`start_h` VARCHAR(8)  NOT NULL ,
`rows` SMALLINT(1)  NOT NULL ,
`rows_name` TEXT NOT NULL ,
`cells` SMALLINT(2)  NOT NULL ,
`cell_color` VARCHAR(6)  NOT NULL ,
`height` SMALLINT(3)  NOT NULL ,
`filtertype` INT(1)  NOT NULL DEFAULT '0',
`catfiltertype` INT(1)  NOT NULL DEFAULT '0',
`catfiltermode` INT(1)  NOT NULL DEFAULT '0',
`allfiltertext` VARCHAR(255)  NOT NULL ,
`catallfiltertext` VARCHAR(255)  NOT NULL ,
`nocatname` VARCHAR(255)  NOT NULL ,
`filterbgcolor` VARCHAR(255)  NOT NULL ,
`filterftcolor` VARCHAR(255)  NOT NULL ,
`catfilterbgcolor` VARCHAR(255)  NOT NULL ,
`catfilterftcolor` VARCHAR(255)  NOT NULL ,
`tooltiptextsize` INT(11)  NOT NULL,
`tooltiptextalign` INT(1)  NOT NULL,
`tooltiptitlesize` INT(11)  NOT NULL,
`tooltiptitletimepos` INT(11)  NOT NULL,
`sorttitletime` INT(1)  NOT NULL DEFAULT '0',
`filtersort` INT(1)  NOT NULL DEFAULT '1',
`catfiltersort` INT(1)  NOT NULL DEFAULT '1',
`description` TEXT NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
`frontuser` INT(11)  NOT NULL ,
`access` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__com_easytimetable_field` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,

`asset_id` INT(10) UNSIGNED NOT NULL DEFAULT '0',

`title` VARCHAR(255)  NOT NULL ,
`field_type` VARCHAR(255)  NOT NULL ,
`item_type` VARCHAR(255)  NOT NULL ,
`activity` TEXT NOT NULL ,
`planned_activity` TEXT NOT NULL ,
`display_title` VARCHAR(255)  NOT NULL ,
`text_field` VARCHAR(255)  NOT NULL ,
`display_mode` VARCHAR(255)  NOT NULL ,
`field_index` TINYINT(3)  NOT NULL ,
`access` INT(11)  NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

CREATE TABLE IF NOT EXISTS `#__com_easytimetable_days` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`column` VARCHAR(255)  NOT NULL ,
`day` VARCHAR(255)  NOT NULL ,
`timetable` INT NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`ordering` INT(11)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
`created_by` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;


