/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015-2016. All rights reserved.
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */
 
jQuery(document).ready(function(){

/**************************************************************/
/*                       NEW ACTIVITY                         */
/**************************************************************/
        var name = jQuery(this).find("#actname"),
        duration = jQuery(this).find("#actduration"),
        id, goodId, linked,
        idTimetable = jQuery(this).find("#acttimetable"),
        linked = jQuery(this).find("#actlink"),
        color = jQuery(this).find("#actcolor"),
        overcolor = jQuery(this).find("#actovercolor"),
        fontcolor = jQuery(this).find("#fontcolor"),
        fontovercolor = jQuery(this).find("#fontovercolor"),
        status = jQuery(this).find("#actstatus"),
        access = jQuery(this).find("#jform_access"),
        book = jQuery(this).find("#actbook"),
        place = jQuery(this).find("#actplace"),
        placelimit = jQuery(this).find("#actplacelimit"),
        token = jQuery(this).find("#acttoken").val(),
        newid, newid2;

        function setAsset(id) {
            var data3 = "id=" + id;
            jQuery.ajax({
                url:"index.php?option=com_easytimetable&task=Activity.setAsset&",
                type: "POST",
                data: data3
            });
        }
        
        function newActi(){
            if (overcolor.val().length < 6) {
                overcolorData = color.val();
            }
            else {
                overcolorData = overcolor.val();
            }
        	var data2 = 'jform[act_name]='+name.val()+'&jform[duration]='+duration.val()+'&jform[state]='+1+'&jform[timetable][]='+idTimetable.val()+'&jform[color]='+color.val()+'&jform[overcolor]='+overcolorData+'&jform[fontcolor]='+fontcolor.val()+'&jform[fontovercolor]='+fontovercolor.val()+'&jform[linked]='+0+'&jform[state]='+status.val()+'&'+token+'=1';
			jQuery.ajax({
				url:"index.php?option=com_easytimetable&task=Activity.saveAct&",
				type: "POST",
				data: data2,
				beforeSend: function() {
					//console.log(data2);
				    //jQuery("#loaderact").css("display", "inline-block");
				},
				//dataType: "xml",
				complete: function(data){
					id = data.responseText;
					
                    newid = name.val().replace(/\s+/g,"");
                    newid = newid.replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
                    newid = newid.replace(/[\"\/~\\<>@]/g, "");
                    newid = newid.replace(/[éèêëÉÈÊË]+/g,"e");
                    newid = newid.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
                    newid = newid.replace(/[ïîìíÍÌÎÏ]+/g,"i");
                    newid = newid.replace(/[ûüùúÚÙÛÜ]+/g,"u");
                    newid = newid.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
                    newid = newid.replace(/[ÝýÿŸ]+/g,"y");
                    newid = newid.replace(/[žŽ]+/g,"z");
                    newid = newid.replace(/[šŠß]+/g,"s");
                    newid = newid.replace(/[çÇ]+/g,"c");
                    newid = newid.replace(/[ñÑ]+/g,"n");
                    newid = newid.replace(/^1/g,"one");
                    newid = newid.replace(/^2/g,"two");
                    newid = newid.replace(/^3/g,"three");
                    newid = newid.replace(/^4/g,"four");
                    newid = newid.replace(/^5/g,"five");
                    newid = newid.replace(/^6/g,"six");
                    newid = newid.replace(/^7/g,"seven");
                    newid = newid.replace(/^8/g,"eight");
                    newid = newid.replace(/^9/g,"nine");
                    newid = newid.replace(/^0/g,"zero")+"-"+id;

                    if (name.val().length > 13 && name.val().length < 24) {
                        fontSize = "font-size:12px;";
                        lineHeight = "line-height:16px";
                    }
                    else if (name.val().length > 23 && name.val().length < 30) {
                        fontSize = "font-size:10px;";
                        lineHeight = "line-height:16px";
                    }
                    else if (name.val().length > 29) {
                        fontSize = "font-size:10px;";
                        lineHeight = "line-height:12px";
                    }
                    else {
                        fontSize = "";
                        lineHeight = "";
                    }
					//console.log(goodassetId);
                    if (name.val() != "blank") {
    					jQuery( "#activites" ).append( 
    						'<li id="'+newid+'" class="'+newid+' activity ui-draggable ui-draggable-handle" style="background-color:#'+color.val()+';color:#'+fontcolor.val()+'; margin-left:3px;">'+
    		            	'<div id="nom" class="name" style="'+ fontSize + lineHeight + '">' + name.val() + '</div>' +
    		                '<input id="duree" name="duree" type="text" class="sy-duration-blank" style="width:45% !important;" value ="' + duration.val() + '">' +
    		                '<input id="title" name="title" type="hidden" value ="' + name.val() + '">' +
    		                '<input id="idacti" type="hidden" value="" name="idacti">' +
    		                '<input id="count" name="count" type="hidden" value = "">' +
    		                '<input id="token" name="token" type="hidden" value ="' + token + '">' +
    		                '<input id="id_planning" type="hidden" value="'+idTimetable.val()+'" name="id_planning">' +
    						'<input id="id_cell" type="hidden" value="" name="id_cell">' +
    		                
    		                '<input id="id_activity" name="id_activity" type="hidden" value ="'+id+'">'+
    		                '<input id="start_t" name="start_t" type="text" value = "" class="start invisible" placeholder="Début" style="color:#'+fontcolor.val()+';">' +
    		                '<div class="invisible to" style="color:#'+fontcolor.val()+';"> > </div>' +
    		                '<input id="end_t" name="end_t" type="text" value = "" class="end invisible" placeholder="Fin" style="color:#'+fontcolor.val()+';">' +
    		                '<input id="status" name="status" type="hidden" value="1">'+
    		                '<div class="loader1" style="visibility:hidden;background-color:#'+color.val()+';"><img src="components/com_easytimetable/assets/images/loader2.png" alt="Preloader"></div>' +
    		                '<input id="htomove" name="htomove" type="hidden" value="">' +
    		                '<input id="index" name="index" type="hidden" value="0">' +
    		            	'</li>' );
                    }   
                    else {
                        jQuery( "#activites" ).append( 
                            '<li id="blank-'+id+'" class="blank activity ui-draggable ui-draggable-handle" style="background-color:#fff;color:#000;border: 1px dashed #cccccc;margin-left:3px;">' +
                            '<div id="nom" class="name">' + name.val() + '</div>' +
                            '<input id="duree" name="duree" type="text" class="sy-duration-blank" style="width:45% !important;" value ="' + duration.val() + '">' +
                            '<div id="slider-range" class="slider-range"></div>' +
                            '<input id="title" name="title" type="hidden" value ="' + name.val() + '">' +
                            '<input id="idacti" type="hidden" value="" name="idacti">' +
                            '<input id="count" name="count" type="hidden" value = "">' +
                            '<input id="token" name="token" type="hidden" value ="' + token + '">' +
                            '<input id="id_planning" type="hidden" value="'+idTimetable.val()+'" name="id_planning">' +
                            '<input id="id_cell" type="hidden" value="" name="id_cell">' +
                            
                            '<input id="id_activity" name="id_activity" type="hidden" value ="'+id+'">'+
                            '<input id="start_t" name="start_t" type="hidden" value = "" class="start invisible" placeholder="Start">' +
                            '<div class="invisible to"> > </div>' +
                            '<input id="end_t" name="end_t" type="hidden" value = "" class="end invisible" placeholder="End">' +
                            '<input id="status" name="status" type="hidden" value="1">'+
                            '<div class="loader1" style="visibility:hidden;background-color:#'+color.val()+';"><img src="components/com_easytimetable/assets/images/loader2.png" alt="Preloader"></div>' +
                            '<input id="htomove" name="htomove" type="hidden" value="">' +
                            '<input id="index" name="index" type="hidden" value="0">' +
                            '</li>' );
                    }
					newid2 = "#"+newid;
                    /*jQuery('#activites > #blank').css({
                        "background-color": "#ffffff",
                        "color": "#000000"});*/
                    //console.log(jQuery(newid2).attr('id'));
                    jQuery('#activites >'+newid2).draggable({
                        connectToSortable: "ul:not(#activites, .onlyone)",
                        handle: "#nom", // droppable dans les listes jour
                        helper: "clone", // 
                        revert: "invalid",
                        revertDuration: 200
                    });
		            if (id > 0) {
                        setAsset(id);
                    }
                    
		        	jQuery('#actiform')[0].reset();
		        	jQuery("#loaderact").css("display", "none");
				}
			});	
            dialog.dialog( "close" );
            
        }

        

        var textCreate = jQuery('#sy-create').text();
        var textClose = jQuery('#sy-close').text();
        var dialog = jQuery( "#dialog-form" ).dialog({
            dialogClass: "no-close",
            autoOpen: false,
            height: 450,
            width: 400,
            modal: true,
            show: {
            	effect: "drop",
            	direction: "up",
            	duration: 200
            },
            hide: {
            	effect: "drop",
            	direction: "up",
            	duration: 200
            },
            buttons: [{
                text: "Ok", 
                click: function() {
                	newActi();
            	jQuery( this ).dialog( "close" );
                },
            },
            {
                text: textClose, 
                click: function() {
                jQuery( this ).dialog( "close" );
                },
            }]
        });

        jQuery( "#create" ).on( "click", function() {
          jQuery('#dialog-form').removeClass('invisible');
          dialog.dialog( "open" );

        });

    });