/**
 * @version     1.7.0RC1
 * @package     mod_easytimetable
 * @copyright   Copyright (C) 2015-2016. All rights reserved.
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */

jQuery(document).ready(function(){
	var idActi = new Array();
	var singleTitle;
	var arrayNames = new Array();

	var basicwidth = jQuery(window).width();
	//fonction d'appel du recadrage de la fenetre
	jQuery(window).resize(function() {
        if(this.resizeTO) clearTimeout(this.resizeTO);
        this.resizeTO = setTimeout(function() {
            jQuery(this).trigger('resizeEnd');
        }, 100);
    });
    //recadrage de la fenêtre
    jQuery(window).bind('resizeEnd', function() {

	    basicwidth = jQuery(this).width();
	    console.log(basicwidth)
	    if (basicwidth >= 768)
	    {

	    	jQuery(".fullplanning").find('ul').each(function()
	    	{
	    		jQuery(this).show();
	    	})
	    }

	});
	function identical(array) {
	    for(var i = 0; i < array.length - 1; i++) {
	        if(array[i] !== array[i+1]) {
	            return false;
	        }
	    }
	    return true;
	}
	//jQuery('body').find('.fullplanning').each(function(){
		
		console.log(jQuery('.sy-filters').attr('data-filter-type'));
	if (jQuery('.sy-filters').attr('data-filter-type') == 0) 
	{	
		var tableId = jQuery('.sy-filters').attr('data-planning-id');
		console.log(tableId);
		// ON recherche si l'activité existe dans le planning
		jQuery('#easytimetable'+ tableId).find('li').each(function (){
			singleTitle = jQuery(this).find('.acttitle').text().replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
			singleTitle = singleTitle.replace(/[\"\/~\\<|+>@]/g, "");
			singleTitle = singleTitle.replace(/\s+/g,"");
			singleTitle = singleTitle.replace(/[éèêëÉÈÊË]+/g,"e");
			singleTitle = singleTitle.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
			singleTitle = singleTitle.replace(/[ïîìíÍÌÎÏ]+/g,"i");
			singleTitle = singleTitle.replace(/[ûüùúÚÙÛÜ]+/g,"u");
			singleTitle = singleTitle.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
			singleTitle = singleTitle.replace(/[ÝýÿŸ]+/g,"y");
			singleTitle = singleTitle.replace(/[žŽ]+/g,"z");
			singleTitle = singleTitle.replace(/[šŠß]+/g,"s");
			singleTitle = singleTitle.replace(/[çÇ]+/g,"c");
			singleTitle = singleTitle.replace(/[ñÑ]+/g,"n");
			singleTitle = singleTitle.replace(/^1/g,"one");
			singleTitle = singleTitle.replace(/^2/g,"two");
			singleTitle = singleTitle.replace(/^3/g,"three");
			singleTitle = singleTitle.replace(/^4/g,"four");
			singleTitle = singleTitle.replace(/^5/g,"five");
			singleTitle = singleTitle.replace(/^6/g,"six");
			singleTitle = singleTitle.replace(/^7/g,"seven");
			singleTitle = singleTitle.replace(/^8/g,"height");
			singleTitle = singleTitle.replace(/^9/g,"nie");
			singleTitle = singleTitle.replace(/^0/g,"zero");
			singleId = jQuery(this).attr('data-act-id');

			jQuery(this).on('mouseenter', function(){
				console.log('#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.acttitle').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.acttitle > a').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.separator').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.start, .end ').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
			})
			jQuery(this).on('mouseleave', function(){
				console.log('#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.acttitle').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.acttitle > a').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.separator').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.start, .end ').css('color', '#' + jQuery(this).attr('data-fontcolor'));
			})


			if (jQuery.inArray(singleId, idActi) === -1) {
				idActi.push(singleId);		
			}
		});

		var idRef, idRef2;
		console.log(jQuery(this).attr('id'));
		jQuery('.sy-actsingle:not(".allfilter")').each(function(){
			idRef = jQuery(this).attr('data-act-id');
			if (jQuery.inArray(idRef, idActi) === -1) {
				if (jQuery('.activite').attr('data-act-id') == idRef) {
					jQuery(this).css("display", "none");
				}
			}
		})
		

		
		jQuery('.sy-actsingle:not(".allfilter")').on('click', function(){
			var timetableId = '#' + jQuery(this).parents('.fullplanning').attr('id');
			jQuery('.sy-actsingle').not(this).attr('activated', "notactivated");
			jQuery(this).attr('activated', "activated");
			
			jQuery(this).parent('.sy-filters').find('.sy-actsingle').not(this).css({
				 "opacity":"0.6",
				 "transition": "opacity 0.3s"
			});
			jQuery(this).css({
				 "opacity":"1",
				 "transition": "opacity 0.3s"
			});
			
			var idRef = jQuery(this).attr('id').replace('sy-', "");
			idRef = idRef.replace(/[#$,.;:!€£"&?%\*]/g, "");
			idRef = idRef.replace(/[\"\/~\\<|+>@]/g, "");
			idRef = idRef.replace(/\s+/g,"");
			idRef = idRef.replace(/[éèêëÉÈÊË]+/g,"e");
			idRef = idRef.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
			idRef = idRef.replace(/[ïîìíÍÌÎÏ]+/g,"i");
			idRef = idRef.replace(/[ûüùúÚÙÛÜ]+/g,"u");
			idRef = idRef.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
			idRef = idRef.replace(/[ÝýÿŸ]+/g,"y");
			idRef = idRef.replace(/[žŽ]+/g,"z");
			idRef = idRef.replace(/[šŠß]+/g,"s");
			idRef = idRef.replace(/[çÇ]+/g,"c");
			idRef = idRef.replace(/[ñÑ]+/g,"n");
			idRef = idRef.replace(/^1/g,"one");
			idRef = idRef.replace(/^2/g,"two");
			idRef = idRef.replace(/^3/g,"three");
			idRef = idRef.replace(/^4/g,"four");
			idRef = idRef.replace(/^5/g,"five");
			idRef = idRef.replace(/^6/g,"six");
			idRef = idRef.replace(/^7/g,"seven");
			idRef = idRef.replace(/^8/g,"eight");
			idRef = idRef.replace(/^9/g,"nine");
			idRef = idRef.replace(/^0/g,"zero");
			jQuery(timetableId).find('.creneau').each(function(){
				var id, idNum, idName;
				if (jQuery(this).find('li').length > 0) {
					jQuery(this).find('li').each(function(){
						jQuery(this).addClass('liempty');
						jQuery(this).animate({
							opacity: "0"
							},  {
							    	duration: 100
							    });
						while(jQuery(this).attr('id').replace(jQuery(this).attr('id').substr(-5, 5), "").replace(/[#$,.;:!€£"&?%\*]/g, "") == idRef)
						{
							id = jQuery(this).attr('id');
							idNum = id.substr(-5, 5);
							idName = id.replace(idNum, "");
							syClass = '#'+ id;
							jQuery(this).removeClass('liempty');
							jQuery(this).animate({
								opacity: "1"
							},  {
							    	duration: 100
							    });
							break;
						}
					})
				} // Fin if
			});
		})
		jQuery('.allfilter').on('click', function(){
			var timetableId = '#' + jQuery(this).parents('.fullplanning').attr('id');
			jQuery('.sy-actsingle').not(this).attr('activated', "notactivated");
			jQuery('.sy-actsingle').css({
				 "opacity":"1",
				 "transition": "opacity 0.3s"
			});
			
			jQuery(timetableId).find('.creneau').each(function(){
				jQuery(this).find('li').removeClass('liempty');
				jQuery(this).find('li').animate(
				{
					opacity: "1"
				},  
				{
				    	duration: "fast"
				});
			});
		});
	}
	else 
	{
		jQuery('.sy-select-filter').change(function()
		{
			var idTimetable = jQuery(this).attr('data-timetable-id');
			console.log(jQuery(this).attr('data-timetable-id'));
			var filterVal = jQuery(this).find('option:selected').val();
			console.log(filterVal);
			console.log(jQuery(this).parents('.fullplanning').attr('data-planning-id'));
		if (idTimetable == jQuery(this).parents('.fullplanning').attr('data-planning-id'))
		{
			jQuery("#easytimetable-" + idTimetable).find("li").each(function()
			{
				if (filterVal != "syresetfilters")
				{
					if (jQuery(this).attr('data-filter') == filterVal)
					{
						jQuery(this).removeClass('liempty');
					}
					else
					{
						jQuery(this).addClass('liempty');

					}
				}
				else
				{
					jQuery(this).removeClass('liempty');
					jQuery(this).parent('ul').show();
				}
				
			})
			if (basicwidth < 768)
			{
				jQuery("#easytimetable" + idTimetable).find('ul').each(function()
				{
					var licount = jQuery(this).find('li').length;
					var tabCount = [];
					console.log(licount);
					if (licount > 1)
					{
						jQuery(this).find('li').each(function()
						{
						
							if (jQuery(this).hasClass('liempty'))
							{
								tabCount.push(true);
							}
							else {
								tabCount.push(false);
							}

						})
						
						if (identical(tabCount) == true)
						{
							//console.log(identical(tabCount))
							jQuery(this).hide();
						}
						else 
						{
							//console.log(identical(tabCount))
							jQuery(this).show();
						}
					}
					else
					{
						if (jQuery(this).find('li').hasClass('liempty'))
						{
							jQuery(this).hide();
						}
						else 
						{
							jQuery(this).show();
						}
					}
				})
			}
		}	
	})
		
	}
	
		
	//})
});