<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');

//Load admin language file
$lang = JFactory::getLanguage();
$lang->load('com_easytimetable', JPATH_ADMINISTRATOR);
$doc = JFactory::getDocument();
$doc->addScript(JUri::base() . '/components/com_easytimetable/assets/js/form.js');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/colpick.css');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/views/activityform/tmpl/css/activity.css');
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_easytimetable/assets/css/edit.css');
$document = JFactory::getDocument();
$document->addScript('https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/assets/js/colpick.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/activityform/tmpl/js/addfield.js');
$document = JFactory::getDocument();
$document->addScript('components/com_easytimetable/views/activityform/tmpl/js/fieldsorder.js');


if($this->item->state == 1){
	$state_string = 'Publish';
	$state_value = 1;
} else {
	$state_string = 'Unpublish';
	$state_value = 0;
}
if($this->item->id) {
	$canState = JFactory::getUser()->authorise('core.edit.state','com_easytimetable.activity');
} else {
	$canState = JFactory::getUser()->authorise('core.edit.state','com_easytimetable.activity.'.$this->item->id);
}
?>
</style>
<script type="text/javascript">
    if (jQuery === 'undefined') {
        document.addEventListener("DOMContentLoaded", function(event) { 
            jQuery('#form-activity').submit(function(event) {
                
            });

            
        });
    } else {
        jQuery(document).ready(function() {
            jQuery('#form-activity').submit(function(event) {
                
            });
            jQuery("#jform_color, #jform_overcolor, #jform_fontcolor, #jform_fontovercolor").colpick({
	        	layout:'hex',
			submit:0,
			colorScheme:'dark',
			onChange:function(hsb,hex,rgb,el,bySetColor) {
			jQuery(el).css('border-color','#'+hex);
			// Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
			if(!bySetColor) jQuery(el).val(hex);
			}
			}).keyup(function(){
				jQuery(this).colpickSetColor(this.value);
	        });

	        // display external link field
	        jQuery('#jform_linked0').on('click', function(){
	        	jQuery('.sy-extlink').css('display', 'none');
	        	jQuery('.sy-menulink').css('display', 'none');
	        })

	        jQuery('#jform_linked1').on('click', function(){
	        	jQuery('.sy-menulink').css('display', 'none');
	        	jQuery('.sy-extlink').css('display', 'none');
	        })

	        jQuery('#jform_linked2').on('click', function(){
	        	jQuery('.sy-menulink').css('display', 'none');
	        	jQuery('.sy-extlink').css('display', 'block');
	        })

	        jQuery('#jform_linked3').on('click', function(){
	        	jQuery('.sy-menulink').css('display', 'block');
	        	jQuery('.sy-extlink').css('display', 'none');
	        })
            
        });
    }
</script>

<div class="activity-edit front-end-edit">
    <?php if (!empty($this->item->id)): ?>
        <h1>Edit <?php echo $this->item->id; ?></h1>
    <?php else: ?>
        <h1>Add</h1>
    <?php endif; ?>

    <!-- ADD FIELDS  -->
    <div id="field-form" title="<?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_FIELD') ?>" class="invisible">
        <p class="validateTips">All form fields are required.</p>
        <form id="fieldform">
            <fieldset class="newfieldform">
                <label for="fieldid" ></label>
                <input id="fieldid" type="hidden" value="0" name="fieldid">
                <input id="fieldactivity" type="hidden" value="<?php echo $this->item->id ?>" name="fieldactivity">               
                <input id="fielditemtype" type="hidden" value="0" name="fielditemtype">               
                <div class="sy-first">
	                <div class="sy-fieldname">
	                	<label for="fieldname" ><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TITLE') ?></label>
	                	<input id="fieldname" type="text" value="" name="fieldname">
	                </div>
	                <div class="sy-displaytitle">
	                	<label for="displaytitle" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_TITLE') ?></label>
		                <select id="displaytitle" type="select" value="" name="displaytitle">
		                	<option value="0"><?php echo JText::_('COM_EASYTIMETABLE_NO') ?></option>
		                	<option value="1"><?php echo JText::_('COM_EASYTIMETABLE_YES') ?></option>
		                </select>
	                </div>
	                <div class="sy-displaymode">
	                	<label for="displaymode" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE') ?></label>
		                <select id="displaymode" type="select" value="" name="displaymode" multiple>
		                	<option value="0"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE_OPTION_0') ?></option>
		                	<option value="0"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE_OPTION_1') ?></option>
		                	<option value="2"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_DISPLAY_MODE_OPTION_2') ?></option>
		                </select>
	                </div>
                </div>
                <div class="sy-fieldtype">
                <label for="fieldtype" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_FIELD_TYPE') ?></label>
	                <select id="fieldtype" type="select" value="" name="fieldtype">
	                	<option value="0"><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_FIELD_TYPE_OPTION_0') ?></option>
	                	<!--<option value="2"><?php // echo JText::_('COM_EASYTIMETABLE_FIELDS_FIELD_TYPE_OPTION_2') ?></option>-->
	                </select>
                </div>
                
                <div class="sy-textfield">
	                <label for="fieldtext" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_TEXT_FIELD') ?></label>
	                <input id="fieldtext" type="text" value="" name="fieldtext">
                </div>
                <div class="control-group invisible sy-imagefield">
					<div class="control-label"><?php echo $this->fieldForm->getLabel('image'); ?></div>
					<div class="controls"><?php echo $this->fieldForm->getInput('image'); ?></div>
				</div>

				<div class="control-group sy-access">
					<div class="control-label"><?php echo $this->fieldForm->getLabel('access'); ?></div>
					<div class="controls"><?php echo $this->fieldForm->getInput('access'); ?></div>
				</div>
				<div class="sy-status">
					<label for="fieldstatus" ><?php echo JText::_('COM_EASYTIMETABLE_FIELDS_STATE') ?></label>
	                <select id="fieldstatus" type="select" value="" name="fieldstatus">
	                	<option value="0"><?php echo JText::_('COM_EASYTIMETABLE_UNPUBLISH_ITEM') ?></option>
	                	<option value="1"><?php echo JText::_('COM_EASYTIMETABLE_PUBLISH_ITEM') ?></option>
	                </select>
	            </div>
                <input id="fieldtoken" type="hidden" value="<?php echo JSession::getFormToken()?>" name="fieldtoken">

               <!-- Allow form submission with keyboard without duplicating the dialog button -->
               <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
            </fieldset>
        </form>
    </div>

    <form id="form-activity" action="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activity.save'); ?>" method="post" class="form-validate form-horizontal" enctype="multipart/form-data">
    <div class="control-group">
        <div class="controlbutton">
            <button type="submit" class="validate btn btn-primary"><?php echo JText::_('JSUBMIT'); ?></button>
            <a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=activityform.cancel'); ?>" title="<?php echo JText::_('JCANCEL'); ?>"><?php echo JText::_('JCANCEL'); ?></a>
        </div>
    </div>
<?php echo JHtml::_('sliders.start', 'editing-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
    <?php echo JHtml::_('sliders.panel', JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CONFIG'), 'Activity'); ?>     
	
	<div class="control-group" style="display:none;">
		<div class="control-label"><?php echo $this->form->getLabel('id'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('id'); ?></div>
	</div>
	<div class="colone">
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('act_name'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('act_name'); ?></div>
		</div>
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('linked'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('linked'); ?></div>
		</div>
		<div class="control-group sy-extlink" <?php if ($this->item->linked == 0 || $this->item->linked == 1 || $this->item->linked == 3): ?>style="display:none;"<?php endif ?>>
			<div class="control-label"><?php echo $this->form->getLabel('ext_link'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('ext_link'); ?></div>
		</div>
		<div class="control-group sy-menulink" <?php if ($this->item->linked == 0 || $this->item->linked == 1 || $this->item->linked == 2): ?>style="display:none;"<?php endif ?>>
			<div class="control-label"><?php echo $this->form->getLabel('menu_link'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('menu_link'); ?></div>
		</div>
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('timetable'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('timetable'); ?></div>
		</div>
		

		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('duration'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('duration'); ?></div>
		</div>


		<div class="control-group">
			<?php if(!$canState): ?>
				<div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
				<div class="controls"><?php echo $state_string; ?></div>
				<input type="hidden" name="jform[state]" value="<?php echo $state_value; ?>" />
			<?php else: ?>
				<div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('state'); ?></div>
			<?php endif; ?>
		</div>
	</div>	
	<div class="coltwo">
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('color'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('color'); ?></div>
		</div>
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('overcolor'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('overcolor'); ?></div>
		</div>
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('fontcolor'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('fontcolor'); ?></div>
		</div>
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('fontovercolor'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('fontovercolor'); ?></div>
		</div>
	</div>
	<div class="control-group" style="display:none;">
		<div class="control-label"><?php echo $this->form->getLabel('created_by'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('created_by'); ?></div>
	</div>
	<?php echo JHtml::_('sliders.panel', JText::_('COM_EASYTIMETABLE_ACTIVITYFORM_DETAILS'), 'Activity'); ?> 
	<div class="sy-details">
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('image'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('image'); ?></div>
		</div> 
		<div class="control-group">
			<div class="control-label"><?php echo $this->form->getLabel('description'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('description'); ?></div>
		</div>
	</div>
		


	<div class="fltlft" <?php if (!JFactory::getUser()->authorise('core.admin','easytimetable')): ?> style="display:none;" <?php endif; ?> >
        <?php echo JHtml::_('sliders.start', 'permissions-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
        <?php echo JHtml::_('sliders.panel', JText::_('ACL Configuration'), 'access-rules'); ?>
        <fieldset class="panelform">
            <?php echo $this->form->getLabel('rules'); ?>
            <?php echo $this->form->getInput('rules'); ?>
        </fieldset>
        <?php echo JHtml::_('sliders.end'); ?>
    </div>
	<?php if (!JFactory::getUser()->authorise('core.admin','easytimetable')): ?>
	    <script type="text/javascript">
	        jQuery.noConflict();
	        jQuery('.tab-pane select').each(function(){
	           var option_selected = jQuery(this).find(':selected');
	           var input = document.createElement("input");
	           input.setAttribute("type", "hidden");
	           input.setAttribute("name", jQuery(this).attr('name'));
	           input.setAttribute("value", option_selected.val());
	           document.getElementById("form-activity").appendChild(input);
	        });
	    </script>
 	<?php endif; ?>	
        
        <input type="hidden" name="option" value="com_easytimetable" />
        <input type="hidden" name="task" value="activityform.save" />
        <?php echo JHtml::_('form.token'); ?>
    </form>

    <?php if (!empty($this->item->id)): echo JHtml::_('sliders.panel', JText::_('COM_EASYTIMETABLE_ACTIVITY_OPTION_FIELD'), 'field'); ?>
    <div id="cont-trash">
        <div id="trash" class="trash"><div><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_TRASH') ?></div></div>
    </div>

	<?php endif ?>
	<div style="padding:10px 20px;">
    <div id="createfield" class="createfield button btn-primary btn"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_FIELD') ?></div>
    </div>
    <div class="sy-fieldlist">
    	<ul class="sy-fieldsall" data-item-id="<?php echo $this->item->id ?>">
    		<li class="sy-liheading">
    			<div class="sy-headorder"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_FIELD_INDEX') ?></div>
    			<div class="sy-headtitle"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TITLE') ?></div>
    			<div class="sy-headtext"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TEXT_FIELD') ?></div>
    			<!--<div class="sy-headimage"><?php // echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_IMAGE') ?></div>-->
    			<div class="sy-headid"><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_ID') ?></div>
    			
    		</li>
    	<?php
    	// define which activity to load
    	    $count = 0;
    	    $tabFields = array();
    	    // define a counter
    	    foreach ($this->field as $field) {
    	    	$count = $count+1;	
    	    } 
    	    $b = 0;
    	    // use counter to searche activities
    	    for ($i=0;$i< $count; $i++) {
    	    	// search for fields according to activity
    	    	$activities = explode(',',$this->fieldRaw[$this->field[$i]->id]->activity);
    	    	////////dump($activities);
    	    	if (in_array($this->item->id, $activities)) {
    	    		// transform object to array
    	    		$oneArray = (array)$this->field[$i];
    	    		//put item array in an array
    	    		array_push($tabFields,$oneArray);
    	   		}
    	    }
    	    ////////dump($tabFields);
    	    // Define the sort function based on the field index
		    function custom_sort($a,$b) {
		        return strcmp($a["field_index"], $b["field_index"]);
		    }
    	    // Sort the item array
		    usort($tabFields, "custom_sort");
		    ////////dump($tabFields);


    		foreach ($tabFields as $key=>$field) {
    			////////dump($field['id']);
    			 
    				 ?>
	    			
						<li id="field-<?php echo $field['id']  ?>" class="sy-fieldone" data-item-id="<?php echo $field['id'] ?>" data-display-mode="<?php echo $this->fieldRaw[$field['id']]->display_mode ?>">
							<div class="sy-fieldorder"><?php echo $field['field_index'] ?></div>
							
    					<?php if (isset($field['title'])): ?>
							<div class="sy-fieldtitle"><?php echo $field['title'] ?></div>
    					<?php endif ?>
    					<?php if (isset($field['text_field'])): ?>
    						<div class="sy-fieldtext"><?php echo $field['text_field'] ?></div>
    					<?php endif ?>
    					<?php  // if (isset($field['image'])): ?>
    						<!--<div class="sy-fieldimage"><?php // echo $field['image'] ?></div>-->
    					<?php // endif ?>
    					<div class="sy-fieldid"><?php echo $field['id'] ?></div>
    					</li>
    				
	    			<?php 
	    				
	    		}
    		

    	?>
    	</ul>
    </div>
</div>
<?php echo JHtml::_('sliders.end'); ?>
<div id="sy-messages" style="display:none;">
    <div id="sy-trash"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_TRASH') ?></div>
    <div id="sy-remove"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVE') ?></div>
    <div id="sy-removed"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_REMOVED') ?></div>
    <div id="sy-create"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CREATE_FIELD') ?></div>
    <div id="sy-close"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_CLOSE') ?></div>
    <div id="sy-load"><?php echo JText::_('COM_EASYTIMETABLE_PLANNINGFORM_LOAD') ?></div>
</div>
