<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License v2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_easytimetable');
if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_easytimetable')) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
?>
<?php if ($this->item) : ?>

    <div class="item_fields">
        <table class="table">
            <tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_DAY_ID'); ?></th>
			<td class="takeit"><?php echo $this->item->id; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_DAY_COLUMN'); ?></th>
			<td><?php echo $this->item->column; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_DAY_DAY'); ?></th>
			<td class="dayit"><?php echo $this->item->day; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_DAY_TIMETABLE'); ?></th>
			<td><?php echo $this->item->timetable; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_DAY_STATE'); ?></th>
			<td>
			<i class="icon-<?php echo ($this->item->state == 1) ? 'publish' : 'unpublish'; ?>"></i></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_DAY_CREATED_BY'); ?></th>
			<td><?php echo $this->item->created_by_name; ?></td>
</tr>

        </table>
    </div>
    <?php if($canEdit && $this->item->checked_out == 0): ?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=day.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_EASYTIMETABLE_EDIT_ITEM"); ?></a>
	<?php endif; ?>
								<?php if(JFactory::getUser()->authorise('core.delete','com_easytimetable')):?>
									<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=day.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_EASYTIMETABLE_DELETE_ITEM"); ?></a>
								<?php endif; ?>
    <?php
else:
    echo JText::_('COM_EASYTIMETABLE_ITEM_NOT_LOADED');
endif;
?>
