<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License v2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_easytimetable.' . $this->item->id);
if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_easytimetable' . $this->item->id)) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
?>
<?php if ($this->item) : ?>

    <div class="item_fields">
        <table class="table">
            <tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_ID'); ?></th>
			<td class="takeit"><?php echo $this->item->id; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TITLE'); ?></th>
			<td><?php echo $this->item->title; ?></td>
</tr>

<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_ITEM_TYPE'); ?></th>
			<td><?php echo $this->item->item_type; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_ACTIVITY'); ?></th>
			<td><?php echo $this->item->activity; ?></td>
</tr>

<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_DISPLAY_TITLE'); ?></th>
			<td><?php echo $this->item->display_title; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_TEXT_FIELD'); ?></th>
			<td><?php echo $this->item->text_field; ?></td>
</tr>


<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_DISPLAY_MODE'); ?></th>
			<td><?php echo $this->item->display_mode; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_FIELD_INDEX'); ?></th>
			<td><?php echo $this->item->field_index; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_ACCESS'); ?></th>
			<td><?php echo $this->item->access; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_STATE'); ?></th>
			<td>
			<i class="icon-<?php echo ($this->item->state == 1) ? 'publish' : 'unpublish'; ?>"></i></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_FIELD_CREATED_BY'); ?></th>
			<td><?php echo $this->item->created_by_name; ?></td>
</tr>

        </table>
    </div>
    <?php if($canEdit && $this->item->checked_out == 0): ?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=field.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_EASYTIMETABLE_EDIT_ITEM"); ?></a>
	<?php endif; ?>
								<?php if(JFactory::getUser()->authorise('core.delete','com_easytimetable.field.'.$this->item->id)):?>
									<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=field.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_EASYTIMETABLE_DELETE_ITEM"); ?></a>
								<?php endif; ?>
    <?php
else:
    echo JText::_('COM_EASYTIMETABLE_ITEM_NOT_LOADED');
endif;
?>
