<?php
/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License v2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');

//Load admin language file
$lang = JFactory::getLanguage();
$lang->load('com_easytimetable', JPATH_SITE);
$doc = JFactory::getDocument();
$doc->addScript(JUri::base() . '/components/com_easytimetable/assets/js/form.js');


if($this->item->state == 1){
	$state_string = 'Publish';
	$state_value = 1;
} else {
	$state_string = 'Unpublish';
	$state_value = 0;
}
if($this->item->id) {
	$canState = JFactory::getUser()->authorise('core.edit.state','com_easytimetable.field');
} else {
	$canState = JFactory::getUser()->authorise('core.edit.state','com_easytimetable.field.'.$this->item->id);
}
?>
</style>
<script type="text/javascript">
    if (jQuery === 'undefined') {
        document.addEventListener("DOMContentLoaded", function(event) { 
            jQuery('#form-field').submit(function(event) {
                
            });

            
			jQuery('input:hidden.activity').each(function(){
				var name = jQuery(this).attr('name');
				if(name.indexOf('activityhidden')){
					jQuery('#jform_activity option[value="' + jQuery(this).val() + '"]').attr('selected',true);
				}
			});
	jQuery('#jform_activity').change(function(){
		if(jQuery('#jform_activity option:selected').length == 0){
		jQuery("#jform_activity option[value=0]").attr('selected', 'selected');
		}
	});
					jQuery("#jform_activity").trigger("liszt:updated");
			jQuery('input:hidden.timetable').each(function(){
				var name = jQuery(this).attr('name');
				if(name.indexOf('timetablehidden')){
					jQuery('#jform_timetable option[value="' + jQuery(this).val() + '"]').attr('selected',true);
				}
			});
	jQuery('#jform_timetable').change(function(){
		if(jQuery('#jform_timetable option:selected').length == 0){
		jQuery("#jform_timetable option[value=0]").attr('selected', 'selected');
		}
	});
					jQuery("#jform_timetable").trigger("liszt:updated");
			jQuery('input:hidden.planned_activity').each(function(){
				var name = jQuery(this).attr('name');
				if(name.indexOf('planned_activityhidden')){
					jQuery('#jform_planned_activity option[value="' + jQuery(this).val() + '"]').attr('selected',true);
				}
			});
	jQuery('#jform_planned_activity').change(function(){
		if(jQuery('#jform_planned_activity option:selected').length == 0){
		jQuery("#jform_planned_activity option[value=0]").attr('selected', 'selected');
		}
	});
					jQuery("#jform_planned_activity").trigger("liszt:updated");
        });
    } else {
        jQuery(document).ready(function() {
            jQuery('#form-field').submit(function(event) {
                
            });

            
			jQuery('input:hidden.activity').each(function(){
				var name = jQuery(this).attr('name');
				if(name.indexOf('activityhidden')){
					jQuery('#jform_activity option[value="' + jQuery(this).val() + '"]').attr('selected',true);
				}
			});
	jQuery('#jform_activity').change(function(){
		if(jQuery('#jform_activity option:selected').length == 0){
		jQuery("#jform_activity option[value=0]").attr('selected', 'selected');
		}
	});
					jQuery("#jform_activity").trigger("liszt:updated");
			jQuery('input:hidden.timetable').each(function(){
				var name = jQuery(this).attr('name');
				if(name.indexOf('timetablehidden')){
					jQuery('#jform_timetable option[value="' + jQuery(this).val() + '"]').attr('selected',true);
				}
			});
	jQuery('#jform_timetable').change(function(){
		if(jQuery('#jform_timetable option:selected').length == 0){
		jQuery("#jform_timetable option[value=0]").attr('selected', 'selected');
		}
	});
					jQuery("#jform_timetable").trigger("liszt:updated");
			jQuery('input:hidden.planned_activity').each(function(){
				var name = jQuery(this).attr('name');
				if(name.indexOf('planned_activityhidden')){
					jQuery('#jform_planned_activity option[value="' + jQuery(this).val() + '"]').attr('selected',true);
				}
			});
	jQuery('#jform_planned_activity').change(function(){
		if(jQuery('#jform_planned_activity option:selected').length == 0){
		jQuery("#jform_planned_activity option[value=0]").attr('selected', 'selected');
		}
	});
					jQuery("#jform_planned_activity").trigger("liszt:updated");
        });
    }
</script>

<div class="field-edit front-end-edit">
    <?php if (!empty($this->item->id)): ?>
        <h1>Edit <?php echo $this->item->id; ?></h1>
    <?php else: ?>
        <h1>Add</h1>
    <?php endif; ?>

    <form id="form-field" action="<?php echo JRoute::_('index.php?option=com_easytimetable&task=field.save'); ?>" method="post" class="form-validate form-horizontal" enctype="multipart/form-data">
        
	<input type="hidden" name="jform[id]" value="<?php echo $this->item->id; ?>" />

	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('title'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('title'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('field_type'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('field_type'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('item_type'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('item_type'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('activity'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('activity'); ?></div>
	</div>
	<?php foreach((array)$this->item->activity as $value): ?>
		<?php if(!is_array($value)): ?>
			<input type="hidden" class="activity" name="jform[activityhidden][<?php echo $value; ?>]" value="<?php echo $value; ?>" />
		<?php endif; ?>
	<?php endforeach; ?>
	
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('display_title'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('display_title'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('text_field'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('text_field'); ?></div>
	</div>
	
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('display_mode'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('display_mode'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('field_index'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('field_index'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('access'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('access'); ?></div>
	</div>
	<div class="control-group">
		<?php if(!$canState): ?>
			<div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
			<div class="controls"><?php echo $state_string; ?></div>
			<input type="hidden" name="jform[state]" value="<?php echo $state_value; ?>" />
		<?php else: ?>
			<div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
			<div class="controls"><?php echo $this->form->getInput('state'); ?></div>
		<?php endif; ?>
	</div>

	<input type="hidden" name="jform[ordering]" value="<?php echo $this->item->ordering; ?>" />

	<input type="hidden" name="jform[checked_out]" value="<?php echo $this->item->checked_out; ?>" />

	<input type="hidden" name="jform[checked_out_time]" value="<?php echo $this->item->checked_out_time; ?>" />

	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('created_by'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('created_by'); ?></div>
	</div>				<div class="fltlft" <?php if (!JFactory::getUser()->authorise('core.admin','easytimetable')): ?> style="display:none;" <?php endif; ?> >
                <?php echo JHtml::_('sliders.start', 'permissions-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
                <?php echo JHtml::_('sliders.panel', JText::_('ACL Configuration'), 'access-rules'); ?>
                <fieldset class="panelform">
                    <?php echo $this->form->getLabel('rules'); ?>
                    <?php echo $this->form->getInput('rules'); ?>
                </fieldset>
                <?php echo JHtml::_('sliders.end'); ?>
            </div>
				<?php if (!JFactory::getUser()->authorise('core.admin','easytimetable')): ?>
                <script type="text/javascript">
                    jQuery.noConflict();
                    jQuery('.tab-pane select').each(function(){
                       var option_selected = jQuery(this).find(':selected');
                       var input = document.createElement("input");
                       input.setAttribute("type", "hidden");
                       input.setAttribute("name", jQuery(this).attr('name'));
                       input.setAttribute("value", option_selected.val());
                       document.getElementById("form-field").appendChild(input);
                    });
                </script>
             <?php endif; ?>
        <div class="control-group">
            <div class="controls">
                <button type="submit" class="validate btn btn-primary"><?php echo JText::_('JSUBMIT'); ?></button>
                <a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=fieldform.cancel'); ?>" title="<?php echo JText::_('JCANCEL'); ?>"><?php echo JText::_('JCANCEL'); ?></a>
            </div>
        </div>
        
        <input type="hidden" name="option" value="com_easytimetable" />
        <input type="hidden" name="task" value="fieldform.save" />
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>
