<?php
/**
 * @version     0.4.0alpha
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. Tous droits réservés.
 * @license     GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 * @author      Anthony Ceccarelli <contact@stereonomy.com> - http://www.stereonomy.com
 */
// no direct access
defined('_JEXEC') or die;

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_easytimetable.' . $this->item->id);
if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_easytimetable' . $this->item->id)) {
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
?>
<?php if ($this->item) : ?>

    <div class="item_fields">
        <table class="table">
            <tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_ID'); ?></th>
			<td><?php echo $this->item->id; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_ID_ACTIVITY'); ?></th>
			<td><?php echo $this->item->id_activity; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_ID_PLANNING'); ?></th>
			<td><?php echo $this->item->id_planning; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_ID_CELL'); ?></th>
			<td><?php echo $this->item->id_cell; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_START_T'); ?></th>
			<td><?php echo $this->item->start_t; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_END_T'); ?></th>
			<td><?php echo $this->item->end_t; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_STATE'); ?></th>
			<td>
			<i class="icon-<?php echo ($this->item->state == 1) ? 'publish' : 'unpublish'; ?>"></i></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_CREATED_BY'); ?></th>
			<td><?php echo $this->item->created_by_name; ?></td>
</tr>
<tr>
			<th><?php echo JText::_('COM_EASYTIMETABLE_FORM_LBL_PLANNEDACTIVITY_PLANNING_NAME'); ?></th>
			<td><?php echo $this->item->planning_name; ?></td>
</tr>

        </table>
    </div>
    <?php if($canEdit && $this->item->checked_out == 0): ?>
		<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=plannedactivity.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_EASYTIMETABLE_EDIT_ITEM"); ?></a>
	<?php endif; ?>
								<?php if(JFactory::getUser()->authorise('core.delete','com_easytimetable.plannedactivity.'.$this->item->id)):?>
									<a class="btn" href="<?php echo JRoute::_('index.php?option=com_easytimetable&task=plannedactivity.remove&id=' . $this->item->id, false, 2); ?>"><?php echo JText::_("COM_EASYTIMETABLE_DELETE_ITEM"); ?></a>
								<?php endif; ?>
    <?php
else:
    echo JText::_('COM_EASYTIMETABLE_ITEM_NOT_LOADED');
endif;
?>
