/**
 * @version     1.8.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015-2016. All rights reserved.
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */

jQuery(document).ready(function(){
	var idActi = new Array();
	var singleTitle;
	

	var basicwidth = jQuery(window).width();
	//fonction d'appel du recadrage de la fenetre
	jQuery(window).resize(function() {
        if(this.resizeTO) clearTimeout(this.resizeTO);
        this.resizeTO = setTimeout(function() {
            jQuery(this).trigger('resizeEnd');
        }, 100);
    });
    //recadrage de la fenêtre
    jQuery(window).bind('resizeEnd', function() {

	    basicwidth = jQuery(this).width();
	    //console.log(basicwidth)
	    if (basicwidth >= 768)
	    {

	    	jQuery(".fullplanning").find('ul').each(function()
	    	{
	    		jQuery(this).show();
	    	})
	    }

	});

	function identical(array) {
	    for(var i = 0; i < array.length - 1; i++) {
	        if(array[i] !== array[i+1]) {
	            return false;
	        }
	    }
	    return true;
	}
	jQuery('.fullplanning').each(function(){
		var ttId = jQuery(this).attr('data-id');

		if (jQuery('.sy-filters-' + ttId).attr('data-filter-type') == 0) 
		{
			//On définie les activité visibles dans le planning à afficher dans le filtre des activités
			var arrayNames = new Array();
			jQuery('.sy-filters-' + ttId).find('div').each(function(){
				var filterName = jQuery(this).text();
				
				
				if (jQuery.inArray(filterName, arrayNames) > -1) {
					
					jQuery(this).css('display', "none");
				}
				else {
					arrayNames.push(filterName); 
				}			
			})
			console.log(arrayNames);

			// ON recherche si l'activité existe dans le planning
			jQuery('#easytimetable-' + ttId).find('li').not('.blank').each(function (){
				//var actitle2 = 
				singleTitle = jQuery(this).find('.acttitle').text().replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
				singleTitle = singleTitle.replace(/\s+/g,"");
				singleTitle = singleTitle.replace(/[\"\/~\\<|{}s>@]/g, "");
				singleTitle = singleTitle.replace(/[éèêëÉÈÊË]+/g,"e");
				singleTitle = singleTitle.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
				singleTitle = singleTitle.replace(/[ïîìíÍÌÎÏ]+/g,"i");
				singleTitle = singleTitle.replace(/[ûüùúÚÙÛÜ]+/g,"u");
				singleTitle = singleTitle.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
				singleTitle = singleTitle.replace(/[ÝýÿŸ]+/g,"y");
				singleTitle = singleTitle.replace(/[žŽ]+/g,"z");
				singleTitle = singleTitle.replace(/[šŠß]+/g,"s");
				singleTitle = singleTitle.replace(/[çÇ]+/g,"c");
				singleTitle = singleTitle.replace(/[ñÑ]+/g,"n");
				singleTitle = singleTitle.replace(/^1/g,"one");
				singleTitle = singleTitle.replace(/^2/g,"two");
				singleTitle = singleTitle.replace(/^3/g,"three");
				singleTitle = singleTitle.replace(/^4/g,"four");
				singleTitle = singleTitle.replace(/^5/g,"five");
				singleTitle = singleTitle.replace(/^6/g,"six");
				singleTitle = singleTitle.replace(/^7/g,"seven");
				singleTitle = singleTitle.replace(/^8/g,"eight");
				singleTitle = singleTitle.replace(/^9/g,"nine");
				singleTitle = singleTitle.replace(/^0/g,"zero");
				singleId = jQuery(this).attr('data-act-id');
				//console.log(singleId);
				jQuery(this).on('mouseenter', function(){
					//console.log('#' + jQuery(this).attr('data-fontovercolor'));
					jQuery(this).find('.acttitle').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
					jQuery(this).find('.acttitle > a').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
					jQuery(this).find('.separator').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
					jQuery(this).find('.start, .end ').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				})
				jQuery(this).on('mouseleave', function(){
					//console.log('#' + jQuery(this).attr('data-fontcolor'));
					jQuery(this).find('.acttitle').css('color', '#' + jQuery(this).attr('data-fontcolor'));
					jQuery(this).find('.acttitle > a').css('color', '#' + jQuery(this).attr('data-fontcolor'));
					jQuery(this).find('.separator').css('color', '#' + jQuery(this).attr('data-fontcolor'));
					jQuery(this).find('.start, .end ').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				})

				if (jQuery.inArray(singleId, idActi) === -1) {
					idActi.push(singleId);		
				}
			});

			var idRef, idRef2;
			jQuery('.sy-actsingle:not(".allfilter")').each(function(){
				idRef = jQuery(this).attr('data-act-id');
				if (jQuery.inArray(idRef, idActi) === -1) {
					if (jQuery('.activite').attr('data-act-id') == idRef) {
						jQuery(this).css("display", "none");
					}
				}
			})

			// set button over background color 
			jQuery('.sy-actsingle:not(".allfilter")').on('mouseenter', function(){
				var color = jQuery(this).attr('overcolor');
				jQuery(this).css({
					 opacity: 1
				}, 100)
			});
			
			jQuery('.sy-filters-' + ttId).find('.sy-actsingle:not(".allfilter")').unbind().click(function(){
				jQuery('.sy-actsingle').not(this).attr('activated', "notactivated");
				jQuery(this).attr('activated', "activated");
				var linked = jQuery(this).attr('data-linked');

				jQuery('.sy-filters-' + ttId).find('.sy-actsingle').not(this).css({
					 "opacity":"0.6",
					 "transition": "opacity 0.3s"
				});

				jQuery(this).css({
					 "opacity":"1",
					 "transition": "opacity 0.3s"
				});
				var nameRef = jQuery(this).text();
				nameRef = nameRef.replace(/^\s/,"");
				var idRef = jQuery(this).attr('id').replace('sy-', "");
				idRef = idRef.replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
				idRef = idRef.replace(/[\"\/~\\<|{}>@]/g, "");
				idRef = idRef.replace(/\s+/g,"");
				idRef = idRef.replace(/[éèêëÉÈÊË]+/g,"e");
				idRef = idRef.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
				idRef = idRef.replace(/[ïîìíÍÌÎÏ]+/g,"i");
				idRef = idRef.replace(/[ûüùúÚÙÛÜ]+/g,"u");
				idRef = idRef.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
				idRef = idRef.replace(/[ÝýÿŸ]+/g,"y");
				idRef = idRef.replace(/[žŽ]+/g,"z");
				idRef = idRef.replace(/[šŠß]+/g,"s");
				idRef = idRef.replace(/[çÇ]+/g,"c");
				idRef = idRef.replace(/[ñÑ]+/g,"n");
				idRef = idRef.replace(/^1/g,"one");
				idRef = idRef.replace(/^2/g,"two");
				idRef = idRef.replace(/^3/g,"three");
				idRef = idRef.replace(/^4/g,"four");
				idRef = idRef.replace(/^5/g,"five");
				idRef = idRef.replace(/^6/g,"six");
				idRef = idRef.replace(/^7/g,"seven");
				idRef = idRef.replace(/^8/g,"eight");
				idRef = idRef.replace(/^9/g,"nine");
				idRef = idRef.replace(/^0/g,"zero");
				jQuery("#easytimetable-" + ttId).find('.creneau').each(function(){
					var id, idNum, idName;
					if (jQuery(this).find('li').length > 0) {
						// On cache tout
						
						jQuery(this).find('li').each(function(){
							jQuery(this).addClass('liempty');
							//var opt = {"html": true};
						
							jQuery(this).animate({
								opacity: "0"
							},  
							{
						    	duration: 100
						    });
							//jQuery(this).tooltip(opt).tooltip("disable");
						});
						// Et on affiche celle correspondant au bouton cliqué
						
						
						jQuery(this).find('li').each(function(){

							while(jQuery(this).attr("data-filter") == idRef)
							{
								id = jQuery(this).attr('id');
								idNum = id.substr(-5, 5);
								idName = id.replace(idNum, "");
								syClass = '#'+ id;
								jQuery(this).removeClass('liempty');
								jQuery(this).animate({
									opacity: "1"
								},  {
								    	duration: 100
								    });
								break;
							}
						})

					} // Fin if
				});
			})
			jQuery('.sy-filters-' + ttId).find('.allfilter').on('click', function(){
				jQuery('.sy-filters-' + ttId).find('.sy-actsingle').not(this).attr('activated', "notactivated");
				jQuery('.sy-filters-' + ttId).find('.sy-actsingle').css({
					 "opacity":"1",
					 "transition": "opacity 0.3s"
				});
				jQuery('#easytimetable-' + ttId).find('.creneau').each(function(){
					jQuery(this).find('li').removeClass('liempty');
					jQuery(this).find('li').animate(
					{
						opacity: "1"
					},  
					{
					    duration: 100
					});
				});
			});
		}
		else 
		{
			jQuery('.sy-select-filter').change(function()
			{
				var idTimetable = jQuery(this).parent('.sy-filters').attr('data-timetable-id');
				//console.log(jQuery('.sy-select-filter option:selected').val());
				var filterVal = jQuery(this).val();

				jQuery("#easytimetable-" + idTimetable).find("li").each(function()
				{
					//console.log(jQuery(this).attr('id'));
					if (filterVal != "syresetfilters")
					{
						if (jQuery(this).attr('data-filter') == filterVal)
						{
							jQuery(this).removeClass('liempty');
						}
						else
						{
							jQuery(this).addClass('liempty');
						}
					}
					else
					{
						jQuery(this).removeClass('liempty');
						jQuery(this).parent('ul').fadeIn('slow');
					}
					
				})
				if (basicwidth < 768)
				{
					jQuery("#easytimetable-" + idTimetable).find('ul').each(function()
					{
						var licount = jQuery(this).find('li').length;
						var tabCount = [];
						//console.log(licount);
						
						/*
						if (licount > 1)
						{
							
							jQuery(this).find('li').each(function()
							{
							
								if (jQuery(this).hasClass('liempty'))
								{
									tabCount.push(true);
								}
								else {
									tabCount.push(false);
								}

							})
							
							if (identical(tabCount) == true)
							{
								//console.log(identical(tabCount))
								jQuery(this).hide();
							}
							else 
							{
								//console.log(identical(tabCount))
								jQuery(this).show();
							}
						}
						
						else
						{
							if (jQuery(this).find('li').hasClass('liempty'))
							{
								jQuery(this).hide();
							}
							else 
							{
								jQuery(this).show();
							}
						}*/
					//console.log(jQuery(this).attr('style'));
					})
				}
			})
			
		}
	})


	//Categories filter
	//Create the filter
	jQuery('.fullplanning').each(function(){
		var ttId = jQuery(this).attr('data-id');
		console.log("ttId : " +ttId);
		var catArrayFull = [];
		jQuery('#easytimetable-' + ttId).find('li').each(function(){
			var arrayCat = jQuery(this).attr('data-cat').split(',');
			//console.log(arrayCat);
			
			for (var i = 0; i < arrayCat.length; i++) {
				if (catArrayFull.indexOf(arrayCat[i]) == -1 )
				{
					catArrayFull.push(arrayCat[i]);
				}
			}
		})
		var sort = jQuery(this).attr('data-cat-sort');
		if(sort == 1){
			catArrayFull.sort();
		}
		if(sort == 2)
		{
			catArrayFull.sort();
			catArrayFull.reverse();
		}
		
		
		var filterType = jQuery('.syet_cat_filter_' + ttId).attr("data-filter-type");
		var catalltext = jQuery('.syet_cat_filter_' + ttId).attr("data-all-text");
		var catbgcolor = jQuery('.syet_cat_filter_' + ttId).attr("data-cat-bgcolor");
		var catftcolor = jQuery('.syet_cat_filter_' + ttId).attr("data-cat-ftcolor");
		var nocatname = jQuery('.syet_cat_filter_' + ttId).attr("data-nocat");

		
		var catFilter = "";
		

		if(filterType == 1) // filter type liste
		{
			catFilter += '<select class="sy-select-filter-cat">';
			catFilter += '<option value="all" >' + catalltext + '</option>';
			for (var i = 0; i < catArrayFull.length; i++) {
				if(catArrayFull[i] != "")
				{
					catFilter += '<option value="'+ catArrayFull[i] +'" >' + catArrayFull[i] + '</option>';
				}
				else
				{
					catFilter += '<option value="'+ catArrayFull[i] +'" >' + nocatname + '</option>';
				}
				
				
			}
			catFilter += '</select>';
			jQuery('.syet_cat_filter_' + ttId).append(catFilter);
			
			//Style du filtre
			jQuery('.syet_cat_filter_' + ttId).css('background-color', catbgcolor);
			jQuery('.syet_cat_filter_' + ttId).find('.sy-select-filter-cat').css('background-color', catbgcolor);
			jQuery('.syet_cat_filter_' + ttId).find('.sy-select-filter-cat').css('color', catftcolor);
			jQuery('.syet_cat_filter_' + ttId + "::after").css('background-color', catbgcolor);
			jQuery('.syet_cat_filter_' + ttId).css('color', catftcolor);
			
			//Action sur le filtre
			jQuery('.syet_cat_filter_' + ttId).find('.sy-select-filter-cat').change(function(){
				var activeCatFilter = jQuery(this).val();
				var ttId2 = jQuery(this).parents('.fullplanning').attr('data-id');
				jQuery('#easytimetable-' + ttId).find('li').each(function(){
					var thisCat = jQuery(this).attr('data-cat').split(',');
					if(thisCat.indexOf(activeCatFilter) == -1 && activeCatFilter != "all")
					{
						jQuery(this).hide();
					}
					
					else
					{
						jQuery(this).show();
					}
				});
			})
		}
		else // Filter type button
		{
			var filtermode = jQuery('.syet_cat_filter_' + ttId).attr('data-cat-mode');

				catFilter += '<div class="syet-button-filter button resetcat" data-active="1" style="background-color:' + catftcolor + ';color:' + catbgcolor + ';box-shadow: 0 0 0 1px ' + catbgcolor + '" data-value="reset" >' + catalltext + '</div>';
			for (var i = 0; i < catArrayFull.length; i++) {
				if(catArrayFull[i] != "")
				{
					catFilter += '<div class="syet-button-filter button" data-active="0" style="background-color:' + catbgcolor + ';color:' + catftcolor + ';box-shadow: 0 0 0 1px ' + catbgcolor + '" data-value="'+ catArrayFull[i] +'" >' + catArrayFull[i] + '</div>';
				}
				else
				{
					catFilter += '<div class="syet-button-filter button" data-active="0" style="background-color:' + catbgcolor + ';color:' + catftcolor + ';box-shadow: 0 0 0 1px ' + catbgcolor + '" data-value="'+ catArrayFull[i] +'" >' + nocatname + '</div>';
				}			
			}
			jQuery('.syet_cat_filter_' + ttId).append(catFilter);

			jQuery('.syet-button-filter').on('mouseenter', function(){
				jQuery(this).css('opacity', "0.8");
			})

			jQuery('.syet-button-filter').on('mouseleave', function(){
				jQuery(this).css('opacity', "1");
			})

			function resetStyle(activeCat, ttId)
			{
				if(activeCat.length > 0)
				{
					jQuery('.syet_cat_filter_' + ttId).find('.resetcat').css({
						'background-color':catbgcolor,
						'color':catftcolor
					})
				}
				else
				{
					jQuery('.syet_cat_filter_' + ttId).find('.resetcat').css({
						'background-color':catftcolor,
						'color':catbgcolor
					})
				}
			}

			var activeCat = [];
			jQuery('.syet-button-filter').unbind().click(function(){
				console.log(jQuery(this).attr('data-value'));
				var ttId2 = jQuery(this).parent('.syet-cat-filter-button').attr('data-timetable-id');
				if(!jQuery(this).hasClass('resetcat'))
				{
					if(jQuery(this).attr('data-active') == "0")
					{
						if(activeCat.indexOf(jQuery(this).attr('data-value')) == -1)
						{
							activeCat.push(jQuery(this).attr('data-value'));
						}
						
						jQuery(this).attr('data-active', "1");
						jQuery(this).css('background-color', catftcolor);
						jQuery(this).css('color', catbgcolor);
						console.log(jQuery(this).attr('style'));
						
						resetStyle(activeCat, ttId2)
						
						
					}
					else
					{
						jQuery(this).attr('data-active', "0");
						jQuery(this).css('background-color', catbgcolor);
						jQuery(this).css('color', catftcolor);
						//console.log(jQuery(this).attr('style'));
						
						if(activeCat.indexOf(jQuery(this).attr('data-value')) != -1)
						{
							var catId = activeCat.indexOf(jQuery(this).attr('data-value'));
							activeCat.splice(catId,1);
						}
						resetStyle(activeCat, ttId2);
						
					}
				}
				else
				{
					activeCat = [];
					jQuery('.syet_cat_filter_' + ttId2).find('.syet-button-filter:not(.resetcat)').each(function()
					{
						jQuery(this).attr('data-active', "0");
						jQuery(this).css('background-color', catbgcolor);
						jQuery(this).css('color', catftcolor);
						jQuery(this).css('border-radius', "0px");
					})
					resetStyle(activeCat, ttId2);
				}
				
				//console.log(activeCat);

				jQuery('#easytimetable-' + ttId2).find('li').each(function(){
					var thisCat = jQuery(this).attr('data-cat').split(',');
					console.log(ttId);
					var filteredKeywords = activeCat.filter((word) => thisCat.includes(word));
					//console.log(jQuery(this).attr('id'));
					console.log(filteredKeywords);
					
					
					if(filtermode == 0)
					{
						//mode 1
						if(filteredKeywords.length > 0 || activeCat.length == 0)
						{
							//console.log(jQuery(this).attr('id'));
							jQuery(this).show();
						}
						
						else
						{
							
							jQuery(this).hide();
							console.log(jQuery(this).attr('id'));
						}
					}	
					else
					{
						//Mode 2
						if(filteredKeywords.length == activeCat.length)
						{
							jQuery(this).show();
						}
						
						else
						{
							jQuery(this).hide();
						}
					}

					

				});


			})

			jQuery('.resetcat').on('click', function(){
				activeCat = [];
			});
		}



	})


});