/**
 * @version     1.8.0
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License v2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */

 // Filter, cat filter, time scale

jQuery(document).ready(function(){
	var title = new Array();
	var singleTitle;
	var theTitle;
	var arrayNames = new Array();

	var basicwidth = jQuery(window).width();
	//fonction d'appel du recadrage de la fenetre
	jQuery(window).resize(function() {
        if(this.resizeTO) clearTimeout(this.resizeTO);
        this.resizeTO = setTimeout(function() {
            jQuery(this).trigger('resizeEnd');
        }, 100);
    });
    //recadrage de la fenêtre
    jQuery(window).bind('resizeEnd', function() {

	    basicwidth = jQuery(this).width();
	    //console.log(basicwidth)
	    if (basicwidth >= 768)
	    {

	    	jQuery(".fullplanning").find('ul').each(function()
	    	{
	    		jQuery(this).show();
	    	})
	    }

	});

	function identical(array) {
	    for(var i = 0; i < array.length - 1; i++) {
	        if(array[i] !== array[i+1]) {
	            return false;
	        }
	    }
	    return true;
	}

	if (jQuery('.sy-filters').attr('data-filter-type') == 0) 
	{
		
		// hauteur des cellules et ajout des cellules non publiées
		jQuery('.fullplanning').each(function(){
			var ttId = jQuery(this).attr('data-id');
			jQuery(this).find("li").each(function(){
			//hauteur des cellules "blank"
	    	var numRem = jQuery(this).attr('id').substr(-5, 5);
	    	
	    	var numblank = jQuery(this).attr('id').replace(numRem, "");
	    	var state = jQuery(this).attr('data-state');

    		hourE = parseInt(jQuery(this).find('.sy-adaend').text().substr(0,2))*60 + parseInt(jQuery(this).find('.sy-adaend').text().substr(3,2));
    		
    		hourS = parseInt(jQuery(this).find('.sy-adastart').text().substr(0,2))*60 + parseInt(jQuery(this).find('.sy-adastart').text().substr(3,2));
    		blankDuration = (hourE - hourS)*1.35;
    		
    		//jQuery(this).find('#duree').attr('value', blankDuration);
    		//jQuery(this).css('height',  blankDuration);
	    	

	    	
	    	//  ajout des cellules non publiées
	    	var indexCell = parseInt(numRem.substr(-2, 1))
	    	
	    	var trueIndex = jQuery(this).index()+1;
	    	
	    	if (trueIndex != indexCell) {
	    		if (trueIndex == 1) {
	    		var start = parseInt(jQuery('.startingtime').text().substr(0,2))*60 + parseInt(jQuery('.startingtime').text().substr(3,2));
	    		
	    	}
	    	else {
	    		var start = parseInt(jQuery(this).prev().find('.sy-adaend').text().substr(0,2))*60 + parseInt(jQuery(this).prev().find('.sy-adaend').text().substr(3,2));
	    		
	    	}
    		if (parseInt(jQuery(this).find('.sy-adastart').text().substr(0,2)) < 10) 
    		{
    			var mins = parseInt(jQuery(this).find('.sy-adastart').text().substr(2,2));
    		}
    		else {
    			var mins = parseInt(jQuery(this).find('.sy-adastart').text().substr(3,2));
    		}
    		hourE = parseInt(jQuery(this).find('.sy-adastart').text().substr(0,2))*60 + mins;
    		
    		heightPlus = hourE - start;	
    		var numRem2 = numRem.replace("_", "");
    		
    		if (heightPlus != 0) {
    			jQuery(this).before('<li id="replacement'+ numRem +'" class="sy-replacement" data-fontovercolor="" data-overcolor="" overcolor="" style="height:'+heightPlus*1.35+'px;opacity:0;"><input id="duree" type="hidden" value="'+heightPlus+'"><div class="duration invisible" style="display:none;">'+heightPlus+'</div><div id="sy-infofields'+ numRem2 +'"></div></li>');
    		}
	    		
	    	}
	    	
	    });
		})
		

		// On recherche si l'activité existe dans le planning
		jQuery('.fullplanning').find('li').not('.blank, .sy-replacement').each(function (){
			singleTitle = jQuery(this).attr('data-title');
			
			/*
			jQuery(this).on('mouseenter', function(){
				
				jQuery(this).css('background', '#' + jQuery(this).attr('data-overcolor'));
				jQuery(this).find('.acttitle').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.sy-info-text').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.sy-info-text2').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.acttitle > a').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.sy-adaseparator').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
				jQuery(this).find('.sy-adastart, .sy-adaend ').css('color', '#' + jQuery(this).attr('data-fontovercolor'));
			})
			jQuery(this).on('mouseleave', function(){
				jQuery(this).css('background', '#' + jQuery(this).attr('data-color'));
				jQuery(this).find('.acttitle').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.sy-info-text').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.sy-info-text2').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.acttitle > a').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.aseparator').css('color', '#' + jQuery(this).attr('data-fontcolor'));
				jQuery(this).find('.sy-adastart, .sy-adaend ').css('color', '#' + jQuery(this).attr('data-fontcolor'));
			})
			*/
			if (jQuery.inArray(singleTitle, title) == -1) {
					title.push(singleTitle);
			}
		});

		var idRef, idRef2;
		
		// action de filtrage sur click de l'activité
		jQuery('.sy-actsingle:not(".allfilter")').on('click', function(){
			var idRef = jQuery(this).attr('data-title');
			var idTimetable = jQuery(this).parents('.fullplanning').attr('data-id');
			
			jQuery(this).parents('.fullplanning').find('ul').each(function(){
				var id, idNum, idName;
				
				jQuery(this).find('li').each(function(){
					if (jQuery(this).attr('data-state') == 1 ) {
						
						if (jQuery(this).attr('data-title') != idRef) {	
							jQuery(this).css('opacity', "0");
							jQuery(this).addClass('liempty');
							jQuery(this).find(".acttitle").addClass("invisible");
							jQuery(this).find(".time").addClass("invisible");
							jQuery(this).find(".sy-adapinfo").addClass("invisible");
							jQuery(this).addClass("bg-color-adap");
							
						}
						else {
							
							jQuery(this).css('opacity', "1");
							jQuery(this).removeClass('liempty');
							jQuery(this).find(".acttitle").removeClass("invisible");
							jQuery(this).find(".time").removeClass("invisible");
							jQuery(this).find(".sy-adapinfo").removeClass("invisible");
							jQuery(this).removeClass("bg-color-adap");
							
						}
					}
				})		
			});
		})
		// action de défiltrage sur le clic du bouton "all"
		jQuery('.allfilter').on('click', function(){
			var idTimetable = jQuery(this).parents('.fullplanning').attr('data-id');
			jQuery(this).parents('.fullplanning').find('li').each(function(){
				if (jQuery(this).attr('data-state') == 1 ) {
					
					jQuery(this).css('opacity', "1");
					jQuery(this).removeClass('liempty');
					jQuery(this).find(".acttitle").removeClass("invisible");
					jQuery(this).find(".time").removeClass("invisible");
					jQuery(this).find(".sy-adapinfo").removeClass("invisible");
					jQuery(this).removeClass("bg-color-adap");
				}
			});
		});
		
	}
	else 
	{
		jQuery('.sy-select-filter').change(function()
		{
			var idTimetable = jQuery(this).parent('.sy-filters').attr('data-timetable-id');
			var filterVal = jQuery('.sy-select-filter option:selected').val();
			var filterVal = jQuery(this).find("option:selected").val();
			jQuery("#easytimetable-" + idTimetable).find("li").each(function()
			{
				if (filterVal != "syresetfilters")
				{
					
					if (jQuery(this).attr('data-filter') == filterVal)
					{
						jQuery(this).removeClass('liempty');
					}
					else
					{
						jQuery(this).addClass('liempty');
					}
				}
				else
				{
					jQuery(this).removeClass('liempty');
				}
				
			})
			if (basicwidth < 768)
			{
				jQuery("#easytimetable-" + idTimetable).find('rows').each(function()
				{
					var licount = jQuery(this).find('li').length;
					var tabCount = [];
					if (licount > 1)
					{
						jQuery(this).find('li').each(function()
						{
						
							if (jQuery(this).hasClass('liempty'))
							{
								tabCount.push(true);
							}
							else {
								tabCount.push(false);
							}

						})
						
						if (identical(tabCount) == true)
						{
							jQuery(this).hide();
						}
						else 
						{
							jQuery(this).show();
						}
					}
					else
					{
						if (jQuery(this).find('li').hasClass('liempty'))
						{
							jQuery(this).hide();
						}
						else 
						{
							jQuery(this).show();
						}
					}
				
				})
			}
		})
		
	}

	//Category filter
	//Categories filter
	//Create the filter
	jQuery('.fullplanning').each(function(){
		var ttId = jQuery(this).attr('data-id');
		//console.log(ttId);
		var catArrayFull = [];
		jQuery('#easytimetable-' + ttId).find('li').each(function(){
			
			var arrayCat = jQuery(this).attr('data-cat').split(',');
			//console.log(arrayCat);
			if(jQuery(this).attr('data-title') != "blank")
			{
				for (var i = 0; i < arrayCat.length; i++) {
					if (catArrayFull.indexOf(arrayCat[i]) == -1 )
					{
						catArrayFull.push(arrayCat[i]);
					}
				}
			}
			
		})
		var sort = jQuery(this).attr('data-cat-sort');
		if(sort == 1){
			catArrayFull.sort();
		}
		if(sort == 2)
		{
			catArrayFull.sort();
			catArrayFull.reverse();
		}
		var filterType = jQuery('.syet_cat_filter_' + ttId).attr("data-filter-type");
		var catalltext = jQuery('.syet_cat_filter_' + ttId).attr("data-all-text");
		var catbgcolor = jQuery('.syet_cat_filter_' + ttId).attr("data-cat-bgcolor");
		var catftcolor = jQuery('.syet_cat_filter_' + ttId).attr("data-cat-ftcolor");
		var nocatname = jQuery('.syet_cat_filter_' + ttId).attr("data-nocat");

		
		var catFilter = "";
		

		if(filterType == 1) // filter type liste
		{
			catFilter += '<select class="sy-select-filter-cat">';
			catFilter += '<option value="all" >' + catalltext + '</option>';
			for (var i = 0; i < catArrayFull.length; i++) {
				
				if(catArrayFull[i] != "")
				{
					catFilter += '<option value="'+ catArrayFull[i] +'" >' + catArrayFull[i] + '</option>';
				}
				else
				{
					catFilter += '<option value="'+ catArrayFull[i] +'" >' + nocatname + '</option>';
				}
				
			}
			catFilter += '</select>';
			jQuery('.syet_cat_filter_' + ttId).append(catFilter);
			
			//Style du filtre
			jQuery('.syet_cat_filter_' + ttId).css('background-color', catbgcolor);
			jQuery('.syet_cat_filter_' + ttId).find('.sy-select-filter-cat').css('background-color', catbgcolor);
			jQuery('.syet_cat_filter_' + ttId + "::after").css('background-color', catbgcolor);
			jQuery('.syet_cat_filter_' + ttId).find('select').css('color', catftcolor);
			jQuery('.syet_cat_filter_' + ttId ).css('color', catftcolor);
			
			//Action sur le filtre
			jQuery('.syet_cat_filter_' + ttId).find('.sy-select-filter-cat').change(function(){
				var activeCatFilter = jQuery(this).val();
				jQuery('#easytimetable-' + ttId).find('li').each(function(){
					var thisCat = jQuery(this).attr('data-cat').split(',');
					if(thisCat.indexOf(activeCatFilter) == -1 && activeCatFilter != "all")
					{
						jQuery(this).addClass('liempty');
					}
					
					else
					{
						jQuery(this).removeClass('liempty');
					}
				});
			})
		}
		else // Filter type button
		{
			var filtermode = jQuery('.syet_cat_filter_' + ttId).attr('data-cat-mode');
				catFilter += '<div class="syet-button-filter button resetcat" data-active="1" style="background-color:' + catftcolor + ';color:' + catbgcolor + ';box-shadow: 0 0 0 1px ' + catbgcolor + '" data-value="reset" >' + catalltext + '</div>';
			for (var i = 0; i < catArrayFull.length; i++) {				
				if(catArrayFull[i] != "")
				{
					catFilter += '<div class="syet-button-filter button" data-active="0" style="background-color:' + catbgcolor + ';color:' + catftcolor + ';box-shadow: 0 0 0 1px ' + catbgcolor + '" data-value="'+ catArrayFull[i] +'" >' + catArrayFull[i] + '</div>';
				}
				else
				{
					catFilter += '<div class="syet-button-filter button" data-active="0" style="background-color:' + catbgcolor + ';color:' + catftcolor + ';box-shadow: 0 0 0 1px ' + catbgcolor + '" data-value="'+ catArrayFull[i] +'" >' + nocatname + '</div>';
				}				
			}
			jQuery('.syet_cat_filter_' + ttId).append(catFilter);

			jQuery('.syet-button-filter').on('mouseenter', function(){
				jQuery(this).css('opacity', "0.8");
			})

			jQuery('.syet-button-filter').on('mouseleave', function(){
				jQuery(this).css('opacity', "1");
			})

			function resetStyle(activeCat, ttId)
			{
				if(activeCat.length > 0)
				{
					jQuery('.syet_cat_filter_' + ttId).find('.resetcat').css({
						'background-color':catbgcolor,
						'color':catftcolor
					})
				}
				else
				{
					jQuery('.syet_cat_filter_' + ttId).find('.resetcat').css({
						'background-color':catftcolor,
						'color':catbgcolor
					})
				}
			}

			var activeCat = [];
			jQuery('.syet-button-filter').unbind().click(function(){
				jQuery(this).attr('data-value');
				var ttId2 = jQuery(this).parent('.syet-cat-filter-button').attr('data-timetable-id');
				if(!jQuery(this).hasClass('resetcat'))
				{
					if(jQuery(this).attr('data-active') == "0")
					{
						if(activeCat.indexOf(jQuery(this).attr('data-value')) == -1)
						{
							activeCat.push(jQuery(this).attr('data-value'));
						}
						
						jQuery(this).attr('data-active', "1");
						jQuery(this).css('background-color', catftcolor);
						jQuery(this).css('color', catbgcolor);
						resetStyle(activeCat, ttId2)
						
						
					}
					else
					{
						jQuery(this).attr('data-active', "0");
						jQuery(this).css('background-color', catbgcolor);
						jQuery(this).css('color', catftcolor);
						
						
						if(activeCat.indexOf(jQuery(this).attr('data-value')) != -1)
						{
							var catId = activeCat.indexOf(jQuery(this).attr('data-value'));
							activeCat.splice(catId,1);
						}
						resetStyle(activeCat, ttId2);
						
					}
				}
				else
				{
					activeCat = [];
					jQuery('.syet_cat_filter_' + ttId2).find('.syet-button-filter:not(.resetcat)').each(function()
					{
						jQuery(this).attr('data-active', "0");
						jQuery(this).css('background-color', catbgcolor);
						jQuery(this).css('color', catftcolor);
					})
					resetStyle(activeCat, ttId2);
				}
				
				//console.log(activeCat);

				jQuery('#easytimetable-' + ttId2).find('li').each(function(){
					var thisCat = jQuery(this).attr('data-cat').split(',');

					var filteredKeywords = activeCat.filter((word) => thisCat.includes(word));
					console.log(jQuery(this).attr('id'));
					console.log(filteredKeywords);
					
					
					if(filtermode == 0)
					{
						//mode 1
						if(filteredKeywords.length > 0 || activeCat.length == 0)
						{
							jQuery(this).removeClass('liempty');
						}
						
						else
						{
							jQuery(this).addClass('liempty');
						}
					}	
					else
					{
						//Mode 2
						if(filteredKeywords.length == activeCat.length)
						{
							jQuery(this).removeClass('liempty');
						}
						
						else
						{
							jQuery(this).addClass('liempty');
						}
					}
				});
			})

			jQuery('.resetcat').on('click', function(){
				activeCat = [];
			});
		}
	})

		
});