/**
 * @version     1.7.0RC1
 * @package     com_easytimetable
 * @copyright   Copyright (C) 2015. All rights reserved.
 * @license     GNU General Public License v2 or later ; See LICENSE.txt
 * @author      Anthony Ceccarelli - Stereonomy <contact@stereonomy.com> - http://www.stereonomy.com
 */

jQuery(document).ready(function(){
					
	var nomActiviteGlobal, idul, duree, debut, zero, idJour, getIdCell, idtimepicker, classCouleur, htomove, idCouleur, idPlanning, prevId, prevId2,prevId3, nextId, prevIdCell, prevIdCell2, prevIdCell3, valPrevCell, valMin, thiscell, number, previous, senderId = null, startId;
	var sender = null;
	//starting time first hour of the selected timetable
	var startingtime = jQuery('#jform_start_h').val().substr(0,8);
	var thisUrl = jQuery('.sy-url').attr('data-url');
	//console.log(startingtime);
	// Define max height of columns
    var colheight = 0;
    var tabHeight = new Array();
    var indexUl;
    jQuery('.fullplanning').find("li").each(function(){
    	var numRem = jQuery(this).attr('id').substr(-5, 5);
    	var numblank = jQuery(this).attr('id').replace(numRem, "");

    	if (parseInt(jQuery(this).find('#end_t').val().substr(0,2)) < 10) {
            var minE = parseInt(jQuery(this).find('#end_t').val().substr(2,2));
        }
        else {
            var minE = parseInt(jQuery(this).find('#end_t').val().substr(3,2));
        }
        if (parseInt(jQuery(this).find('#start_t').val().substr(0,2)) < 10) {
            var minS = parseInt(jQuery(this).find('#start_t').val().substr(2,2));
        }
        else {
            var minS = parseInt(jQuery(this).find('#start_t').val().substr(3,2));
        }

    	//if (numblank == "blank") {
    		hourE = parseInt(jQuery(this).find('#end_t').val().substr(0,2))*60 + minE;
    		hourS = parseInt(jQuery(this).find('#start_t').val().substr(0,2))*60 + minS;
    		if (hourE < hourS) {
    			hourE = hourE + (12*60);
    		}
    		blankDuration = hourE - hourS;
    		jQuery(this).find('#duree').attr('value', blankDuration);
    		//console.log(jQuery(this).find('#duree').attr('value'), blankDuration);
    		jQuery(this).css('height',  blankDuration);
    	//}
    });

    // Function to adapt 'ul' height regarding numbers of 'li'
    function adaptSize() {
        
        jQuery('.fullplanning').find('ul').each(function(){
        	var somH = 0;
        	var hauteur = 0;
        	jQuery(this).find('li').each(function(){
        		if (jQuery(this).index() == 0) {
        			var separator = 0;
        		}
        		else {
        			var separator = 3;
        		}
        		if (parseInt(jQuery(this).find("#duree").val()) < 60) {
        			hauteur = somH + 60 + separator;
        		}
        		else {
        			hauteur = somH + parseInt(jQuery(this).find("#duree").val()) +separator;
        		}
        		if (hauteur == 0){
        		hauteur = 60;    
        	}
        		somH = hauteur;
        		console.log(somH); 
        	})
        	
        	tabHeight.push(hauteur); 
            //if (colheight < parseInt(jQuery(this).css("height"))) {
                colheight = Math.max.apply(this, tabHeight)+63;
                console.log(colheight);
            //} 
            console.log(tabHeight);
        });
        jQuery('.fullplanning').find('ul').css("height", colheight);
        //jQuery('.sy-row-container > ul').css("height", 'calc(100% - 50px)');
    }
    adaptSize();
	

	jQuery('.activites > li ').draggable({
        connectToSortable: "ul:not(.activity, .onlyone)", // droppable dans les listes jour
		handle: "#nom",
		helper: "clone", // clonée
		revert: "invalid",
		revertDuration: 200

	});
	jQuery('.fullplanning').find("ul").each(function(){
		jQuery(this).sortable({
		    revert: "invalid",
		    tolerance: "intersect",
		    cursorAt: { top: 0 },
		    handle: "#nom",
		    connectWith: 'ul:not(.activity, .onlyone)',
		    placeholder: 'placeholder',
		    start: function(event, ui){
		    	jQuery("#cont-trash").animate({
		    		height: "110"
		    		}, "fast");
		    	jQuery(".trash").css("display", "block");
		    	jQuery(".trash").animate({
		    		opacity:"1"
		    	}, "fast");
		    	
		    	
		    }, // Fin start
		    stop: function(){
		    	jQuery("#cont-trash").animate({
		    		height: "0"
		    	}, "fast");
		    	jQuery(".trash").css("display", "none");
		    	jQuery(".trash").animate({
		    		opacity:"0"
		    	}, "fast");
		        // Enable all sortables
		        jQuery('ul').each(function(){
		            //var $this = jQuery(this);
		            //jQuery(this).sortable('enable');
		        });
		        jQuery('.creneau > li').addClass('has-been-drop activite');
		        jQuery('.creneau > li').removeClass('activity');
		        
	            jQuery('.has-been-drop > .supprimer').css(
	        	"display" , "inline-block" );
	        	jQuery('.has-been-drop > .publish').css(
	        	"display" , "inline-block" );
	        	jQuery('.activite').css("width", "");
	        	jQuery('.activite').css("margin-left", "0px");
				jQuery('.activite').find('.name').addClass('nameacti');
				jQuery('.activite').find('.nameacti').removeClass('name');
	        	/*jQuery(this).find('li').css({
	        		"height": "100%",
	        		"width": "auto"
	        	});*/
	        	//nomActiviteGlobal = jQuery(this).find("#title").val()+'_'+number;

	        	// choix de la couleur du bouton de publication, en attribuant la clase published ou notpublished
	        	if (parseInt(jQuery(this).find("input#status").val()) == 0) {
	        		jQuery(this).find('.publish').addClass('notpublished');
	        		jQuery(this).find('.publish').removeClass('published');
	        	}
	        	else if (parseInt(jQuery(this).find("input#status").val()) == 1) {
	        		jQuery(this).find('.publish').addClass('published');
	        		jQuery(this).find('.publish').removeClass('notpublished');
	        	}	
		    },// Fin Stop
		     update: function(event, ui){
		     	var getIdCell = jQuery(this).attr('id');
		     	
		     	// Pour chaque item de liste
				jQuery(this).find("li").each(function(){
					var index = parseInt(jQuery(this).index()+1);

					////console.log(index);
					if (index < 10) {
						zero = "00"
					}
					else {
						zero = "0"
					}
					jQuery(this).find("#count").attr('value', index);
					idNum = getIdCell+zero+index;
					////console.log(idNum);
					var nameacti = jQuery(this).find("#title").val();
					var nospace = nameacti.replace(/\s+/g,"");
					nospace = nospace.replace(/[#$,.;:!€£"&?%()’'-\*]/g, "");
					nospace = nospace.replace(/[\"\/\\~<|+>@]/g, "");
					nospace = nospace.replace(/[éèêëÉÈÊË]+/g,"e");
					nospace = nospace.replace(/[áàâÂäÄæÆãÃåÅÀÁ]+/g,"a");
					nospace = nospace.replace(/[ïîìíÍÌÎÏ]+/g,"i");
					nospace = nospace.replace(/[ûüùúÚÙÛÜ]+/g,"u");
					nospace = nospace.replace(/[ôöòÓóÒØøõÕœŒÔ]+/g,"o");
					nospace = nospace.replace(/[ÝýÿŸ]+/g,"y");
					nospace = nospace.replace(/[žŽ]+/g,"z");
					nospace = nospace.replace(/[šŠß]+/g,"s");
					nospace = nospace.replace(/[çÇ]+/g,"c");
					nospace = nospace.replace(/[ñÑ]+/g,"n");
					nospace = nospace.replace(/^1/g,"one");
					nospace = nospace.replace(/^2/g,"two");
					nospace = nospace.replace(/^3/g,"three");
					nospace = nospace.replace(/^4/g,"four");
					nospace = nospace.replace(/^5/g,"five");
					nospace = nospace.replace(/^6/g,"six");
					nospace = nospace.replace(/^7/g,"seven");
					nospace = nospace.replace(/^8/g,"eight");
					nospace = nospace.replace(/^9/g,"nine");
					nospace = nospace.replace(/^0/g,"zero");
					nomActiviteGlobal = nospace+'_'+idNum;
					////console.log(nomActiviteGlobal);
					jQuery(this).attr('id', nomActiviteGlobal);

					jQuery(this).children('#id_cell').attr('value', idNum);
					jQuery(this).children(".duration").remove();
					

					// Affichage des champs cachés pour la définition de l'heure de début si la class hastimepicker n'est pas encore présente et si ce n'est pas une pause
					if (jQuery(this).find('#start_t').hasClass('invisible') ){
						jQuery(this).find('#start_t').removeClass('invisible');	
					}
					if (jQuery(this).find('.sy-duration-blank')) {
						jQuery(this).find('#duree').attr('type', "hidden");
					}
					if (jQuery(this).find('.to').hasClass('invisible') ){
						jQuery(this).find('.to').removeClass('invisible');	
					}
					if (jQuery(this).find('#end_t').hasClass('invisible') ){
						jQuery(this).find('#end_t').removeClass('invisible');	
					}
					var height = parseInt(jQuery(this).find('#duree').val())+"px";
					jQuery(this).css("height", height);
					var startId = '#'+ nomActiviteGlobal;
					var idUl = '#'+getIdCell +"> li";
					prevId = idNum-1;
	
					if (parseInt(jQuery(this).find('#count').val()) == 1) {
						jQuery(this).find('#start_t').attr("value", startingtime);
						var startTime = jQuery(this).find('.start').val();
						var hdebut = parseInt(startingtime.substr(0,2));
						console.log('hdebut : '+hdebut);
						//console.log("hour01 : "+hour01);

						duree = parseInt(jQuery(this).find('#duree').val());
						console.log('duree : '+duree);

						if (hdebut < 10) {
							postfix = startTime.substr(5,2);
							var minute = parseInt(startTime.substr(2,2));
							console.log('minute : '+minute);
						} 
						else {
							postfix = startTime.substr(6,2);
							var minute = parseInt(startTime.substr(3,2));
							console.log('minute : '+minute);
						}
						var endHour = parseInt(duree / 60) + hdebut;
						var endMin = minute + (duree % 60);
						if (endMin >= 60 ) {
							var endMin = endMin - 60;
							var endHour = endHour + 1;
						} 
						if (endMin <= 9) {
			  				endMin = "0"+String(endMin);
			  			}					
						if (endHour >= 12 && hdebut != 12) {
							if (postfix == "am") {
								postfix = "pm";
								console.log(postfix+" 1");
							}
							else if (postfix == "pm") {
								postfix = "am";
								console.log(postfix+" 2");
							}
						}
						else {
							if (postfix == "am") {
								postfix = "am";
								console.log(hdebut+" "+endHour+" "+postfix+" 3");
							}
							else if (postfix == "pm") {
								postfix = "pm";
								console.log(postfix+" 4");
							}
						}
						if (endHour > 12) {
							endHour = endHour - 12;
						}
						var endTime = endHour+":"+endMin+" "+postfix;
						jQuery(this).find('#end_t').attr("value", endTime);

					}
					else {
						prevIndex = index-2;
						PrevActli = "#"+jQuery(idUl).eq(prevIndex).attr('id');
						prevTime = jQuery(PrevActli).find("#end_t").val();
						jQuery(this).find('#start_t').attr("value", prevTime);
						hdebut = parseInt(prevTime.substr(0,2));
						mdebut = parseInt(prevTime.substr(3,2));
						duree = parseInt(jQuery(this).find('#duree').val());
						console.log(startingtime+", "+hdebut+", "+mdebut+", "+duree);
						
						if (hdebut < 10) {
							postfix = prevTime.substr(5,2);
							var minute = parseInt(prevTime.substr(2,2));
							console.log('minute : '+minute);
						} 
						else {
							postfix = prevTime.substr(6,2);
							var minute = parseInt(prevTime.substr(3,2));
							console.log('minute : '+minute);
						}
						var endHour = parseInt(duree / 60) + hdebut;
						var endMin = minute + (duree % 60);
						if (endMin >= 60 ) {
							var endMin = endMin - 60;
							var endHour = endHour + 1;
						} 
						if (endMin <= 9) {
			  				endMin = "0"+String(endMin);
			  			}					
						if (endHour >= 12 && hdebut != 12) {
							if (postfix == "am") {
								postfix = "pm";
								console.log(postfix+" 1");
							}
							else if (postfix == "pm") {
								postfix = "am";
								console.log(postfix+" 2");
							}
						}
						else {
							if (postfix == "am") {
								postfix = "am";
								console.log(hdebut+" "+endHour+" "+postfix+" 3");
							}
							else if (postfix == "pm") {
								postfix = "pm";
								console.log(postfix+" 4");
							}
						}
						if (endHour > 12) {
							endHour = endHour - 12;
						}
						var endTime = endHour+":"+endMin+" "+postfix;
						jQuery(this).find('#end_t').attr("value", endTime);
					}

					if (jQuery(ui.sender).attr('id')){
						//console.log(jQuery(ui.sender).attr('id'));
						var sender = jQuery(ui.sender).attr('id');

			            var senderId = sender.substring(sender.lastIndexOf("_")+1);
			            senderId = parseInt(senderId);
		        	}
		        	
		        	//console.log(parseInt(jQuery(this).find("input#index").val())+", "+parseInt(jQuery(this).find("input#id_cell").val())+", "+parseInt(jQuery(this).find("input#index").val()));
					if (parseInt(jQuery(this).find("input#index").val()) != 0 && parseInt(jQuery(this).find("input#id_cell").val()) != parseInt(jQuery(this).find("input#index").val())) {
		            	var id_activity = jQuery(this).find("input#id_activity").val();
		            	//console.log(id_activity);
						var id_planning = jQuery(this).find("input#id_planning").val();
						//console.log(id_planning);
						var id_cell = jQuery(this).find("input#id_cell").val();
						//console.log(id_cell);
						var start_t = jQuery(this).find("input#start_t").val();
						//console.log(start_t);
						var end_t = jQuery(this).find("input#end_t").val();
						//console.log(end_t);
						var id = jQuery(this).find("input#idacti").val();
						//console.log(id);
						var token = jQuery(this).find('#token').val();
						var access = jQuery(this).find('input#access').val();
						var status = jQuery(this).find('input#status').val();
						//console.log(access);
						var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[access]='+access+'&jform[state]='+status+'&'+token+'=1';
						jQuery.ajax({
							url:thisUrl + "index.php?option=com_easytimetable&task=PlannedactivityForm.save2&",
							type: "POST",
							data: data2,
							//dataType: "xml",
							beforeSend: function() {
							    jQuery(startId).find('.loader1').css("visibility", "visible");
							},
							complete: function(data){
								id = data.responseText;
								if (jQuery(startId).find("input#idacti").val().length === 0) {		
									jQuery(startId).find("input#idacti").attr('value', id);
								}
								
								jQuery(startId).find('.loader1').css("visibility", "hidden");
							}
						});
						jQuery(this).find("input#index").attr("value", id_cell);
		            	
		            } // Fin If 
		            else if (parseInt(jQuery(this).find("input#index").val()) == 0) {
		            /*****************************************************************/
									/*Enregistrement de l'activité*/
					/*****************************************************************/
						var id_activity = jQuery(this).find("input#id_activity").val();
						var id_planning = jQuery(this).find("input#id_planning").val();
						var id_cell = jQuery(this).find("input#id_cell").val();
						var start_t = jQuery(this).find("input#start_t").val();
						var end_t = jQuery(this).find("input#end_t").val();
						var id;
						//var created_by = jQuery(this).find("input#start_t").attr('value');
						var token = jQuery(this).find('#token').val();
						var access = jQuery(this).find('input#access').val();
						var status = jQuery(this).find('input#status').val();
						var data2 = 'jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[access]='+access+'&jform[state]='+status+'&'+token+'=1';
						jQuery.ajax({
							url:thisUrl + "index.php?option=com_easytimetable&task=PlannedactivityForm.save2&",
							type: "POST",
							data: data2,
							beforeSend: function() {
							    jQuery(startId).find('.loader1').css("visibility", "visible");
							},
							//dataType: "xml",
							complete: function(data){
								id = data.responseText;
								if (jQuery(startId).find("input#idacti").val().length == 0) {		
									jQuery(startId).find("input#idacti").attr('value', id);
								};
								jQuery(startId).find('.loader1').css("visibility", "hidden");
							}
						});	
						jQuery(this).find("input#index").attr("value", id_cell);
		            }
		            

				}); // fin each() li
		     }// Fin update

		}); // Fin Sortable
	}); // fin each() ul

	// Ajustement de la taille du planning
	jQuery('.fullplanning').find("ul").on("sortreceive", function (event, ui){
		var i = parseInt(jQuery(this).attr('id')) -1;
		tabHeight[i] = tabHeight[i]+60;
		colheight = Math.max.apply(this, tabHeight);
        console.log(colheight);
        jQuery('.fullplanning').find('ul').each(function(){
	        jQuery(this).css("height", colheight);
	    });
	});
	/*jQuery('.fullplanning').find("ul").on("sortstop", function (event, ui){
		var i = parseInt(jQuery(this).attr('id')) -1;
		tabHeight[i] = tabHeight[i]-60;
		colheight = Math.max.apply(this, tabHeight);
        console.log(colheight);
        jQuery('.fullplanning').find('ul').each(function(){
	        jQuery(this).css("height", colheight);
	    });
	});*/

	// quand l'update est terminé
	jQuery('.fullplanning').find("ul").on("sortupdate", function (event, ui){
		//console.log(tabHeight);
		var nextHeight = 0;

		jQuery(this).find('li').each(function(){
			if (jQuery(this).index() == 0) {
        			var separator = 0;
        		}
        		else {
        			var separator = 3;
        		}
			if (parseInt(jQuery(this).find("#duree").val()) < 60) {
				var heightli = nextHeight + 60+separator;
			} 
			else {
			var heightli = (nextHeight + parseInt(jQuery(this).find("#duree").val())+separator);
		}
			nextHeight = heightli;
			console.log(nextHeight);
		})
        var i = parseInt(jQuery(this).attr('id')) -1;
        tabHeight[i] = nextHeight;
        console.log(tabHeight[i]);
        console.log(tabHeight);
        colheight = Math.max.apply(this, tabHeight)+63;
        console.log(colheight);
        jQuery('.fullplanning').find('ul').each(function(){
        	jQuery(this).css("height", colheight);
        })

	}); // End sortupdate



	jQuery('.fullplanning').find("ul").on("sortstart", function (event, ui){
		idLi = "#"+ui.item.attr('id');

    	function deleteStatus(el) {
	    	el.find('.status').remove();
	    }
    	if (ui.item.attr('id') != "blank") {
    		deleteStatus(jQuery(idLi));
    	}

	}); // End sortstart
	jQuery('.fullplanning').find("ul").on("sortstop", function (event, ui){
		idLi = "#"+ui.item.attr('id');
		var getIdCell = ui.item.attr('id');
		var number = getIdCell.substr(-4, 4);
		
		

		function addStatus(el) {
			var sta = "<script type='text/javascript'>jQuery(document).ready(function(){jQuery(this).find('.publish-"+number+"').click(function() {var startId = '#'+jQuery(this).parent().attr('id');var id_activity = jQuery(this).parent().find('input#id_activity').val();var id_planning = jQuery(this).parent().find('input#id_planning').val();var id_cell = jQuery(this).parent().find('input#id_cell').val();var start_t = jQuery(this).parent().find('input#start_t').val();var end_t = jQuery(this).parent().find('input#end_t').val();var id = jQuery(this).parent().find('input#idacti').val();var token = jQuery(this).parent().find('#token').val();var status = jQuery(this).parent().find('input#status').val();var access = jQuery(this).parent().find('input#access').val();var state;if (status == 0) {state = 1;jQuery(this).parent().find('input#status').attr('value', state);jQuery(this).addClass('published');jQuery(this).removeClass('notpublished');}else if (status == 1) {state = 0;jQuery(this).parent().find('input#status').attr('value', state);jQuery(this).addClass('notpublished');jQuery(this).removeClass('published');}var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start_t+'&jform[end_t]='+end_t+'&jform[state]='+state+'&jform[access]='+access+'&'+token+'=1';jQuery.ajax({url:thisUrl + 'index.php?option=com_easytimetable&task=PlannedactivityForm.save2&',type: 'POST',data: data2,beforeSend: function() {jQuery(startId).find('.loader1').css('visibility', 'visible');},complete: function(data){jQuery(startId).find('.loader1').css('visibility', 'hidden');}});});});</script>" ;
		    var status = el.find("input#status").val();
		    if (status == 0) {var etat = "notpublished"; } else {var etat = "published";}
		    el.prepend("<a class='publish-"+number+" status "+etat+"' title='Click to publish or unpublish the item'>"+sta+"</a>");
		}
		if (ui.item.hasClass('blank')) {
			
		}
		else {
			addStatus(jQuery(idLi));
		}
	}); // End sortstop

	//Poubelle
	jQuery("#trash").droppable({
		accept: ".activite",
		tolerance: "touch",
		// Lorsque l'on relache un élément sur la poubelle
		drop: function(event, ui){
			// On retire la classe "hover" associée au div .trash
			jQuery(this).removeClass("hover");
			// On ajoute la classe "deleted" au div .trash pour signifier que l'élément a bien été supprimé
			jQuery(this).addClass("deleted");
			// On affiche un petit message "Cet élément a été supprimé" en récupérant la valeur textuelle de l'élément relaché
			var textTrashed = jQuery("#sy-removed").text();
			jQuery(this).text(ui.draggable.find(".item").text()+textTrashed);
			// On supprimer l'élément de la page, le setTimeout est un fix pour IE (http://dev.jqueryui.com/ticket/4088)
			setTimeout(function() { ui.draggable.remove(); }, 1);
			
			// On retourne à l'état originel de la poubelle après 2000 ms soit 2 secondes
			elt = jQuery(this);
			var textTrashempty = jQuery("#sy-trash").text();
			setTimeout(function(){ elt.removeClass("deleted"); elt.text(textTrashempty); }, 500);
			
			jQuery( "#master-drag > li ").unbind("click");
			jQuery( "#master-drag > li ").draggable("option", "disabled", false );
			
			var idActi = jQuery(ui.draggable).find('input#idacti').attr('value');
			//console.log(idActi);
			var token = jQuery(ui.draggable).find('input#token').val();
			var datatok = 'id='+idActi+'&'+token+'=1';
			jQuery.ajax({url:thisUrl + 'index.php?option=com_easytimetable&task=PlannedactivityForm.remove&',
				type: 'POST',
				data: datatok,
				dataType: 'xml'
			});
		},
		// Lorsque l'on passe un élément au dessus de la poubelle
		over: function(event, ui){
			// On ajoute la classe "hover" au div .trash
			jQuery(this).addClass("hover");
			// On cache l'élément déplacé
			ui.draggable.hide();
			var textTrash = jQuery("#sy-remove").text();
			//console.log(textTrash);
			// On indique via un petit message si l'on veut bien supprimer cet élément
			jQuery(this).text(textTrash + ui.draggable.find("#nom").text());
			
			// On change le curseur
			jQuery(this).css("cursor", "pointer");
		},
		// Lorsque l'on quitte la poubelle
		out: function(event, ui){
			// On retire la classe "hover" au div .trash
			jQuery(this).removeClass("hover");
			// On réaffiche l'élément déplacé
			ui.draggable.show();
			// On remet le texte par défaut
			jQuery(this).text(textTrashempty);
			// Ainsi que le curseur par défaut
			jQuery(this).css("cursor", "normal");
		}
	})
	//if jQuery("#activites").find('#blank')
	/*jQuery('#activites > #blank').css({
        "background-color": "#ffffff",
        "color": "#000000"} );*/

    var blankDuration;

    function calculateEndTimeSelect(el) {
						var duree = parseInt(el.children('#duree').val());
				  		var heureDebut = el.children('.start').val();
				  		var hour = parseInt(heureDebut.substr(0,2));
				  		if (hour < 10) {
							postfix = heureDebut.substr(5,2);
							var minute = parseInt(heureDebut.substr(2,2));
						} 
						else {
							postfix = heureDebut.substr(6,2);
							var minute = parseInt(heureDebut.substr(3,2));
						}
						var endHour = parseInt(duree / 60) + hour;
						var endMin = minute + (duree % 60);
						if (endMin >= 60 ) {
							var endMin = endMin - 60;
							var endHour = endHour + 1;
						} 
			  			if (endMin <= 9){
			  				endMin = "0"+String(endMin);	
			  			}
			  			if (hour < 12 && endHour >= 12 ) {
							if (postfix == "am") {
								postfix = "pm";
							}
							else if (postfix == "pm") {
								postfix = "am";
							}
						}
						else {
							if (postfix == "am") {
								postfix = "am";
							}
							else if (postfix == "pm") {
								postfix = "pm";
							}
						}
						if (endHour > 12) {
							endHour = endHour - 12;
						}	
						heureFinal = String(endHour) + ":"+ String(endMin)+ " "+ postfix;
				  		var heureDeFin = el.children('.end').attr("value", heureFinal);	
					} // Fin calculateEndTimeSelect
        // For activities already set when loading edit page
    	jQuery('.fullplanning').find("ul").each(function(){
    		jQuery(this).find("li").each(function(){
    			var nameacti = jQuery(this).attr("id");
				console.log("nameacti : "+nameacti);
    			var startId = '#'+ nameacti;
    			console.log("startId : "+startId);
    			jQuery(this).find('.start').on('click', function(){
    				console.log('ok');
    			})
    			// On attribue le datetimepicker aux champs ".start" et ".end"
					jQuery(this).find('.start').datetimepicker({
					  	format:'g:i a',
					  	formatTime:'g:i a',
					  	step:5,
					  	closeOnTimeSelect:true,
					  	onShow:function(ct){
						  	this.setOptions({
							    //maxTime:valNextCell?valNextCell:false,
							    //minTime:valMin?valMin:false
						   }) 
					  	}, // Fin onShow
					  	
					  	// Sélection de l'heure de début de l'activité et calcul de son heure de fin à partir de sa durée
					  	onSelectTime:function(ct){
					  		calculateEndTimeSelect(jQuery(startId));

							jQuery( "#master-drag > li ").unbind("click");
							jQuery( "#master-drag > li ").draggable("option", "disabled", false );

							// On ajoute la valeur de l'heure de début à la valeur du champ "start_t"
							var start = jQuery(startId).children('.start').val();
							jQuery(startId).children('#start_t').attr('value', start);
							// On ajoute la valeur de l'heure de fin à la valeur du champ "end_t"
							var end = jQuery(startId).children('.end').val();
							jQuery(startId).children('#end_t').attr('value', end);
							var id_activity = jQuery(startId).find("input#id_activity").val();
							var id_planning = jQuery(startId).find("input#id_planning").val();
							var id_cell = jQuery(startId).find("input#id_cell").val();
							if (jQuery(startId).find('#htomove').length == 0) {
							jQuery(startId).append('<input id="htomove" name="htomove" type="hidden" value="'+start+'">');
							}
							else {
								jQuery(startId).find('#htomove').attr('value', start);
							}
							var id = jQuery(startId).find("input#idacti").val();
							var token = jQuery(startId).find('#token').val();
							var access = jQuery(startId).find('input#access').val();
							var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[id_cell]='+id_cell+'&jform[start_t]='+start+'&jform[end_t]='+end+'&jform[access]='+access+'&'+token+'=1';
							jQuery.ajax({
								url:thisUrl + "index.php?option=com_easytimetable&task=PlannedactivityForm.save2&",
								type: "POST",
								data: data2,
								beforeSend: function() {
							    	jQuery(startId).find('.loader1').css("visibility", "visible");
								},
								//dataType: "xml",
								complete: function(){

									if (jQuery(startId).find("input#idacti").val().length == 0) {		
										jQuery(startId).find("input#idacti").attr('value', id);
									};
									jQuery(startId).find('.loader1').css("visibility", "hidden");
								}
							});

							
							
					  	}, //Fin onSelectTime
						timepicker:true,
						datepicker:false
					}); //Fin dateTimePicker Start
					jQuery(this).find('.end').datetimepicker({
					    format:'g:i a',
					  	formatTime:'g:i a',
					    step:5,
					    closeOnTimeSelect:true,
					    onSelectTime:function(ct){
						  	var end = jQuery(startId).children('.end').val();
						  	jQuery(startId).children('#end_t').attr('value', end);
						  	var id_activity = jQuery(startId).find("input#id_activity").val();
							var id_planning = jQuery(startId).find("input#id_planning").val();
							var id_cell = jQuery(startId).find("input#id_cell").val();
							var id = jQuery(startId).find("input#idacti").val();
							var token = jQuery(startId).find('#token').val();
							var access = jQuery(startId).find('input#access').val();
							var data2 = 'jform[id]='+id+'&jform[id_activity]='+id_activity+'&jform[id_planning]='+id_planning+'&jform[end_t]='+end+'&jform[access]='+access+'&'+token+'=1';
							jQuery.ajax({
								url:thisUrl + "index.php?option=com_easytimetable&task=PlannedactivityForm.save2&",
								type: "POST",
								data: data2,
								beforeSend: function() {
							    	jQuery(startId).find('.loader1').css("visibility", "visible");
								},
								//dataType: "xml",
								complete: function(){

									if (jQuery(startId).find("input#idacti").val().length == 0) {		
										jQuery(startId).find("input#idacti").attr('value', id);
									};
									jQuery(startId).find('.loader1').css("visibility", "hidden");
								}
							});
					    },
					    timepicker:true,
					    datepicker:false
					}); // DateTimepicker '.end'
    		});
    	});
    
});